#include <attica_includes.h>

#include <smoke.h>
#include <attica_smoke.h>

namespace __smokeattica {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //Attica::BaseJob
      switch(to) {
        case 17: return (void*)(QObject*)(Attica::BaseJob*)xptr;
        case 1: return (void*)(Attica::BaseJob*)xptr;
        case 2: return (void*)(Attica::GetJob*)(Attica::BaseJob*)xptr;
        case 5: return (void*)(Attica::PostJob*)(Attica::BaseJob*)xptr;
        default: return xptr;
      }
    case 2:   //Attica::GetJob
      switch(to) {
        case 1: return (void*)(Attica::BaseJob*)(Attica::GetJob*)xptr;
        case 17: return (void*)(QObject*)(Attica::GetJob*)xptr;
        case 2: return (void*)(Attica::GetJob*)xptr;
        default: return xptr;
      }
    case 3:   //Attica::Metadata
      switch(to) {
        case 3: return (void*)(Attica::Metadata*)xptr;
        default: return xptr;
      }
    case 4:   //Attica::PlatformDependent
      switch(to) {
        case 4: return (void*)(Attica::PlatformDependent*)xptr;
        default: return xptr;
      }
    case 5:   //Attica::PostJob
      switch(to) {
        case 1: return (void*)(Attica::BaseJob*)(Attica::PostJob*)xptr;
        case 17: return (void*)(QObject*)(Attica::PostJob*)xptr;
        case 5: return (void*)(Attica::PostJob*)xptr;
        default: return xptr;
      }
    case 6:   //Attica::Provider
      switch(to) {
        case 6: return (void*)(Attica::Provider*)xptr;
        default: return xptr;
      }
    case 7:   //Attica::ProviderManager
      switch(to) {
        case 17: return (void*)(QObject*)(Attica::ProviderManager*)xptr;
        case 7: return (void*)(Attica::ProviderManager*)xptr;
        default: return xptr;
      }
    case 8:   //QByteArray
      switch(to) {
        case 8: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 9:   //QChildEvent
      switch(to) {
        case 9: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 10:   //QEvent
      switch(to) {
        case 10: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 12:   //QIODevice
      switch(to) {
        case 17: return (void*)(QObject*)(QIODevice*)xptr;
        case 12: return (void*)(QIODevice*)xptr;
        default: return xptr;
      }
    case 13:   //QMetaObject
      switch(to) {
        case 13: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 14:   //QNetworkAccessManager
      switch(to) {
        case 17: return (void*)(QObject*)(QNetworkAccessManager*)xptr;
        case 14: return (void*)(QNetworkAccessManager*)xptr;
        default: return xptr;
      }
    case 15:   //QNetworkReply
      switch(to) {
        case 15: return (void*)(QNetworkReply*)xptr;
        default: return xptr;
      }
    case 16:   //QNetworkRequest
      switch(to) {
        case 16: return (void*)(QNetworkRequest*)xptr;
        default: return xptr;
      }
    case 17:   //QObject
      switch(to) {
        case 17: return (void*)(QObject*)xptr;
        case 7: return (void*)(Attica::ProviderManager*)(QObject*)xptr;
        case 1: return (void*)(Attica::BaseJob*)(QObject*)xptr;
        case 2: return (void*)(Attica::GetJob*)(QObject*)xptr;
        case 5: return (void*)(Attica::PostJob*)(QObject*)xptr;
        default: return xptr;
      }
    case 18:   //QTimerEvent
      switch(to) {
        case 18: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 19:   //QUrl
      switch(to) {
        case 19: return (void*)(QUrl*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    17, 0,	// 1: QObject
    1, 0,	// 3: Attica::BaseJob
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDataStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QChar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QVariant(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Attica__Message(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Attica__BaseJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__GetJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__PlatformDependent(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__PostJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Attica__ProviderManager(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "Attica::BaseJob", false, 1, xcall_Attica__BaseJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Attica::BaseJob) },	//1
    { "Attica::GetJob", false, 3, xcall_Attica__GetJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Attica::GetJob) },	//2
    { "Attica::Metadata", true, 0, 0, 0, 0, 0 },	//3
    { "Attica::PlatformDependent", false, 0, xcall_Attica__PlatformDependent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Attica::PlatformDependent) },	//4
    { "Attica::PostJob", false, 3, xcall_Attica__PostJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Attica::PostJob) },	//5
    { "Attica::Provider", true, 0, 0, 0, 0, 0 },	//6
    { "Attica::ProviderManager", false, 1, xcall_Attica__ProviderManager, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Attica::ProviderManager) },	//7
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//8
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//9
    { "QEvent", true, 0, 0, 0, 0, 0 },	//10
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//11
    { "QIODevice", true, 0, 0, 0, 0, 0 },	//12
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//13
    { "QNetworkAccessManager", true, 0, 0, 0, 0, 0 },	//14
    { "QNetworkReply", true, 0, 0, 0, 0, 0 },	//15
    { "QNetworkRequest", true, 0, 0, 0, 0, 0 },	//16
    { "QObject", true, 0, 0, 0, 0, 0 },	//17
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//18
    { "QUrl", true, 0, 0, 0, 0, 0 },	//19
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "Attica::BaseJob*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "Attica::GetJob*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "Attica::Metadata", 3, Smoke::t_class|Smoke::tf_stack },	//3
    { "Attica::PlatformDependent*", 4, Smoke::t_class|Smoke::tf_ptr },	//4
    { "Attica::PostJob*", 5, Smoke::t_class|Smoke::tf_ptr },	//5
    { "Attica::Provider", 6, Smoke::t_class|Smoke::tf_stack },	//6
    { "Attica::ProviderManager*", 7, Smoke::t_class|Smoke::tf_ptr },	//7
    { "QChildEvent*", 9, Smoke::t_class|Smoke::tf_ptr },	//8
    { "QEvent*", 10, Smoke::t_class|Smoke::tf_ptr },	//9
    { "QIODevice*", 12, Smoke::t_class|Smoke::tf_ptr },	//10
    { "QList<Attica::Provider>", 0, Smoke::t_voidp|Smoke::tf_stack },	//11
    { "QList<QUrl>", 0, Smoke::t_voidp|Smoke::tf_stack },	//12
    { "QMetaObject::Call", 13, Smoke::t_enum|Smoke::tf_stack },	//13
    { "QNetworkAccessManager*", 14, Smoke::t_class|Smoke::tf_ptr },	//14
    { "QNetworkReply*", 15, Smoke::t_class|Smoke::tf_ptr },	//15
    { "QObject*", 17, Smoke::t_class|Smoke::tf_ptr },	//16
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//17
    { "QString&", 0, Smoke::t_voidp|Smoke::tf_ref },	//18
    { "QTimerEvent*", 18, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//20
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//22
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//23
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//24
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//25
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//26
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//27
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//28
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//29
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//30
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//31
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//33
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//34
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//35
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//36
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//38
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//39
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//40
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//41
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//42
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//44
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//45
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//46
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//47
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//48
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//49
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//50
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//51
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//52
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//53
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//54
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//55
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//56
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//57
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//58
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//59
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//60
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//61
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//62
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//63
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//64
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//65
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//66
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//67
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//68
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//69
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//70
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//71
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//72
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//73
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//74
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//75
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//76
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//78
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//79
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//80
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//81
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//82
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//83
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//84
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//85
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//86
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//87
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//88
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//89
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//90
    { "QtMsgType", 11, Smoke::t_enum|Smoke::tf_stack },	//91
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//92
    { "const Attica::Metadata&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//93
    { "const Attica::PlatformDependent&", 4, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//94
    { "const Attica::Provider&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//95
    { "const QByteArray&", 8, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//96
    { "const QMap<QString,QString>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//97
    { "const QMetaObject&", 13, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//98
    { "const QMetaObject*", 13, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//99
    { "const QNetworkRequest&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//100
    { "const QSharedPointer<Attica::PlatformDependent>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//101
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//102
    { "const QUrl&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//103
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//104
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//105
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//106
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//107
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//108
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//109
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//110
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//111
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    104, 0,	//1  const char*
    104, 104, 0,	//3  const char*, const char*
    104, 104, 106, 0,	//6  const char*, const char*, int
    13, 106, 110, 0,	//10  QMetaObject::Call, int, void**
    1, 0,	//14  Attica::BaseJob*
    101, 0,	//16  const QSharedPointer<Attica::PlatformDependent>&
    93, 0,	//18  const Attica::Metadata&
    102, 0,	//20  const QString&
    101, 100, 0,	//22  const QSharedPointer<Attica::PlatformDependent>&, const QNetworkRequest&
    103, 0,	//25  const QUrl&
    103, 18, 18, 0,	//27  const QUrl&, QString&, QString&
    103, 102, 102, 0,	//31  const QUrl&, const QString&, const QString&
    100, 0,	//35  const QNetworkRequest&
    100, 10, 0,	//37  const QNetworkRequest&, QIODevice*
    100, 96, 0,	//40  const QNetworkRequest&, const QByteArray&
    94, 0,	//43  const Attica::PlatformDependent&
    101, 100, 10, 0,	//45  const QSharedPointer<Attica::PlatformDependent>&, const QNetworkRequest&, QIODevice*
    101, 100, 97, 0,	//49  const QSharedPointer<Attica::PlatformDependent>&, const QNetworkRequest&, const QMap<QString,QString>&
    101, 100, 96, 0,	//53  const QSharedPointer<Attica::PlatformDependent>&, const QNetworkRequest&, const QByteArray&
    92, 0,	//57  bool
    95, 0,	//59  const Attica::Provider&
    9, 0,	//61  QEvent*
    16, 9, 0,	//63  QObject*, QEvent*
    19, 0,	//66  QTimerEvent*
    8, 0,	//68  QChildEvent*
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "BaseJob",	//1
    "BaseJob?",	//2
    "GetJob",	//3
    "GetJob?#",	//4
    "PlatformDependent",	//5
    "PlatformDependent#",	//6
    "PostJob",	//7
    "PostJob?#",	//8
    "PostJob?##",	//9
    "PostJob?#?",	//10
    "ProviderManager",	//11
    "Q_COMPLEX_TYPE",	//12
    "Q_DUMMY_TYPE",	//13
    "Q_MOVABLE_TYPE",	//14
    "Q_PRIMITIVE_TYPE",	//15
    "Q_STATIC_TYPE",	//16
    "QtCriticalMsg",	//17
    "QtDebugMsg",	//18
    "QtFatalMsg",	//19
    "QtSystemMsg",	//20
    "QtWarningMsg",	//21
    "abort",	//22
    "addProviderFile",	//23
    "addProviderFile#",	//24
    "addProviderFromXml",	//25
    "addProviderFromXml$",	//26
    "askForCredentials",	//27
    "askForCredentials#$$",	//28
    "authenticationCredentialsMissing",	//29
    "authenticationCredentialsMissing#",	//30
    "childEvent",	//31
    "clear",	//32
    "connectNotify",	//33
    "contains",	//34
    "contains$",	//35
    "customEvent",	//36
    "dataFinished",	//37
    "defaultProvidersLoaded",	//38
    "disconnectNotify",	//39
    "event",	//40
    "eventFilter",	//41
    "executeRequest",	//42
    "finished",	//43
    "finished#",	//44
    "get",	//45
    "get#",	//46
    "getDefaultProviderFiles",	//47
    "hasCredentials",	//48
    "hasCredentials#",	//49
    "internals",	//50
    "loadCredentials",	//51
    "loadCredentials#$$",	//52
    "loadDefaultProviders",	//53
    "metaObject",	//54
    "metadata",	//55
    "nam",	//56
    "parse",	//57
    "parse$",	//58
    "post",	//59
    "post##",	//60
    "providerAdded",	//61
    "providerAdded#",	//62
    "providerByUrl",	//63
    "providerByUrl#",	//64
    "providerFiles",	//65
    "providers",	//66
    "qt_metacall",	//67
    "qt_metacall$$?",	//68
    "qt_metacast",	//69
    "qt_metacast$",	//70
    "saveCredentials",	//71
    "saveCredentials#$$",	//72
    "setAuthenticationSuppressed",	//73
    "setAuthenticationSuppressed$",	//74
    "setMetadata",	//75
    "setMetadata#",	//76
    "start",	//77
    "staticMetaObject",	//78
    "timerEvent",	//79
    "tr",	//80
    "tr$",	//81
    "tr$$",	//82
    "tr$$$",	//83
    "trUtf8",	//84
    "trUtf8$",	//85
    "trUtf8$$",	//86
    "trUtf8$$$",	//87
    "~BaseJob",	//88
    "~GetJob",	//89
    "~PlatformDependent",	//90
    "~PostJob",	//91
    "~ProviderManager",	//92
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 54, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 99, 1},	//1 Attica::BaseJob::metaObject() const
    {1, 69, 1, 1, Smoke::mf_virtual, 109, 2},	//2 Attica::BaseJob::qt_metacast(const char*)
    {1, 80, 3, 2, Smoke::mf_static, 17, 3},	//3 Attica::BaseJob::tr(const char*, const char*)
    {1, 84, 3, 2, Smoke::mf_static, 17, 4},	//4 Attica::BaseJob::trUtf8(const char*, const char*)
    {1, 80, 6, 3, Smoke::mf_static, 17, 5},	//5 Attica::BaseJob::tr(const char*, const char*, int)
    {1, 84, 6, 3, Smoke::mf_static, 17, 6},	//6 Attica::BaseJob::trUtf8(const char*, const char*, int)
    {1, 67, 10, 3, Smoke::mf_virtual, 106, 7},	//7 Attica::BaseJob::qt_metacall(QMetaObject::Call, int, void**)
    {1, 55, 0, 0, Smoke::mf_const, 3, 8},	//8 Attica::BaseJob::metadata() const
    {1, 77, 0, 0, Smoke::mf_slot, 0, 9},	//9 Attica::BaseJob::start()
    {1, 22, 0, 0, Smoke::mf_slot, 0, 10},	//10 Attica::BaseJob::abort()
    {1, 43, 14, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//11 Attica::BaseJob::finished(Attica::BaseJob*)
    {1, 37, 0, 0, Smoke::mf_protected|Smoke::mf_slot, 0, 12},	//12 Attica::BaseJob::dataFinished()
    {1, 1, 16, 1, Smoke::mf_ctor|Smoke::mf_protected, 1, 13},	//13 Attica::BaseJob::BaseJob(const QSharedPointer<Attica::PlatformDependent>&)
    {1, 75, 18, 1, Smoke::mf_const|Smoke::mf_protected, 0, 14},	//14 Attica::BaseJob::setMetadata(const Attica::Metadata&) const
    {1, 42, 0, 0, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 15, 15},	//15 Attica::BaseJob::executeRequest() [pure virtual]
    {1, 57, 20, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 16},	//16 Attica::BaseJob::parse(const QString&) [pure virtual]
    {1, 50, 0, 0, Smoke::mf_protected, 4, 17},	//17 Attica::BaseJob::internals()
    {1, 80, 1, 1, Smoke::mf_static, 17, 18},	//18 Attica::BaseJob::tr(const char*)
    {1, 84, 1, 1, Smoke::mf_static, 17, 19},	//19 Attica::BaseJob::trUtf8(const char*)
    {1, 78, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 98, 20},	//20 Attica::BaseJob::staticMetaObject() const
    {1, 88, 0, 0, Smoke::mf_dtor, 0, 21 },	//21 Attica::BaseJob::~BaseJob()
    {2, 54, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 99, 1},	//22 Attica::GetJob::metaObject() const
    {2, 69, 1, 1, Smoke::mf_virtual, 109, 2},	//23 Attica::GetJob::qt_metacast(const char*)
    {2, 80, 3, 2, Smoke::mf_static, 17, 3},	//24 Attica::GetJob::tr(const char*, const char*)
    {2, 84, 3, 2, Smoke::mf_static, 17, 4},	//25 Attica::GetJob::trUtf8(const char*, const char*)
    {2, 80, 6, 3, Smoke::mf_static, 17, 5},	//26 Attica::GetJob::tr(const char*, const char*, int)
    {2, 84, 6, 3, Smoke::mf_static, 17, 6},	//27 Attica::GetJob::trUtf8(const char*, const char*, int)
    {2, 67, 10, 3, Smoke::mf_virtual, 106, 7},	//28 Attica::GetJob::qt_metacall(QMetaObject::Call, int, void**)
    {2, 3, 22, 2, Smoke::mf_ctor|Smoke::mf_protected, 2, 8},	//29 Attica::GetJob::GetJob(const QSharedPointer<Attica::PlatformDependent>&, const QNetworkRequest&)
    {2, 80, 1, 1, Smoke::mf_static, 17, 9},	//30 Attica::GetJob::tr(const char*)
    {2, 84, 1, 1, Smoke::mf_static, 17, 10},	//31 Attica::GetJob::trUtf8(const char*)
    {2, 78, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 98, 11},	//32 Attica::GetJob::staticMetaObject() const
    {2, 89, 0, 0, Smoke::mf_dtor, 0, 12 },	//33 Attica::GetJob::~GetJob()
    {4, 47, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 12, 1},	//34 Attica::PlatformDependent::getDefaultProviderFiles() const [pure virtual]
    {4, 48, 25, 1, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 92, 2},	//35 Attica::PlatformDependent::hasCredentials(const QUrl&) const [pure virtual]
    {4, 51, 27, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 92, 3},	//36 Attica::PlatformDependent::loadCredentials(const QUrl&, QString&, QString&) [pure virtual]
    {4, 27, 27, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 92, 4},	//37 Attica::PlatformDependent::askForCredentials(const QUrl&, QString&, QString&) [pure virtual]
    {4, 71, 31, 3, Smoke::mf_virtual|Smoke::mf_purevirtual, 92, 5},	//38 Attica::PlatformDependent::saveCredentials(const QUrl&, const QString&, const QString&) [pure virtual]
    {4, 45, 35, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 15, 6},	//39 Attica::PlatformDependent::get(const QNetworkRequest&) [pure virtual]
    {4, 59, 37, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 15, 7},	//40 Attica::PlatformDependent::post(const QNetworkRequest&, QIODevice*) [pure virtual]
    {4, 59, 40, 2, Smoke::mf_virtual|Smoke::mf_purevirtual, 15, 8},	//41 Attica::PlatformDependent::post(const QNetworkRequest&, const QByteArray&) [pure virtual]
    {4, 56, 0, 0, Smoke::mf_virtual|Smoke::mf_purevirtual, 14, 9},	//42 Attica::PlatformDependent::nam() [pure virtual]
    {4, 5, 0, 0, Smoke::mf_ctor, 4, 10},	//43 Attica::PlatformDependent::PlatformDependent()
    {4, 5, 43, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 4, 11},	//44 Attica::PlatformDependent::PlatformDependent(const Attica::PlatformDependent&)
    {4, 90, 0, 0, Smoke::mf_dtor, 0, 12 },	//45 Attica::PlatformDependent::~PlatformDependent()
    {5, 54, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 99, 1},	//46 Attica::PostJob::metaObject() const
    {5, 69, 1, 1, Smoke::mf_virtual, 109, 2},	//47 Attica::PostJob::qt_metacast(const char*)
    {5, 80, 3, 2, Smoke::mf_static, 17, 3},	//48 Attica::PostJob::tr(const char*, const char*)
    {5, 84, 3, 2, Smoke::mf_static, 17, 4},	//49 Attica::PostJob::trUtf8(const char*, const char*)
    {5, 80, 6, 3, Smoke::mf_static, 17, 5},	//50 Attica::PostJob::tr(const char*, const char*, int)
    {5, 84, 6, 3, Smoke::mf_static, 17, 6},	//51 Attica::PostJob::trUtf8(const char*, const char*, int)
    {5, 67, 10, 3, Smoke::mf_virtual, 106, 7},	//52 Attica::PostJob::qt_metacall(QMetaObject::Call, int, void**)
    {5, 7, 45, 3, Smoke::mf_ctor|Smoke::mf_protected, 5, 8},	//53 Attica::PostJob::PostJob(const QSharedPointer<Attica::PlatformDependent>&, const QNetworkRequest&, QIODevice*)
    {5, 7, 49, 3, Smoke::mf_ctor|Smoke::mf_protected, 5, 9},	//54 Attica::PostJob::PostJob(const QSharedPointer<Attica::PlatformDependent>&, const QNetworkRequest&, const QMap<QString,QString>&)
    {5, 7, 53, 3, Smoke::mf_ctor|Smoke::mf_protected, 5, 10},	//55 Attica::PostJob::PostJob(const QSharedPointer<Attica::PlatformDependent>&, const QNetworkRequest&, const QByteArray&)
    {5, 80, 1, 1, Smoke::mf_static, 17, 11},	//56 Attica::PostJob::tr(const char*)
    {5, 84, 1, 1, Smoke::mf_static, 17, 12},	//57 Attica::PostJob::trUtf8(const char*)
    {5, 7, 22, 2, Smoke::mf_ctor|Smoke::mf_protected, 5, 13},	//58 Attica::PostJob::PostJob(const QSharedPointer<Attica::PlatformDependent>&, const QNetworkRequest&)
    {5, 78, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 98, 14},	//59 Attica::PostJob::staticMetaObject() const
    {5, 91, 0, 0, Smoke::mf_dtor, 0, 15 },	//60 Attica::PostJob::~PostJob()
    {7, 54, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 99, 1},	//61 Attica::ProviderManager::metaObject() const
    {7, 69, 1, 1, Smoke::mf_virtual, 109, 2},	//62 Attica::ProviderManager::qt_metacast(const char*)
    {7, 80, 3, 2, Smoke::mf_static, 17, 3},	//63 Attica::ProviderManager::tr(const char*, const char*)
    {7, 84, 3, 2, Smoke::mf_static, 17, 4},	//64 Attica::ProviderManager::trUtf8(const char*, const char*)
    {7, 80, 6, 3, Smoke::mf_static, 17, 5},	//65 Attica::ProviderManager::tr(const char*, const char*, int)
    {7, 84, 6, 3, Smoke::mf_static, 17, 6},	//66 Attica::ProviderManager::trUtf8(const char*, const char*, int)
    {7, 67, 10, 3, Smoke::mf_virtual, 106, 7},	//67 Attica::ProviderManager::qt_metacall(QMetaObject::Call, int, void**)
    {7, 11, 0, 0, Smoke::mf_ctor, 7, 8},	//68 Attica::ProviderManager::ProviderManager()
    {7, 53, 0, 0, 0, 0, 9},	//69 Attica::ProviderManager::loadDefaultProviders()
    {7, 73, 57, 1, 0, 0, 10},	//70 Attica::ProviderManager::setAuthenticationSuppressed(bool)
    {7, 32, 0, 0, 0, 0, 11},	//71 Attica::ProviderManager::clear()
    {7, 25, 20, 1, 0, 0, 12},	//72 Attica::ProviderManager::addProviderFromXml(const QString&)
    {7, 23, 25, 1, 0, 0, 13},	//73 Attica::ProviderManager::addProviderFile(const QUrl&)
    {7, 65, 0, 0, Smoke::mf_const, 12, 14},	//74 Attica::ProviderManager::providerFiles() const
    {7, 66, 0, 0, Smoke::mf_const, 11, 15},	//75 Attica::ProviderManager::providers() const
    {7, 34, 20, 1, Smoke::mf_const, 92, 16},	//76 Attica::ProviderManager::contains(const QString&) const
    {7, 63, 25, 1, Smoke::mf_const, 6, 17},	//77 Attica::ProviderManager::providerByUrl(const QUrl&) const
    {7, 61, 59, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//78 Attica::ProviderManager::providerAdded(const Attica::Provider&)
    {7, 38, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//79 Attica::ProviderManager::defaultProvidersLoaded()
    {7, 29, 59, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//80 Attica::ProviderManager::authenticationCredentialsMissing(const Attica::Provider&)
    {7, 80, 1, 1, Smoke::mf_static, 17, 21},	//81 Attica::ProviderManager::tr(const char*)
    {7, 84, 1, 1, Smoke::mf_static, 17, 22},	//82 Attica::ProviderManager::trUtf8(const char*)
    {7, 78, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 98, 23},	//83 Attica::ProviderManager::staticMetaObject() const
    {7, 92, 0, 0, Smoke::mf_dtor, 0, 24 },	//84 Attica::ProviderManager::~ProviderManager()
    {11, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 1},	//85 QGlobalSpace::Q_COMPLEX_TYPE (enum)
    {11, 15, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 2},	//86 QGlobalSpace::Q_PRIMITIVE_TYPE (enum)
    {11, 16, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 3},	//87 QGlobalSpace::Q_STATIC_TYPE (enum)
    {11, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 4},	//88 QGlobalSpace::Q_MOVABLE_TYPE (enum)
    {11, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 107, 5},	//89 QGlobalSpace::Q_DUMMY_TYPE (enum)
    {11, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 6},	//90 QGlobalSpace::QtDebugMsg (enum)
    {11, 21, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 7},	//91 QGlobalSpace::QtWarningMsg (enum)
    {11, 17, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 8},	//92 QGlobalSpace::QtCriticalMsg (enum)
    {11, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 9},	//93 QGlobalSpace::QtFatalMsg (enum)
    {11, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 91, 10},	//94 QGlobalSpace::QtSystemMsg (enum)
    {17, 40, 61, 1, Smoke::mf_virtual, 92, 0},	//95 QObject::event(QEvent*)
    {17, 41, 63, 2, Smoke::mf_virtual, 92, 0},	//96 QObject::eventFilter(QObject*, QEvent*)
    {17, 79, 66, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//97 QObject::timerEvent(QTimerEvent*)
    {17, 31, 68, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//98 QObject::childEvent(QChildEvent*)
    {17, 36, 61, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//99 QObject::customEvent(QEvent*)
    {17, 33, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//100 QObject::connectNotify(const char*)
    {17, 39, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//101 QObject::disconnectNotify(const char*)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    53,  // Attica::PostJob::PostJob(const QSharedPointer<Attica::PlatformDependent>&, const QNetworkRequest&, QIODevice*)
    55,  // Attica::PostJob::PostJob(const QSharedPointer<Attica::PlatformDependent>&, const QNetworkRequest&, const QByteArray&)
    0,
    40,  // Attica::PlatformDependent::post(const QNetworkRequest&, QIODevice*)
    41,  // Attica::PlatformDependent::post(const QNetworkRequest&, const QByteArray&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 2, 13},	// Attica::BaseJob::BaseJob?
    {1, 22, 10},	// Attica::BaseJob::abort
    {1, 37, 12},	// Attica::BaseJob::dataFinished
    {1, 42, 15},	// Attica::BaseJob::executeRequest
    {1, 44, 11},	// Attica::BaseJob::finished#
    {1, 50, 17},	// Attica::BaseJob::internals
    {1, 54, 1},	// Attica::BaseJob::metaObject
    {1, 55, 8},	// Attica::BaseJob::metadata
    {1, 58, 16},	// Attica::BaseJob::parse$
    {1, 68, 7},	// Attica::BaseJob::qt_metacall$$?
    {1, 70, 2},	// Attica::BaseJob::qt_metacast$
    {1, 76, 14},	// Attica::BaseJob::setMetadata#
    {1, 77, 9},	// Attica::BaseJob::start
    {1, 78, 20},	// Attica::BaseJob::staticMetaObject
    {1, 81, 18},	// Attica::BaseJob::tr$
    {1, 82, 3},	// Attica::BaseJob::tr$$
    {1, 83, 5},	// Attica::BaseJob::tr$$$
    {1, 85, 19},	// Attica::BaseJob::trUtf8$
    {1, 86, 4},	// Attica::BaseJob::trUtf8$$
    {1, 87, 6},	// Attica::BaseJob::trUtf8$$$
    {1, 88, 21},	// Attica::BaseJob::~BaseJob
    {2, 4, 29},	// Attica::GetJob::GetJob?#
    {2, 54, 22},	// Attica::GetJob::metaObject
    {2, 68, 28},	// Attica::GetJob::qt_metacall$$?
    {2, 70, 23},	// Attica::GetJob::qt_metacast$
    {2, 78, 32},	// Attica::GetJob::staticMetaObject
    {2, 81, 30},	// Attica::GetJob::tr$
    {2, 82, 24},	// Attica::GetJob::tr$$
    {2, 83, 26},	// Attica::GetJob::tr$$$
    {2, 85, 31},	// Attica::GetJob::trUtf8$
    {2, 86, 25},	// Attica::GetJob::trUtf8$$
    {2, 87, 27},	// Attica::GetJob::trUtf8$$$
    {2, 89, 33},	// Attica::GetJob::~GetJob
    {4, 5, 43},	// Attica::PlatformDependent::PlatformDependent
    {4, 6, 44},	// Attica::PlatformDependent::PlatformDependent#
    {4, 28, 37},	// Attica::PlatformDependent::askForCredentials#$$
    {4, 46, 39},	// Attica::PlatformDependent::get#
    {4, 47, 34},	// Attica::PlatformDependent::getDefaultProviderFiles
    {4, 49, 35},	// Attica::PlatformDependent::hasCredentials#
    {4, 52, 36},	// Attica::PlatformDependent::loadCredentials#$$
    {4, 56, 42},	// Attica::PlatformDependent::nam
    {4, 60, -4},	// Attica::PlatformDependent::post##
    {4, 72, 38},	// Attica::PlatformDependent::saveCredentials#$$
    {4, 90, 45},	// Attica::PlatformDependent::~PlatformDependent
    {5, 8, 58},	// Attica::PostJob::PostJob?#
    {5, 9, -1},	// Attica::PostJob::PostJob?##
    {5, 10, 54},	// Attica::PostJob::PostJob?#?
    {5, 54, 46},	// Attica::PostJob::metaObject
    {5, 68, 52},	// Attica::PostJob::qt_metacall$$?
    {5, 70, 47},	// Attica::PostJob::qt_metacast$
    {5, 78, 59},	// Attica::PostJob::staticMetaObject
    {5, 81, 56},	// Attica::PostJob::tr$
    {5, 82, 48},	// Attica::PostJob::tr$$
    {5, 83, 50},	// Attica::PostJob::tr$$$
    {5, 85, 57},	// Attica::PostJob::trUtf8$
    {5, 86, 49},	// Attica::PostJob::trUtf8$$
    {5, 87, 51},	// Attica::PostJob::trUtf8$$$
    {5, 91, 60},	// Attica::PostJob::~PostJob
    {7, 11, 68},	// Attica::ProviderManager::ProviderManager
    {7, 24, 73},	// Attica::ProviderManager::addProviderFile#
    {7, 26, 72},	// Attica::ProviderManager::addProviderFromXml$
    {7, 30, 80},	// Attica::ProviderManager::authenticationCredentialsMissing#
    {7, 32, 71},	// Attica::ProviderManager::clear
    {7, 35, 76},	// Attica::ProviderManager::contains$
    {7, 38, 79},	// Attica::ProviderManager::defaultProvidersLoaded
    {7, 53, 69},	// Attica::ProviderManager::loadDefaultProviders
    {7, 54, 61},	// Attica::ProviderManager::metaObject
    {7, 62, 78},	// Attica::ProviderManager::providerAdded#
    {7, 64, 77},	// Attica::ProviderManager::providerByUrl#
    {7, 65, 74},	// Attica::ProviderManager::providerFiles
    {7, 66, 75},	// Attica::ProviderManager::providers
    {7, 68, 67},	// Attica::ProviderManager::qt_metacall$$?
    {7, 70, 62},	// Attica::ProviderManager::qt_metacast$
    {7, 74, 70},	// Attica::ProviderManager::setAuthenticationSuppressed$
    {7, 78, 83},	// Attica::ProviderManager::staticMetaObject
    {7, 81, 81},	// Attica::ProviderManager::tr$
    {7, 82, 63},	// Attica::ProviderManager::tr$$
    {7, 83, 65},	// Attica::ProviderManager::tr$$$
    {7, 85, 82},	// Attica::ProviderManager::trUtf8$
    {7, 86, 64},	// Attica::ProviderManager::trUtf8$$
    {7, 87, 66},	// Attica::ProviderManager::trUtf8$$$
    {7, 92, 84},	// Attica::ProviderManager::~ProviderManager
    {11, 12, 85},	// QGlobalSpace::Q_COMPLEX_TYPE
    {11, 13, 89},	// QGlobalSpace::Q_DUMMY_TYPE
    {11, 14, 88},	// QGlobalSpace::Q_MOVABLE_TYPE
    {11, 15, 86},	// QGlobalSpace::Q_PRIMITIVE_TYPE
    {11, 16, 87},	// QGlobalSpace::Q_STATIC_TYPE
    {11, 17, 92},	// QGlobalSpace::QtCriticalMsg
    {11, 18, 90},	// QGlobalSpace::QtDebugMsg
    {11, 19, 93},	// QGlobalSpace::QtFatalMsg
    {11, 20, 94},	// QGlobalSpace::QtSystemMsg
    {11, 21, 91},	// QGlobalSpace::QtWarningMsg
};

}

extern "C" {

SMOKE_IMPORT void init_qtcore_Smoke();
SMOKE_IMPORT void init_qtnetwork_Smoke();

static bool initialized = false;
Smoke *attica_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_attica_Smoke() {
    init_qtcore_Smoke();
    init_qtnetwork_Smoke();
    if (initialized) return;
    attica_Smoke = new Smoke(
        "attica",
        __smokeattica::classes, 19,
        __smokeattica::methods, 102,
        __smokeattica::methodMaps, 93,
        __smokeattica::methodNames, 92,
        __smokeattica::types, 111,
        __smokeattica::inheritanceList,
        __smokeattica::argumentList,
        __smokeattica::ambiguousMethodList,
        __smokeattica::cast );
    initialized = true;
}

void delete_attica_Smoke() { delete attica_Smoke; }

}
