#include <akonadi_includes.h>

#include <smoke.h>
#include <akonadi_smoke.h>

namespace __smokeakonadi {

static void *cast(void *xptr, Smoke::Index from, Smoke::Index to) {
  switch(from) {
    case 1:   //Akonadi::AgentBase
      switch(to) {
        case 61: return (void*)(QObject*)(Akonadi::AgentBase*)xptr;
        case 41: return (void*)(QDBusContext*)(Akonadi::AgentBase*)xptr;
        case 1: return (void*)(Akonadi::AgentBase*)xptr;
        default: return xptr;
      }
    case 2:   //Akonadi::AgentBase::Observer
      switch(to) {
        case 2: return (void*)(Akonadi::AgentBase::Observer*)xptr;
        case 3: return (void*)(Akonadi::AgentBase::ObserverV2*)(Akonadi::AgentBase::Observer*)xptr;
        default: return xptr;
      }
    case 3:   //Akonadi::AgentBase::ObserverV2
      switch(to) {
        case 2: return (void*)(Akonadi::AgentBase::Observer*)(Akonadi::AgentBase::ObserverV2*)xptr;
        case 3: return (void*)(Akonadi::AgentBase::ObserverV2*)xptr;
        default: return xptr;
      }
    case 4:   //Akonadi::AgentBasePrivate
      switch(to) {
        case 4: return (void*)(Akonadi::AgentBasePrivate*)xptr;
        default: return xptr;
      }
    case 5:   //Akonadi::AgentFilterProxyModel
      switch(to) {
        case 69: return (void*)(QSortFilterProxyModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 34: return (void*)(QAbstractProxyModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 33: return (void*)(QAbstractItemModel*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 61: return (void*)(QObject*)(Akonadi::AgentFilterProxyModel*)xptr;
        case 5: return (void*)(Akonadi::AgentFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 6:   //Akonadi::AgentInstance
      switch(to) {
        case 6: return (void*)(Akonadi::AgentInstance*)xptr;
        default: return xptr;
      }
    case 7:   //Akonadi::AgentInstanceCreateJob
      switch(to) {
        case 29: return (void*)(KJob*)(Akonadi::AgentInstanceCreateJob*)xptr;
        case 61: return (void*)(QObject*)(Akonadi::AgentInstanceCreateJob*)xptr;
        case 7: return (void*)(Akonadi::AgentInstanceCreateJob*)xptr;
        default: return xptr;
      }
    case 8:   //Akonadi::AgentInstanceModel
      switch(to) {
        case 33: return (void*)(QAbstractItemModel*)(Akonadi::AgentInstanceModel*)xptr;
        case 61: return (void*)(QObject*)(Akonadi::AgentInstanceModel*)xptr;
        case 8: return (void*)(Akonadi::AgentInstanceModel*)xptr;
        default: return xptr;
      }
    case 9:   //Akonadi::AgentInstanceWidget
      switch(to) {
        case 75: return (void*)(QWidget*)(Akonadi::AgentInstanceWidget*)xptr;
        case 61: return (void*)(QObject*)(Akonadi::AgentInstanceWidget*)xptr;
        case 9: return (void*)(Akonadi::AgentInstanceWidget*)xptr;
        default: return xptr;
      }
    case 10:   //Akonadi::AgentManager
      switch(to) {
        case 61: return (void*)(QObject*)(Akonadi::AgentManager*)xptr;
        case 10: return (void*)(Akonadi::AgentManager*)xptr;
        default: return xptr;
      }
    case 11:   //Akonadi::AgentType
      switch(to) {
        case 11: return (void*)(Akonadi::AgentType*)xptr;
        default: return xptr;
      }
    case 12:   //Akonadi::AgentTypeDialog
      switch(to) {
        case 28: return (void*)(KDialog*)(Akonadi::AgentTypeDialog*)xptr;
        case 42: return (void*)(QDialog*)(Akonadi::AgentTypeDialog*)xptr;
        case 75: return (void*)(QWidget*)(Akonadi::AgentTypeDialog*)xptr;
        case 61: return (void*)(QObject*)(Akonadi::AgentTypeDialog*)xptr;
        case 12: return (void*)(Akonadi::AgentTypeDialog*)xptr;
        default: return xptr;
      }
    case 13:   //Akonadi::AgentTypeModel
      switch(to) {
        case 33: return (void*)(QAbstractItemModel*)(Akonadi::AgentTypeModel*)xptr;
        case 61: return (void*)(QObject*)(Akonadi::AgentTypeModel*)xptr;
        case 13: return (void*)(Akonadi::AgentTypeModel*)xptr;
        default: return xptr;
      }
    case 14:   //Akonadi::AgentTypeWidget
      switch(to) {
        case 75: return (void*)(QWidget*)(Akonadi::AgentTypeWidget*)xptr;
        case 61: return (void*)(QObject*)(Akonadi::AgentTypeWidget*)xptr;
        case 14: return (void*)(Akonadi::AgentTypeWidget*)xptr;
        default: return xptr;
      }
    case 15:   //Akonadi::Attribute
      switch(to) {
        case 15: return (void*)(Akonadi::Attribute*)xptr;
        default: return xptr;
      }
    case 16:   //Akonadi::AttributeFactory
      switch(to) {
        case 16: return (void*)(Akonadi::AttributeFactory*)xptr;
        default: return xptr;
      }
    case 17:   //Akonadi::CachePolicy
      switch(to) {
        case 17: return (void*)(Akonadi::CachePolicy*)xptr;
        default: return xptr;
      }
    case 18:   //Akonadi::ChangeRecorder
      switch(to) {
        case 18: return (void*)(Akonadi::ChangeRecorder*)xptr;
        default: return xptr;
      }
    case 19:   //Akonadi::Collection
      switch(to) {
        case 21: return (void*)(Akonadi::Entity*)(Akonadi::Collection*)xptr;
        case 19: return (void*)(Akonadi::Collection*)xptr;
        default: return xptr;
      }
    case 20:   //Akonadi::CollectionStatistics
      switch(to) {
        case 20: return (void*)(Akonadi::CollectionStatistics*)xptr;
        default: return xptr;
      }
    case 21:   //Akonadi::Entity
      switch(to) {
        case 21: return (void*)(Akonadi::Entity*)xptr;
        case 19: return (void*)(Akonadi::Collection*)(Akonadi::Entity*)xptr;
        default: return xptr;
      }
    case 22:   //Akonadi::EntityPrivate
      switch(to) {
        case 22: return (void*)(Akonadi::EntityPrivate*)xptr;
        default: return xptr;
      }
    case 23:   //Akonadi::Exception
      switch(to) {
        case 23: return (void*)(Akonadi::Exception*)xptr;
        case 25: return (void*)(Akonadi::PayloadException*)(Akonadi::Exception*)xptr;
        default: return xptr;
      }
    case 24:   //Akonadi::Item
      switch(to) {
        case 24: return (void*)(Akonadi::Item*)xptr;
        default: return xptr;
      }
    case 25:   //Akonadi::PayloadException
      switch(to) {
        case 23: return (void*)(Akonadi::Exception*)(Akonadi::PayloadException*)xptr;
        case 25: return (void*)(Akonadi::PayloadException*)xptr;
        default: return xptr;
      }
    case 26:   //KCharsets
      switch(to) {
        case 26: return (void*)(KCharsets*)xptr;
        default: return xptr;
      }
    case 27:   //KComponentData
      switch(to) {
        case 27: return (void*)(KComponentData*)xptr;
        default: return xptr;
      }
    case 28:   //KDialog
      switch(to) {
        case 42: return (void*)(QDialog*)(KDialog*)xptr;
        case 75: return (void*)(QWidget*)(KDialog*)xptr;
        case 61: return (void*)(QObject*)(KDialog*)xptr;
        case 28: return (void*)(KDialog*)xptr;
        case 12: return (void*)(Akonadi::AgentTypeDialog*)(KDialog*)xptr;
        default: return xptr;
      }
    case 29:   //KJob
      switch(to) {
        case 61: return (void*)(QObject*)(KJob*)xptr;
        case 29: return (void*)(KJob*)xptr;
        case 7: return (void*)(Akonadi::AgentInstanceCreateJob*)(KJob*)xptr;
        default: return xptr;
      }
    case 30:   //KLocale
      switch(to) {
        case 30: return (void*)(KLocale*)xptr;
        default: return xptr;
      }
    case 31:   //KStandardDirs
      switch(to) {
        case 31: return (void*)(KStandardDirs*)xptr;
        default: return xptr;
      }
    case 32:   //KUrl
      switch(to) {
        case 32: return (void*)(KUrl*)xptr;
        default: return xptr;
      }
    case 33:   //QAbstractItemModel
      switch(to) {
        case 61: return (void*)(QObject*)(QAbstractItemModel*)xptr;
        case 33: return (void*)(QAbstractItemModel*)xptr;
        case 8: return (void*)(Akonadi::AgentInstanceModel*)(QAbstractItemModel*)xptr;
        case 13: return (void*)(Akonadi::AgentTypeModel*)(QAbstractItemModel*)xptr;
        case 5: return (void*)(Akonadi::AgentFilterProxyModel*)(QAbstractItemModel*)xptr;
        default: return xptr;
      }
    case 34:   //QAbstractProxyModel
      switch(to) {
        case 33: return (void*)(QAbstractItemModel*)(QAbstractProxyModel*)xptr;
        case 61: return (void*)(QObject*)(QAbstractProxyModel*)xptr;
        case 34: return (void*)(QAbstractProxyModel*)xptr;
        case 5: return (void*)(Akonadi::AgentFilterProxyModel*)(QAbstractProxyModel*)xptr;
        default: return xptr;
      }
    case 35:   //QActionEvent
      switch(to) {
        case 35: return (void*)(QActionEvent*)xptr;
        default: return xptr;
      }
    case 36:   //QBool
      switch(to) {
        case 36: return (void*)(QBool*)xptr;
        default: return xptr;
      }
    case 37:   //QByteArray
      switch(to) {
        case 37: return (void*)(QByteArray*)xptr;
        default: return xptr;
      }
    case 38:   //QChildEvent
      switch(to) {
        case 47: return (void*)(QEvent*)(QChildEvent*)xptr;
        case 38: return (void*)(QChildEvent*)xptr;
        default: return xptr;
      }
    case 39:   //QCloseEvent
      switch(to) {
        case 39: return (void*)(QCloseEvent*)xptr;
        default: return xptr;
      }
    case 40:   //QContextMenuEvent
      switch(to) {
        case 40: return (void*)(QContextMenuEvent*)xptr;
        default: return xptr;
      }
    case 41:   //QDBusContext
      switch(to) {
        case 41: return (void*)(QDBusContext*)xptr;
        case 1: return (void*)(Akonadi::AgentBase*)(QDBusContext*)xptr;
        default: return xptr;
      }
    case 42:   //QDialog
      switch(to) {
        case 75: return (void*)(QWidget*)(QDialog*)xptr;
        case 61: return (void*)(QObject*)(QDialog*)xptr;
        case 42: return (void*)(QDialog*)xptr;
        case 12: return (void*)(Akonadi::AgentTypeDialog*)(QDialog*)xptr;
        default: return xptr;
      }
    case 43:   //QDragEnterEvent
      switch(to) {
        case 43: return (void*)(QDragEnterEvent*)xptr;
        default: return xptr;
      }
    case 44:   //QDragLeaveEvent
      switch(to) {
        case 44: return (void*)(QDragLeaveEvent*)xptr;
        default: return xptr;
      }
    case 45:   //QDragMoveEvent
      switch(to) {
        case 45: return (void*)(QDragMoveEvent*)xptr;
        default: return xptr;
      }
    case 46:   //QDropEvent
      switch(to) {
        case 46: return (void*)(QDropEvent*)xptr;
        default: return xptr;
      }
    case 47:   //QEvent
      switch(to) {
        case 47: return (void*)(QEvent*)xptr;
        default: return xptr;
      }
    case 48:   //QFocusEvent
      switch(to) {
        case 48: return (void*)(QFocusEvent*)xptr;
        default: return xptr;
      }
    case 49:   //QFont
      switch(to) {
        case 49: return (void*)(QFont*)xptr;
        default: return xptr;
      }
    case 51:   //QHideEvent
      switch(to) {
        case 51: return (void*)(QHideEvent*)xptr;
        default: return xptr;
      }
    case 52:   //QIcon
      switch(to) {
        case 52: return (void*)(QIcon*)xptr;
        default: return xptr;
      }
    case 53:   //QInputMethodEvent
      switch(to) {
        case 53: return (void*)(QInputMethodEvent*)xptr;
        default: return xptr;
      }
    case 54:   //QItemSelection
      switch(to) {
        case 54: return (void*)(QItemSelection*)xptr;
        default: return xptr;
      }
    case 55:   //QKeyEvent
      switch(to) {
        case 55: return (void*)(QKeyEvent*)xptr;
        default: return xptr;
      }
    case 56:   //QMetaObject
      switch(to) {
        case 56: return (void*)(QMetaObject*)xptr;
        default: return xptr;
      }
    case 57:   //QMimeData
      switch(to) {
        case 57: return (void*)(QMimeData*)xptr;
        default: return xptr;
      }
    case 58:   //QModelIndex
      switch(to) {
        case 58: return (void*)(QModelIndex*)xptr;
        default: return xptr;
      }
    case 59:   //QMouseEvent
      switch(to) {
        case 59: return (void*)(QMouseEvent*)xptr;
        default: return xptr;
      }
    case 60:   //QMoveEvent
      switch(to) {
        case 60: return (void*)(QMoveEvent*)xptr;
        default: return xptr;
      }
    case 61:   //QObject
      switch(to) {
        case 61: return (void*)(QObject*)xptr;
        case 1: return (void*)(Akonadi::AgentBase*)(QObject*)xptr;
        case 8: return (void*)(Akonadi::AgentInstanceModel*)(QObject*)xptr;
        case 14: return (void*)(Akonadi::AgentTypeWidget*)(QObject*)xptr;
        case 10: return (void*)(Akonadi::AgentManager*)(QObject*)xptr;
        case 9: return (void*)(Akonadi::AgentInstanceWidget*)(QObject*)xptr;
        case 13: return (void*)(Akonadi::AgentTypeModel*)(QObject*)xptr;
        case 7: return (void*)(Akonadi::AgentInstanceCreateJob*)(QObject*)xptr;
        case 12: return (void*)(Akonadi::AgentTypeDialog*)(QObject*)xptr;
        case 5: return (void*)(Akonadi::AgentFilterProxyModel*)(QObject*)xptr;
        default: return xptr;
      }
    case 62:   //QPaintEngine
      switch(to) {
        case 62: return (void*)(QPaintEngine*)xptr;
        default: return xptr;
      }
    case 63:   //QPaintEvent
      switch(to) {
        case 63: return (void*)(QPaintEvent*)xptr;
        default: return xptr;
      }
    case 64:   //QPalette
      switch(to) {
        case 64: return (void*)(QPalette*)xptr;
        default: return xptr;
      }
    case 65:   //QRegExp
      switch(to) {
        case 65: return (void*)(QRegExp*)xptr;
        default: return xptr;
      }
    case 66:   //QResizeEvent
      switch(to) {
        case 66: return (void*)(QResizeEvent*)xptr;
        default: return xptr;
      }
    case 67:   //QShowEvent
      switch(to) {
        case 67: return (void*)(QShowEvent*)xptr;
        default: return xptr;
      }
    case 68:   //QSize
      switch(to) {
        case 68: return (void*)(QSize*)xptr;
        default: return xptr;
      }
    case 69:   //QSortFilterProxyModel
      switch(to) {
        case 34: return (void*)(QAbstractProxyModel*)(QSortFilterProxyModel*)xptr;
        case 33: return (void*)(QAbstractItemModel*)(QSortFilterProxyModel*)xptr;
        case 61: return (void*)(QObject*)(QSortFilterProxyModel*)xptr;
        case 69: return (void*)(QSortFilterProxyModel*)xptr;
        case 5: return (void*)(Akonadi::AgentFilterProxyModel*)(QSortFilterProxyModel*)xptr;
        default: return xptr;
      }
    case 70:   //QStyle
      switch(to) {
        case 70: return (void*)(QStyle*)xptr;
        default: return xptr;
      }
    case 71:   //QTabletEvent
      switch(to) {
        case 71: return (void*)(QTabletEvent*)xptr;
        default: return xptr;
      }
    case 72:   //QTimerEvent
      switch(to) {
        case 47: return (void*)(QEvent*)(QTimerEvent*)xptr;
        case 72: return (void*)(QTimerEvent*)xptr;
        default: return xptr;
      }
    case 73:   //QVariant
      switch(to) {
        case 73: return (void*)(QVariant*)xptr;
        default: return xptr;
      }
    case 74:   //QWheelEvent
      switch(to) {
        case 74: return (void*)(QWheelEvent*)xptr;
        default: return xptr;
      }
    case 75:   //QWidget
      switch(to) {
        case 61: return (void*)(QObject*)(QWidget*)xptr;
        case 75: return (void*)(QWidget*)xptr;
        case 14: return (void*)(Akonadi::AgentTypeWidget*)(QWidget*)xptr;
        case 9: return (void*)(Akonadi::AgentInstanceWidget*)(QWidget*)xptr;
        case 12: return (void*)(Akonadi::AgentTypeDialog*)(QWidget*)xptr;
        default: return xptr;
      }
    case 76:   //boost::exception
      switch(to) {
        case 76: return (void*)(boost::exception*)xptr;
        default: return xptr;
      }
    case 77:   //boost::exception_detail::large_size
      switch(to) {
        case 77: return (void*)(boost::exception_detail::large_size*)xptr;
        default: return xptr;
      }
    case 78:   //boost::exception_detail::small_size
      switch(to) {
        case 78: return (void*)(boost::exception_detail::small_size*)xptr;
        default: return xptr;
      }
    default: return xptr;
  }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index inheritanceList[] = {
    0,	// 0: (no super class)
    61, 41, 0,	// 1: QObject, QDBusContext
    2, 0,	// 4: Akonadi::AgentBase::Observer
    69, 0,	// 6: QSortFilterProxyModel
    29, 0,	// 8: KJob
    33, 0,	// 10: QAbstractItemModel
    75, 0,	// 12: QWidget
    61, 0,	// 14: QObject
    28, 0,	// 16: KDialog
    21, 0,	// 18: Akonadi::Entity
    23, 0,	// 20: Akonadi::Exception
};

// These are the xenum functions for manipulating enum pointers
void xenum_QGlobalSpace(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentInstanceModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSizePolicy(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDataStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KIconLoader(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QChar(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KUrl__List(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QImage(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfig(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KConfigBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLineF(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QInternal(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QUrl(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QIODevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTransform(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QTextStream(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSysInfo(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QGradient(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QApplication(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Collection(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QColor(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QRegion(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__Entity(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QKeySequence(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDate(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPaintDevice(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QEventLoop(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KIconTheme(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QMetaType(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPainterPath(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentInstance(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QSystemLocale(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QCoreApplication(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentTypeModel(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QDBusError(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_Akonadi__AgentBase(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_QPixmap(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_Akonadi__AgentBase(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentBase__Observer(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentBase__ObserverV2(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentFilterProxyModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstance(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceCreateJob(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentInstanceWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentManager(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentType(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeDialog(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeModel(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AgentTypeWidget(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Attribute(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__AttributeFactory(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__CachePolicy(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Collection(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Entity(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__Exception(Smoke::Index, void*, Smoke::Stack);
void xcall_Akonadi__PayloadException(Smoke::Index, void*, Smoke::Stack);
void xcall_QGlobalSpace(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, external, index into inheritanceList, method dispatcher, enum dispatcher, class flags, size
static Smoke::Class classes[] = {
    { 0L, false, 0, 0, 0, 0, 0 },	// 0 (no class)
    { "Akonadi::AgentBase", false, 1, xcall_Akonadi__AgentBase, xenum_Akonadi__AgentBase, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentBase) },	//1
    { "Akonadi::AgentBase::Observer", false, 0, xcall_Akonadi__AgentBase__Observer, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::AgentBase::Observer) },	//2
    { "Akonadi::AgentBase::ObserverV2", false, 4, xcall_Akonadi__AgentBase__ObserverV2, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::AgentBase::ObserverV2) },	//3
    { "Akonadi::AgentBasePrivate", true, 0, 0, 0, 0, 0 },	//4
    { "Akonadi::AgentFilterProxyModel", false, 6, xcall_Akonadi__AgentFilterProxyModel, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentFilterProxyModel) },	//5
    { "Akonadi::AgentInstance", false, 0, xcall_Akonadi__AgentInstance, xenum_Akonadi__AgentInstance, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AgentInstance) },	//6
    { "Akonadi::AgentInstanceCreateJob", false, 8, xcall_Akonadi__AgentInstanceCreateJob, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceCreateJob) },	//7
    { "Akonadi::AgentInstanceModel", false, 10, xcall_Akonadi__AgentInstanceModel, xenum_Akonadi__AgentInstanceModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceModel) },	//8
    { "Akonadi::AgentInstanceWidget", false, 12, xcall_Akonadi__AgentInstanceWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentInstanceWidget) },	//9
    { "Akonadi::AgentManager", false, 14, xcall_Akonadi__AgentManager, 0, Smoke::cf_virtual, sizeof(Akonadi::AgentManager) },	//10
    { "Akonadi::AgentType", false, 0, xcall_Akonadi__AgentType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AgentType) },	//11
    { "Akonadi::AgentTypeDialog", false, 16, xcall_Akonadi__AgentTypeDialog, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeDialog) },	//12
    { "Akonadi::AgentTypeModel", false, 10, xcall_Akonadi__AgentTypeModel, xenum_Akonadi__AgentTypeModel, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeModel) },	//13
    { "Akonadi::AgentTypeWidget", false, 12, xcall_Akonadi__AgentTypeWidget, 0, Smoke::cf_constructor|Smoke::cf_virtual, sizeof(Akonadi::AgentTypeWidget) },	//14
    { "Akonadi::Attribute", false, 0, xcall_Akonadi__Attribute, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::Attribute) },	//15
    { "Akonadi::AttributeFactory", false, 0, xcall_Akonadi__AttributeFactory, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::AttributeFactory) },	//16
    { "Akonadi::CachePolicy", false, 0, xcall_Akonadi__CachePolicy, 0, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::CachePolicy) },	//17
    { "Akonadi::ChangeRecorder", true, 0, 0, 0, 0, 0 },	//18
    { "Akonadi::Collection", false, 18, xcall_Akonadi__Collection, xenum_Akonadi__Collection, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::Collection) },	//19
    { "Akonadi::CollectionStatistics", true, 0, 0, 0, 0, 0 },	//20
    { "Akonadi::Entity", false, 0, xcall_Akonadi__Entity, xenum_Akonadi__Entity, Smoke::cf_constructor|Smoke::cf_deepcopy, sizeof(Akonadi::Entity) },	//21
    { "Akonadi::EntityPrivate", true, 0, 0, 0, 0, 0 },	//22
    { "Akonadi::Exception", false, 0, xcall_Akonadi__Exception, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::Exception) },	//23
    { "Akonadi::Item", true, 0, 0, 0, 0, 0 },	//24
    { "Akonadi::PayloadException", false, 20, xcall_Akonadi__PayloadException, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual, sizeof(Akonadi::PayloadException) },	//25
    { "KCharsets", true, 0, 0, 0, 0, 0 },	//26
    { "KComponentData", true, 0, 0, 0, 0, 0 },	//27
    { "KDialog", true, 0, 0, 0, 0, 0 },	//28
    { "KJob", true, 0, 0, 0, 0, 0 },	//29
    { "KLocale", true, 0, 0, 0, 0, 0 },	//30
    { "KStandardDirs", true, 0, 0, 0, 0, 0 },	//31
    { "KUrl", true, 0, 0, 0, 0, 0 },	//32
    { "QAbstractItemModel", true, 0, 0, 0, 0, 0 },	//33
    { "QAbstractProxyModel", true, 0, 0, 0, 0, 0 },	//34
    { "QActionEvent", true, 0, 0, 0, 0, 0 },	//35
    { "QBool", true, 0, 0, 0, 0, 0 },	//36
    { "QByteArray", true, 0, 0, 0, 0, 0 },	//37
    { "QChildEvent", true, 0, 0, 0, 0, 0 },	//38
    { "QCloseEvent", true, 0, 0, 0, 0, 0 },	//39
    { "QContextMenuEvent", true, 0, 0, 0, 0, 0 },	//40
    { "QDBusContext", true, 0, 0, 0, 0, 0 },	//41
    { "QDialog", true, 0, 0, 0, 0, 0 },	//42
    { "QDragEnterEvent", true, 0, 0, 0, 0, 0 },	//43
    { "QDragLeaveEvent", true, 0, 0, 0, 0, 0 },	//44
    { "QDragMoveEvent", true, 0, 0, 0, 0, 0 },	//45
    { "QDropEvent", true, 0, 0, 0, 0, 0 },	//46
    { "QEvent", true, 0, 0, 0, 0, 0 },	//47
    { "QFocusEvent", true, 0, 0, 0, 0, 0 },	//48
    { "QFont", true, 0, 0, 0, 0, 0 },	//49
    { "QGlobalSpace", false, 0, xcall_QGlobalSpace, xenum_QGlobalSpace, Smoke::cf_namespace, 0 },	//50
    { "QHideEvent", true, 0, 0, 0, 0, 0 },	//51
    { "QIcon", true, 0, 0, 0, 0, 0 },	//52
    { "QInputMethodEvent", true, 0, 0, 0, 0, 0 },	//53
    { "QItemSelection", true, 0, 0, 0, 0, 0 },	//54
    { "QKeyEvent", true, 0, 0, 0, 0, 0 },	//55
    { "QMetaObject", true, 0, 0, 0, 0, 0 },	//56
    { "QMimeData", true, 0, 0, 0, 0, 0 },	//57
    { "QModelIndex", true, 0, 0, 0, 0, 0 },	//58
    { "QMouseEvent", true, 0, 0, 0, 0, 0 },	//59
    { "QMoveEvent", true, 0, 0, 0, 0, 0 },	//60
    { "QObject", true, 0, 0, 0, 0, 0 },	//61
    { "QPaintEngine", true, 0, 0, 0, 0, 0 },	//62
    { "QPaintEvent", true, 0, 0, 0, 0, 0 },	//63
    { "QPalette", true, 0, 0, 0, 0, 0 },	//64
    { "QRegExp", true, 0, 0, 0, 0, 0 },	//65
    { "QResizeEvent", true, 0, 0, 0, 0, 0 },	//66
    { "QShowEvent", true, 0, 0, 0, 0, 0 },	//67
    { "QSize", true, 0, 0, 0, 0, 0 },	//68
    { "QSortFilterProxyModel", true, 0, 0, 0, 0, 0 },	//69
    { "QStyle", true, 0, 0, 0, 0, 0 },	//70
    { "QTabletEvent", true, 0, 0, 0, 0, 0 },	//71
    { "QTimerEvent", true, 0, 0, 0, 0, 0 },	//72
    { "QVariant", true, 0, 0, 0, 0, 0 },	//73
    { "QWheelEvent", true, 0, 0, 0, 0, 0 },	//74
    { "QWidget", true, 0, 0, 0, 0, 0 },	//75
    { "boost::exception", true, 0, 0, 0, 0, 0 },	//76
    { "boost::exception_detail::large_size", true, 0, 0, 0, 0, 0 },	//77
    { "boost::exception_detail::small_size", true, 0, 0, 0, 0, 0 },	//78
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type types[] = {
    { 0, 0, 0 },	//0 (no type)
    { "Akonadi::AgentBase*", 1, Smoke::t_class|Smoke::tf_ptr },	//1
    { "Akonadi::AgentBase::Observer*", 2, Smoke::t_class|Smoke::tf_ptr },	//2
    { "Akonadi::AgentBase::ObserverV2*", 3, Smoke::t_class|Smoke::tf_ptr },	//3
    { "Akonadi::AgentBase::Status", 1, Smoke::t_enum|Smoke::tf_stack },	//4
    { "Akonadi::AgentBasePrivate*", 4, Smoke::t_class|Smoke::tf_ptr },	//5
    { "Akonadi::AgentFilterProxyModel*", 5, Smoke::t_class|Smoke::tf_ptr },	//6
    { "Akonadi::AgentInstance", 6, Smoke::t_class|Smoke::tf_stack },	//7
    { "Akonadi::AgentInstance&", 6, Smoke::t_class|Smoke::tf_ref },	//8
    { "Akonadi::AgentInstance*", 6, Smoke::t_class|Smoke::tf_ptr },	//9
    { "Akonadi::AgentInstance::Status", 6, Smoke::t_enum|Smoke::tf_stack },	//10
    { "Akonadi::AgentInstanceCreateJob*", 7, Smoke::t_class|Smoke::tf_ptr },	//11
    { "Akonadi::AgentInstanceModel*", 8, Smoke::t_class|Smoke::tf_ptr },	//12
    { "Akonadi::AgentInstanceModel::Roles", 8, Smoke::t_enum|Smoke::tf_stack },	//13
    { "Akonadi::AgentInstanceWidget*", 9, Smoke::t_class|Smoke::tf_ptr },	//14
    { "Akonadi::AgentManager*", 10, Smoke::t_class|Smoke::tf_ptr },	//15
    { "Akonadi::AgentType", 11, Smoke::t_class|Smoke::tf_stack },	//16
    { "Akonadi::AgentType&", 11, Smoke::t_class|Smoke::tf_ref },	//17
    { "Akonadi::AgentType*", 11, Smoke::t_class|Smoke::tf_ptr },	//18
    { "Akonadi::AgentTypeDialog*", 12, Smoke::t_class|Smoke::tf_ptr },	//19
    { "Akonadi::AgentTypeModel*", 13, Smoke::t_class|Smoke::tf_ptr },	//20
    { "Akonadi::AgentTypeModel::Roles", 13, Smoke::t_enum|Smoke::tf_stack },	//21
    { "Akonadi::AgentTypeWidget*", 14, Smoke::t_class|Smoke::tf_ptr },	//22
    { "Akonadi::Attribute*", 15, Smoke::t_class|Smoke::tf_ptr },	//23
    { "Akonadi::AttributeFactory*", 16, Smoke::t_class|Smoke::tf_ptr },	//24
    { "Akonadi::CachePolicy", 17, Smoke::t_class|Smoke::tf_stack },	//25
    { "Akonadi::CachePolicy&", 17, Smoke::t_class|Smoke::tf_ref },	//26
    { "Akonadi::CachePolicy*", 17, Smoke::t_class|Smoke::tf_ptr },	//27
    { "Akonadi::ChangeRecorder*", 18, Smoke::t_class|Smoke::tf_ptr },	//28
    { "Akonadi::Collection", 19, Smoke::t_class|Smoke::tf_stack },	//29
    { "Akonadi::Collection&", 19, Smoke::t_class|Smoke::tf_ref },	//30
    { "Akonadi::Collection*", 19, Smoke::t_class|Smoke::tf_ptr },	//31
    { "Akonadi::Collection::Right", 19, Smoke::t_enum|Smoke::tf_stack },	//32
    { "Akonadi::Collection::Rights", 0, Smoke::t_uint|Smoke::tf_stack },	//33
    { "Akonadi::CollectionStatistics", 20, Smoke::t_class|Smoke::tf_stack },	//34
    { "Akonadi::Entity&", 21, Smoke::t_class|Smoke::tf_ref },	//35
    { "Akonadi::Entity*", 21, Smoke::t_class|Smoke::tf_ptr },	//36
    { "Akonadi::Entity::CreateOption", 21, Smoke::t_enum|Smoke::tf_stack },	//37
    { "Akonadi::EntityPrivate*", 22, Smoke::t_class|Smoke::tf_ptr },	//38
    { "Akonadi::Exception*", 23, Smoke::t_class|Smoke::tf_ptr },	//39
    { "Akonadi::PayloadException*", 25, Smoke::t_class|Smoke::tf_ptr },	//40
    { "KCharsets*", 26, Smoke::t_class|Smoke::tf_ptr },	//41
    { "KComponentData", 27, Smoke::t_class|Smoke::tf_stack },	//42
    { "KGlobal::CopyCatalogs", 0, Smoke::t_enum|Smoke::tf_stack },	//43
    { "KLocale*", 30, Smoke::t_class|Smoke::tf_ptr },	//44
    { "KSharedPtr<KSharedConfig>", 0, Smoke::t_voidp|Smoke::tf_stack },	//45
    { "KStandardDirs*", 31, Smoke::t_class|Smoke::tf_ptr },	//46
    { "KUrl", 32, Smoke::t_class|Smoke::tf_stack },	//47
    { "QAbstractItemModel*", 33, Smoke::t_class|Smoke::tf_ptr },	//48
    { "QActionEvent*", 35, Smoke::t_class|Smoke::tf_ptr },	//49
    { "QBool", 36, Smoke::t_class|Smoke::tf_stack },	//50
    { "QByteArray", 37, Smoke::t_class|Smoke::tf_stack },	//51
    { "QChildEvent*", 38, Smoke::t_class|Smoke::tf_ptr },	//52
    { "QCloseEvent*", 39, Smoke::t_class|Smoke::tf_ptr },	//53
    { "QContextMenuEvent*", 40, Smoke::t_class|Smoke::tf_ptr },	//54
    { "QDragEnterEvent*", 43, Smoke::t_class|Smoke::tf_ptr },	//55
    { "QDragLeaveEvent*", 44, Smoke::t_class|Smoke::tf_ptr },	//56
    { "QDragMoveEvent*", 45, Smoke::t_class|Smoke::tf_ptr },	//57
    { "QDropEvent*", 46, Smoke::t_class|Smoke::tf_ptr },	//58
    { "QEvent*", 47, Smoke::t_class|Smoke::tf_ptr },	//59
    { "QFocusEvent*", 48, Smoke::t_class|Smoke::tf_ptr },	//60
    { "QHideEvent*", 51, Smoke::t_class|Smoke::tf_ptr },	//61
    { "QIcon", 52, Smoke::t_class|Smoke::tf_stack },	//62
    { "QInputMethodEvent*", 53, Smoke::t_class|Smoke::tf_ptr },	//63
    { "QItemSelection", 54, Smoke::t_class|Smoke::tf_stack },	//64
    { "QKeyEvent*", 55, Smoke::t_class|Smoke::tf_ptr },	//65
    { "QList<Akonadi::AgentInstance>", 0, Smoke::t_voidp|Smoke::tf_stack },	//66
    { "QList<Akonadi::AgentType>", 0, Smoke::t_voidp|Smoke::tf_stack },	//67
    { "QList<Akonadi::Attribute*>", 0, Smoke::t_voidp|Smoke::tf_stack },	//68
    { "QList<QModelIndex>", 0, Smoke::t_voidp|Smoke::tf_stack },	//69
    { "QMap<int,QVariant>", 0, Smoke::t_voidp|Smoke::tf_stack },	//70
    { "QMetaObject::Call", 56, Smoke::t_enum|Smoke::tf_stack },	//71
    { "QMimeData*", 57, Smoke::t_class|Smoke::tf_ptr },	//72
    { "QModelIndex", 58, Smoke::t_class|Smoke::tf_stack },	//73
    { "QMouseEvent*", 59, Smoke::t_class|Smoke::tf_ptr },	//74
    { "QMoveEvent*", 60, Smoke::t_class|Smoke::tf_ptr },	//75
    { "QObject*", 61, Smoke::t_class|Smoke::tf_ptr },	//76
    { "QPaintDevice::PaintDeviceMetric", 0, Smoke::t_enum|Smoke::tf_stack },	//77
    { "QPaintEngine*", 62, Smoke::t_class|Smoke::tf_ptr },	//78
    { "QPaintEvent*", 63, Smoke::t_class|Smoke::tf_ptr },	//79
    { "QRegExp&", 65, Smoke::t_class|Smoke::tf_ref },	//80
    { "QResizeEvent*", 66, Smoke::t_class|Smoke::tf_ptr },	//81
    { "QShowEvent*", 67, Smoke::t_class|Smoke::tf_ptr },	//82
    { "QSize", 68, Smoke::t_class|Smoke::tf_stack },	//83
    { "QString", 0, Smoke::t_voidp|Smoke::tf_stack },	//84
    { "QStringList", 0, Smoke::t_voidp|Smoke::tf_stack },	//85
    { "QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//86
    { "QStyle&", 70, Smoke::t_class|Smoke::tf_ref },	//87
    { "QTabletEvent*", 71, Smoke::t_class|Smoke::tf_ptr },	//88
    { "QTimerEvent*", 72, Smoke::t_class|Smoke::tf_ptr },	//89
    { "QVariant", 73, Smoke::t_class|Smoke::tf_stack },	//90
    { "QWheelEvent*", 74, Smoke::t_class|Smoke::tf_ptr },	//91
    { "QWidget*", 75, Smoke::t_class|Smoke::tf_ptr },	//92
    { "Qt::AlignmentFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//93
    { "Qt::AnchorAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//94
    { "Qt::AnchorPoint", 0, Smoke::t_enum|Smoke::tf_stack },	//95
    { "Qt::ApplicationAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//96
    { "Qt::ArrowType", 0, Smoke::t_enum|Smoke::tf_stack },	//97
    { "Qt::AspectRatioMode", 0, Smoke::t_enum|Smoke::tf_stack },	//98
    { "Qt::Axis", 0, Smoke::t_enum|Smoke::tf_stack },	//99
    { "Qt::BGMode", 0, Smoke::t_enum|Smoke::tf_stack },	//100
    { "Qt::BrushStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//101
    { "Qt::CaseSensitivity", 0, Smoke::t_enum|Smoke::tf_stack },	//102
    { "Qt::CheckState", 0, Smoke::t_enum|Smoke::tf_stack },	//103
    { "Qt::ClipOperation", 0, Smoke::t_enum|Smoke::tf_stack },	//104
    { "Qt::ConnectionType", 0, Smoke::t_enum|Smoke::tf_stack },	//105
    { "Qt::ContextMenuPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//106
    { "Qt::CoordinateSystem", 0, Smoke::t_enum|Smoke::tf_stack },	//107
    { "Qt::Corner", 0, Smoke::t_enum|Smoke::tf_stack },	//108
    { "Qt::CursorShape", 0, Smoke::t_enum|Smoke::tf_stack },	//109
    { "Qt::DateFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//110
    { "Qt::DayOfWeek", 0, Smoke::t_enum|Smoke::tf_stack },	//111
    { "Qt::DockWidgetArea", 0, Smoke::t_enum|Smoke::tf_stack },	//112
    { "Qt::DockWidgetAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//113
    { "Qt::DropAction", 0, Smoke::t_enum|Smoke::tf_stack },	//114
    { "Qt::DropActions", 0, Smoke::t_uint|Smoke::tf_stack },	//115
    { "Qt::EventPriority", 0, Smoke::t_enum|Smoke::tf_stack },	//116
    { "Qt::FillRule", 0, Smoke::t_enum|Smoke::tf_stack },	//117
    { "Qt::FocusPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//118
    { "Qt::FocusReason", 0, Smoke::t_enum|Smoke::tf_stack },	//119
    { "Qt::GestureFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//120
    { "Qt::GestureState", 0, Smoke::t_enum|Smoke::tf_stack },	//121
    { "Qt::GestureType", 0, Smoke::t_enum|Smoke::tf_stack },	//122
    { "Qt::GlobalColor", 0, Smoke::t_enum|Smoke::tf_stack },	//123
    { "Qt::ImageConversionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//124
    { "Qt::Initialization", 0, Smoke::t_enum|Smoke::tf_stack },	//125
    { "Qt::InputMethodHint", 0, Smoke::t_enum|Smoke::tf_stack },	//126
    { "Qt::InputMethodQuery", 0, Smoke::t_enum|Smoke::tf_stack },	//127
    { "Qt::ItemDataRole", 0, Smoke::t_enum|Smoke::tf_stack },	//128
    { "Qt::ItemFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//129
    { "Qt::ItemFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//130
    { "Qt::ItemSelectionMode", 0, Smoke::t_enum|Smoke::tf_stack },	//131
    { "Qt::Key", 0, Smoke::t_enum|Smoke::tf_stack },	//132
    { "Qt::KeyboardModifier", 0, Smoke::t_enum|Smoke::tf_stack },	//133
    { "Qt::LayoutDirection", 0, Smoke::t_enum|Smoke::tf_stack },	//134
    { "Qt::MaskMode", 0, Smoke::t_enum|Smoke::tf_stack },	//135
    { "Qt::MatchFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//136
    { "Qt::MatchFlags", 0, Smoke::t_uint|Smoke::tf_stack },	//137
    { "Qt::Modifier", 0, Smoke::t_enum|Smoke::tf_stack },	//138
    { "Qt::MouseButton", 0, Smoke::t_enum|Smoke::tf_stack },	//139
    { "Qt::NavigationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//140
    { "Qt::Orientation", 0, Smoke::t_enum|Smoke::tf_stack },	//141
    { "Qt::PenCapStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//142
    { "Qt::PenJoinStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//143
    { "Qt::PenStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//144
    { "Qt::ScrollBarPolicy", 0, Smoke::t_enum|Smoke::tf_stack },	//145
    { "Qt::ShortcutContext", 0, Smoke::t_enum|Smoke::tf_stack },	//146
    { "Qt::SizeHint", 0, Smoke::t_enum|Smoke::tf_stack },	//147
    { "Qt::SizeMode", 0, Smoke::t_enum|Smoke::tf_stack },	//148
    { "Qt::SortOrder", 0, Smoke::t_enum|Smoke::tf_stack },	//149
    { "Qt::TextElideMode", 0, Smoke::t_enum|Smoke::tf_stack },	//150
    { "Qt::TextFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//151
    { "Qt::TextFormat", 0, Smoke::t_enum|Smoke::tf_stack },	//152
    { "Qt::TextInteractionFlag", 0, Smoke::t_enum|Smoke::tf_stack },	//153
    { "Qt::TileRule", 0, Smoke::t_enum|Smoke::tf_stack },	//154
    { "Qt::TimeSpec", 0, Smoke::t_enum|Smoke::tf_stack },	//155
    { "Qt::ToolBarArea", 0, Smoke::t_enum|Smoke::tf_stack },	//156
    { "Qt::ToolBarAreaSizes", 0, Smoke::t_enum|Smoke::tf_stack },	//157
    { "Qt::ToolButtonStyle", 0, Smoke::t_enum|Smoke::tf_stack },	//158
    { "Qt::TouchPointState", 0, Smoke::t_enum|Smoke::tf_stack },	//159
    { "Qt::TransformationMode", 0, Smoke::t_enum|Smoke::tf_stack },	//160
    { "Qt::UIEffect", 0, Smoke::t_enum|Smoke::tf_stack },	//161
    { "Qt::WidgetAttribute", 0, Smoke::t_enum|Smoke::tf_stack },	//162
    { "Qt::WindowFrameSection", 0, Smoke::t_enum|Smoke::tf_stack },	//163
    { "Qt::WindowModality", 0, Smoke::t_enum|Smoke::tf_stack },	//164
    { "Qt::WindowState", 0, Smoke::t_enum|Smoke::tf_stack },	//165
    { "Qt::WindowType", 0, Smoke::t_enum|Smoke::tf_stack },	//166
    { "QtMsgType", 50, Smoke::t_enum|Smoke::tf_stack },	//167
    { "_XEvent*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//168
    { "__codecvt_result", 50, Smoke::t_enum|Smoke::tf_stack },	//169
    { "bool", 0, Smoke::t_bool|Smoke::tf_stack },	//170
    { "boost::exception*", 76, Smoke::t_class|Smoke::tf_ptr },	//171
    { "boost::exception_detail::large_size", 77, Smoke::t_class|Smoke::tf_stack },	//172
    { "boost::exception_detail::small_size", 78, Smoke::t_class|Smoke::tf_stack },	//173
    { "boost::memory_order", 0, Smoke::t_enum|Smoke::tf_stack },	//174
    { "char*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//175
    { "const Akonadi::AgentBase::Observer&", 2, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//176
    { "const Akonadi::AgentBase::ObserverV2&", 3, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//177
    { "const Akonadi::AgentInstance&", 6, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//178
    { "const Akonadi::AgentType&", 11, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//179
    { "const Akonadi::Attribute&", 15, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//180
    { "const Akonadi::AttributeFactory&", 16, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//181
    { "const Akonadi::CachePolicy&", 17, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//182
    { "const Akonadi::Collection&", 19, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//183
    { "const Akonadi::CollectionStatistics&", 20, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//184
    { "const Akonadi::Entity&", 21, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//185
    { "const Akonadi::EntityPrivate*", 22, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//186
    { "const Akonadi::Exception&", 23, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//187
    { "const Akonadi::Item&", 24, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//188
    { "const Akonadi::PayloadException&", 25, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//189
    { "const KComponentData&", 27, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//190
    { "const KUrl&", 32, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//191
    { "const QByteArray&", 37, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//192
    { "const QFont&", 49, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//193
    { "const QItemSelection&", 54, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//194
    { "const QList<QModelIndex>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//195
    { "const QMap<int,QVariant>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//196
    { "const QMetaObject&", 56, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//197
    { "const QMetaObject*", 56, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//198
    { "const QMimeData*", 57, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//199
    { "const QModelIndex&", 58, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//200
    { "const QObject*", 61, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//201
    { "const QPalette&", 64, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//202
    { "const QRegExp&", 65, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//203
    { "const QSet<QByteArray>&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//204
    { "const QString&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//205
    { "const QStringList&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//206
    { "const QStringList*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//207
    { "const QVariant&", 73, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//208
    { "const boost::exception&", 76, Smoke::t_class|Smoke::tf_ref|Smoke::tf_const },	//209
    { "const boost::exception*", 76, Smoke::t_class|Smoke::tf_ptr|Smoke::tf_const },	//210
    { "const char*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//211
    { "const std::exception&", 0, Smoke::t_voidp|Smoke::tf_ref|Smoke::tf_const },	//212
    { "const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//213
    { "int", 0, Smoke::t_int|Smoke::tf_stack },	//214
    { "long", 0, Smoke::t_long|Smoke::tf_stack },	//215
    { "long long", 0, Smoke::t_long|Smoke::tf_stack },	//216
    { "long*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//217
    { "unsigned int", 0, Smoke::t_uint|Smoke::tf_stack },	//218
    { "unsigned long", 0, Smoke::t_ulong|Smoke::tf_stack },	//219
    { "void*", 0, Smoke::t_voidp|Smoke::tf_ptr },	//220
    { "void**", 0, Smoke::t_voidp|Smoke::tf_ptr },	//221
    { "volatile const void*", 0, Smoke::t_voidp|Smoke::tf_ptr|Smoke::tf_const },	//222
};

static Smoke::Index argumentList[] = {
    0,	//0  (void)
    211, 0,	//1  const char*
    211, 211, 0,	//3  const char*, const char*
    211, 211, 214, 0,	//6  const char*, const char*, int
    71, 214, 221, 0,	//10  QMetaObject::Call, int, void**
    219, 0,	//14  unsigned long
    2, 0,	//16  Akonadi::AgentBase::Observer*
    205, 0,	//18  const QString&
    214, 205, 0,	//20  int, const QString&
    214, 0,	//23  int
    170, 0,	//25  bool
    5, 205, 0,	//27  Akonadi::AgentBasePrivate*, const QString&
    188, 183, 0,	//30  const Akonadi::Item&, const Akonadi::Collection&
    188, 204, 0,	//33  const Akonadi::Item&, const QSet<QByteArray>&
    188, 0,	//36  const Akonadi::Item&
    183, 183, 0,	//38  const Akonadi::Collection&, const Akonadi::Collection&
    183, 0,	//41  const Akonadi::Collection&
    176, 0,	//43  const Akonadi::AgentBase::Observer&
    188, 183, 183, 0,	//45  const Akonadi::Item&, const Akonadi::Collection&, const Akonadi::Collection&
    183, 183, 183, 0,	//49  const Akonadi::Collection&, const Akonadi::Collection&, const Akonadi::Collection&
    183, 204, 0,	//53  const Akonadi::Collection&, const QSet<QByteArray>&
    177, 0,	//56  const Akonadi::AgentBase::ObserverV2&
    76, 0,	//58  QObject*
    214, 200, 0,	//60  int, const QModelIndex&
    178, 0,	//63  const Akonadi::AgentInstance&
    92, 0,	//65  QWidget*
    179, 76, 0,	//67  const Akonadi::AgentType&, QObject*
    179, 0,	//70  const Akonadi::AgentType&
    200, 0,	//72  const QModelIndex&
    200, 214, 0,	//74  const QModelIndex&, int
    214, 141, 214, 0,	//77  int, Qt::Orientation, int
    214, 214, 200, 0,	//81  int, int, const QModelIndex&
    200, 208, 214, 0,	//85  const QModelIndex&, const QVariant&, int
    214, 141, 0,	//89  int, Qt::Orientation
    214, 214, 0,	//92  int, int
    178, 178, 0,	//95  const Akonadi::AgentInstance&, const Akonadi::AgentInstance&
    178, 205, 0,	//98  const Akonadi::AgentInstance&, const QString&
    178, 170, 0,	//101  const Akonadi::AgentInstance&, bool
    179, 179, 0,	//104  const Akonadi::AgentType&, const Akonadi::AgentType&
    192, 0,	//107  const QByteArray&
    180, 0,	//109  const Akonadi::Attribute&
    181, 0,	//111  const Akonadi::AttributeFactory&
    182, 0,	//113  const Akonadi::CachePolicy&
    206, 0,	//115  const QStringList&
    216, 0,	//117  long long
    191, 0,	//119  const KUrl&
    33, 0,	//121  Akonadi::Collection::Rights
    184, 0,	//123  const Akonadi::CollectionStatistics&
    185, 0,	//125  const Akonadi::Entity&
    23, 0,	//127  Akonadi::Attribute*
    38, 0,	//129  Akonadi::EntityPrivate*
    187, 0,	//131  const Akonadi::Exception&
    189, 0,	//133  const Akonadi::PayloadException&
    205, 170, 0,	//135  const QString&, bool
    61, 0,	//138  QHideEvent*
    53, 0,	//140  QCloseEvent*
    65, 0,	//142  QKeyEvent*
    214, 141, 208, 214, 0,	//144  int, Qt::Orientation, const QVariant&, int
    200, 196, 0,	//149  const QModelIndex&, const QMap<int,QVariant>&
    195, 0,	//152  const QList<QModelIndex>&
    199, 114, 214, 214, 200, 0,	//154  const QMimeData*, Qt::DropAction, int, int, const QModelIndex&
    214, 149, 0,	//160  int, Qt::SortOrder
    200, 214, 208, 214, 137, 0,	//163  const QModelIndex&, int, const QVariant&, int, Qt::MatchFlags
    82, 0,	//169  QShowEvent*
    81, 0,	//171  QResizeEvent*
    54, 0,	//173  QContextMenuEvent*
    76, 59, 0,	//175  QObject*, QEvent*
    59, 0,	//178  QEvent*
    89, 0,	//180  QTimerEvent*
    52, 0,	//182  QChildEvent*
    48, 0,	//184  QAbstractItemModel*
    194, 0,	//186  const QItemSelection&
    200, 200, 0,	//188  const QModelIndex&, const QModelIndex&
    74, 0,	//191  QMouseEvent*
    91, 0,	//193  QWheelEvent*
    60, 0,	//195  QFocusEvent*
    79, 0,	//197  QPaintEvent*
    75, 0,	//199  QMoveEvent*
    88, 0,	//201  QTabletEvent*
    49, 0,	//203  QActionEvent*
    55, 0,	//205  QDragEnterEvent*
    57, 0,	//207  QDragMoveEvent*
    56, 0,	//209  QDragLeaveEvent*
    58, 0,	//211  QDropEvent*
    168, 0,	//213  _XEvent*
    77, 0,	//215  QPaintDevice::PaintDeviceMetric
    63, 0,	//217  QInputMethodEvent*
    127, 0,	//219  Qt::InputMethodQuery
    87, 0,	//221  QStyle&
    202, 0,	//223  const QPalette&
    193, 0,	//225  const QFont&
};

// Raw list of all methods, using munged names
static const char *methodNames[] = {
    "",	//0
    "Accepted",	//1
    "AddIfMissing",	//2
    "AgentBase",	//3
    "AgentBase#$",	//4
    "AgentBase$",	//5
    "AgentFilterProxyModel",	//6
    "AgentFilterProxyModel#",	//7
    "AgentInstance",	//8
    "AgentInstance#",	//9
    "AgentInstanceCreateJob",	//10
    "AgentInstanceCreateJob#",	//11
    "AgentInstanceCreateJob##",	//12
    "AgentInstanceModel",	//13
    "AgentInstanceModel#",	//14
    "AgentInstanceWidget",	//15
    "AgentInstanceWidget#",	//16
    "AgentType",	//17
    "AgentType#",	//18
    "AgentTypeDialog",	//19
    "AgentTypeDialog#",	//20
    "AgentTypeModel",	//21
    "AgentTypeModel#",	//22
    "AgentTypeWidget",	//23
    "AgentTypeWidget#",	//24
    "AllRights",	//25
    "AppNameCaption",	//26
    "Apply",	//27
    "Attribute",	//28
    "Attribute#",	//29
    "AttributeFactory",	//30
    "AttributeFactory#",	//31
    "Broken",	//32
    "Bytes",	//33
    "CachePolicy",	//34
    "CachePolicy#",	//35
    "CanChangeCollection",	//36
    "CanChangeItem",	//37
    "CanCreateCollection",	//38
    "CanCreateItem",	//39
    "CanDeleteCollection",	//40
    "CanDeleteItem",	//41
    "CanLinkItem",	//42
    "CanUnlinkItem",	//43
    "Cancel",	//44
    "CapabilitiesRole",	//45
    "Close",	//46
    "Collection",	//47
    "Collection#",	//48
    "Collection$",	//49
    "Default",	//50
    "DelayedPopup",	//51
    "DescriptionRole",	//52
    "Details",	//53
    "Directories",	//54
    "DrawChildren",	//55
    "DrawWindowBackground",	//56
    "EmitResult",	//57
    "Entity",	//58
    "Entity#",	//59
    "Exception",	//60
    "Exception#",	//61
    "Exception$",	//62
    "Files",	//63
    "HIGCompliantCaption",	//64
    "Help",	//65
    "IdentifierRole",	//66
    "Idle",	//67
    "IgnoreMask",	//68
    "InstanceIdentifierRole",	//69
    "InstanceRole",	//70
    "InstantPopup",	//71
    "Killable",	//72
    "KilledJobError",	//73
    "MimeTypesRole",	//74
    "ModifiedCaption",	//75
    "No",	//76
    "NoCapabilities",	//77
    "NoCaptionFlags",	//78
    "NoDefault",	//79
    "NoError",	//80
    "None",	//81
    "Observer",	//82
    "Observer#",	//83
    "ObserverV2",	//84
    "ObserverV2#",	//85
    "Ok",	//86
    "OnlineRole",	//87
    "PayloadException",	//88
    "PayloadException#",	//89
    "PayloadException$",	//90
    "ProgressRole",	//91
    "QtCriticalMsg",	//92
    "QtDebugMsg",	//93
    "QtFatalMsg",	//94
    "QtSystemMsg",	//95
    "QtWarningMsg",	//96
    "Quietly",	//97
    "ReadOnly",	//98
    "Rejected",	//99
    "Reset",	//100
    "Running",	//101
    "StatusMessageRole",	//102
    "StatusRole",	//103
    "Suspendable",	//104
    "Try",	//105
    "TypeIdentifierRole",	//106
    "TypeRole",	//107
    "User1",	//108
    "User2",	//109
    "User3",	//110
    "UserDefinedError",	//111
    "UserRole",	//112
    "Yes",	//113
    "_CS_GNU_LIBC_VERSION",	//114
    "_CS_GNU_LIBPTHREAD_VERSION",	//115
    "_CS_LFS64_CFLAGS",	//116
    "_CS_LFS64_LDFLAGS",	//117
    "_CS_LFS64_LIBS",	//118
    "_CS_LFS64_LINTFLAGS",	//119
    "_CS_LFS_CFLAGS",	//120
    "_CS_LFS_LDFLAGS",	//121
    "_CS_LFS_LIBS",	//122
    "_CS_LFS_LINTFLAGS",	//123
    "_CS_PATH",	//124
    "_CS_POSIX_V6_ILP32_OFF32_CFLAGS",	//125
    "_CS_POSIX_V6_ILP32_OFF32_LDFLAGS",	//126
    "_CS_POSIX_V6_ILP32_OFF32_LIBS",	//127
    "_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS",	//128
    "_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS",	//129
    "_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS",	//130
    "_CS_POSIX_V6_ILP32_OFFBIG_LIBS",	//131
    "_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS",	//132
    "_CS_POSIX_V6_LP64_OFF64_CFLAGS",	//133
    "_CS_POSIX_V6_LP64_OFF64_LDFLAGS",	//134
    "_CS_POSIX_V6_LP64_OFF64_LIBS",	//135
    "_CS_POSIX_V6_LP64_OFF64_LINTFLAGS",	//136
    "_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS",	//137
    "_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS",	//138
    "_CS_POSIX_V6_LPBIG_OFFBIG_LIBS",	//139
    "_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS",	//140
    "_CS_POSIX_V7_ILP32_OFF32_CFLAGS",	//141
    "_CS_POSIX_V7_ILP32_OFF32_LDFLAGS",	//142
    "_CS_POSIX_V7_ILP32_OFF32_LIBS",	//143
    "_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS",	//144
    "_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS",	//145
    "_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS",	//146
    "_CS_POSIX_V7_ILP32_OFFBIG_LIBS",	//147
    "_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS",	//148
    "_CS_POSIX_V7_LP64_OFF64_CFLAGS",	//149
    "_CS_POSIX_V7_LP64_OFF64_LDFLAGS",	//150
    "_CS_POSIX_V7_LP64_OFF64_LIBS",	//151
    "_CS_POSIX_V7_LP64_OFF64_LINTFLAGS",	//152
    "_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS",	//153
    "_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS",	//154
    "_CS_POSIX_V7_LPBIG_OFFBIG_LIBS",	//155
    "_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS",	//156
    "_CS_V5_WIDTH_RESTRICTED_ENVS",	//157
    "_CS_V6_ENV",	//158
    "_CS_V6_WIDTH_RESTRICTED_ENVS",	//159
    "_CS_V7_ENV",	//160
    "_CS_V7_WIDTH_RESTRICTED_ENVS",	//161
    "_CS_XBS5_ILP32_OFF32_CFLAGS",	//162
    "_CS_XBS5_ILP32_OFF32_LDFLAGS",	//163
    "_CS_XBS5_ILP32_OFF32_LIBS",	//164
    "_CS_XBS5_ILP32_OFF32_LINTFLAGS",	//165
    "_CS_XBS5_ILP32_OFFBIG_CFLAGS",	//166
    "_CS_XBS5_ILP32_OFFBIG_LDFLAGS",	//167
    "_CS_XBS5_ILP32_OFFBIG_LIBS",	//168
    "_CS_XBS5_ILP32_OFFBIG_LINTFLAGS",	//169
    "_CS_XBS5_LP64_OFF64_CFLAGS",	//170
    "_CS_XBS5_LP64_OFF64_LDFLAGS",	//171
    "_CS_XBS5_LP64_OFF64_LIBS",	//172
    "_CS_XBS5_LP64_OFF64_LINTFLAGS",	//173
    "_CS_XBS5_LPBIG_OFFBIG_CFLAGS",	//174
    "_CS_XBS5_LPBIG_OFFBIG_LDFLAGS",	//175
    "_CS_XBS5_LPBIG_OFFBIG_LIBS",	//176
    "_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS",	//177
    "__codecvt_error",	//178
    "__codecvt_noconv",	//179
    "__codecvt_ok",	//180
    "__codecvt_partial",	//181
    "abortCurrentTask",	//182
    "abortRequested",	//183
    "aboutToQuit",	//184
    "accept",	//185
    "actionEvent",	//186
    "activated",	//187
    "addAttribute",	//188
    "addAttribute#",	//189
    "addCapabilityFilter",	//190
    "addCapabilityFilter$",	//191
    "addMimeTypeFilter",	//192
    "addMimeTypeFilter$",	//193
    "agentFilterProxyModel",	//194
    "agentName",	//195
    "agentNameChanged",	//196
    "agentNameChanged$",	//197
    "agentType",	//198
    "attribute",	//199
    "attribute#",	//200
    "attributes",	//201
    "buddy",	//202
    "cachePolicy",	//203
    "cacheTimeout",	//204
    "canFetchMore",	//205
    "capabilities",	//206
    "changeEvent",	//207
    "changeProcessed",	//208
    "changeRecorder",	//209
    "childEvent",	//210
    "cleanup",	//211
    "clearAttributes",	//212
    "clearFilters",	//213
    "clone",	//214
    "closeEvent",	//215
    "collectionAdded",	//216
    "collectionAdded##",	//217
    "collectionChanged",	//218
    "collectionChanged#",	//219
    "collectionChanged#?",	//220
    "collectionMoved",	//221
    "collectionMoved###",	//222
    "collectionRemoved",	//223
    "collectionRemoved#",	//224
    "columnCount",	//225
    "columnCount#",	//226
    "configurationDialogAccepted",	//227
    "configurationDialogRejected",	//228
    "configure",	//229
    "configure#",	//230
    "configure$",	//231
    "connectNotify",	//232
    "contentMimeTypes",	//233
    "contextMenuEvent",	//234
    "createAttribute",	//235
    "createAttribute#",	//236
    "currentAgentInstance",	//237
    "currentAgentType",	//238
    "currentChanged",	//239
    "currentChanged##",	//240
    "customEvent",	//241
    "d_func",	//242
    "data",	//243
    "data#",	//244
    "data#$",	//245
    "description",	//246
    "deserialize",	//247
    "deserialize#",	//248
    "devType",	//249
    "disconnectNotify",	//250
    "doKill",	//251
    "doResume",	//252
    "doSetOnline",	//253
    "doSetOnline$",	//254
    "doSuspend",	//255
    "done",	//256
    "done$",	//257
    "doubleClicked",	//258
    "doubleClicked#",	//259
    "dragEnterEvent",	//260
    "dragLeaveEvent",	//261
    "dragMoveEvent",	//262
    "dropEvent",	//263
    "dropMimeData",	//264
    "enabledChange",	//265
    "enterEvent",	//266
    "error",	//267
    "error$",	//268
    "errorString",	//269
    "event",	//270
    "eventFilter",	//271
    "fetchMore",	//272
    "filterAcceptsColumn",	//273
    "filterAcceptsRow",	//274
    "filterAcceptsRow$#",	//275
    "flags",	//276
    "flags#",	//277
    "focusInEvent",	//278
    "focusNextPrevChild",	//279
    "focusOutEvent",	//280
    "fontChange",	//281
    "fromUrl",	//282
    "fromUrl#",	//283
    "hasAttribute",	//284
    "hasAttribute#",	//285
    "hasChildren",	//286
    "headerData",	//287
    "headerData$$",	//288
    "headerData$$$",	//289
    "heightForWidth",	//290
    "hideEvent",	//291
    "icon",	//292
    "iconName",	//293
    "id",	//294
    "identifier",	//295
    "index",	//296
    "index$$",	//297
    "index$$#",	//298
    "inheritFromParent",	//299
    "inputMethodEvent",	//300
    "inputMethodQuery",	//301
    "insertColumns",	//302
    "insertRows",	//303
    "instance",	//304
    "instance$",	//305
    "instanceAdded",	//306
    "instanceAdded#",	//307
    "instanceError",	//308
    "instanceError#$",	//309
    "instanceNameChanged",	//310
    "instanceNameChanged#",	//311
    "instanceOnline",	//312
    "instanceOnline#$",	//313
    "instanceProgressChanged",	//314
    "instanceProgressChanged#",	//315
    "instanceRemoved",	//316
    "instanceRemoved#",	//317
    "instanceStatusChanged",	//318
    "instanceStatusChanged#",	//319
    "instanceWarning",	//320
    "instanceWarning#$",	//321
    "instances",	//322
    "intervalCheckTime",	//323
    "isOnline",	//324
    "isValid",	//325
    "itemAdded",	//326
    "itemAdded##",	//327
    "itemChanged",	//328
    "itemChanged#?",	//329
    "itemData",	//330
    "itemLinked",	//331
    "itemLinked##",	//332
    "itemMoved",	//333
    "itemMoved###",	//334
    "itemRemoved",	//335
    "itemRemoved#",	//336
    "itemUnlinked",	//337
    "itemUnlinked##",	//338
    "keyPressEvent",	//339
    "keyReleaseEvent",	//340
    "languageChange",	//341
    "leaveEvent",	//342
    "lessThan",	//343
    "localParts",	//344
    "mapFromSource",	//345
    "mapSelectionFromSource",	//346
    "mapSelectionToSource",	//347
    "mapToSource",	//348
    "match",	//349
    "metaObject",	//350
    "metric",	//351
    "mimeData",	//352
    "mimeType",	//353
    "mimeTypes",	//354
    "minimumSizeHint",	//355
    "mouseDoubleClickEvent",	//356
    "mouseMoveEvent",	//357
    "mousePressEvent",	//358
    "mouseReleaseEvent",	//359
    "moveEvent",	//360
    "name",	//361
    "onlineChanged",	//362
    "onlineChanged$",	//363
    "operator!=",	//364
    "operator!=#",	//365
    "operator=",	//366
    "operator=#",	//367
    "operator==",	//368
    "operator==#",	//369
    "paintEngine",	//370
    "paintEvent",	//371
    "paletteChange",	//372
    "parent",	//373
    "parent#",	//374
    "parentCollection",	//375
    "parentRemoteId",	//376
    "percent",	//377
    "percent$",	//378
    "progress",	//379
    "progressMessage",	//380
    "qt_metacall",	//381
    "qt_metacall$$?",	//382
    "qt_metacast",	//383
    "qt_metacast$",	//384
    "reconfigure",	//385
    "registerObserver",	//386
    "registerObserver#",	//387
    "reject",	//388
    "reloadConfiguration",	//389
    "remoteId",	//390
    "removeAttribute",	//391
    "removeAttribute#",	//392
    "removeColumns",	//393
    "removeInstance",	//394
    "removeInstance#",	//395
    "removeRows",	//396
    "resizeEvent",	//397
    "resource",	//398
    "restart",	//399
    "revert",	//400
    "rights",	//401
    "root",	//402
    "rowCount",	//403
    "rowCount#",	//404
    "self",	//405
    "serialized",	//406
    "setAgentName",	//407
    "setAgentName$",	//408
    "setCachePolicy",	//409
    "setCachePolicy#",	//410
    "setCacheTimeout",	//411
    "setCacheTimeout$",	//412
    "setCaption",	//413
    "setContentMimeTypes",	//414
    "setContentMimeTypes?",	//415
    "setData",	//416
    "setData##$",	//417
    "setHeaderData",	//418
    "setId",	//419
    "setId$",	//420
    "setInheritFromParent",	//421
    "setInheritFromParent$",	//422
    "setIntervalCheckTime",	//423
    "setIntervalCheckTime$",	//424
    "setIsOnline",	//425
    "setIsOnline$",	//426
    "setItemData",	//427
    "setLocalParts",	//428
    "setLocalParts?",	//429
    "setName",	//430
    "setName$",	//431
    "setNeedsNetwork",	//432
    "setNeedsNetwork$",	//433
    "setOnline",	//434
    "setOnline$",	//435
    "setParent",	//436
    "setParent#",	//437
    "setParent$",	//438
    "setParentCollection",	//439
    "setParentCollection#",	//440
    "setParentRemoteId",	//441
    "setParentRemoteId$",	//442
    "setPlainCaption",	//443
    "setRemoteId",	//444
    "setRemoteId$",	//445
    "setResource",	//446
    "setResource$",	//447
    "setRights",	//448
    "setRights$",	//449
    "setSourceModel",	//450
    "setStatistics",	//451
    "setStatistics#",	//452
    "setSyncOnDemand",	//453
    "setSyncOnDemand$",	//454
    "setVisible",	//455
    "showEvent",	//456
    "sizeHint",	//457
    "slotButtonClicked",	//458
    "sort",	//459
    "span",	//460
    "start",	//461
    "staticMetaObject",	//462
    "statistics",	//463
    "status",	//464
    "status$",	//465
    "status$$",	//466
    "statusMessage",	//467
    "styleChange",	//468
    "submit",	//469
    "supportedDropActions",	//470
    "syncOnDemand",	//471
    "synchronize",	//472
    "synchronizeCollection",	//473
    "synchronizeCollection#",	//474
    "synchronizeCollectionTree",	//475
    "tabletEvent",	//476
    "timerEvent",	//477
    "tr",	//478
    "tr$",	//479
    "tr$$",	//480
    "tr$$$",	//481
    "trUtf8",	//482
    "trUtf8$",	//483
    "trUtf8$$",	//484
    "trUtf8$$$",	//485
    "type",	//486
    "type$",	//487
    "typeAdded",	//488
    "typeAdded#",	//489
    "typeRemoved",	//490
    "typeRemoved#",	//491
    "types",	//492
    "url",	//493
    "warning",	//494
    "warning$",	//495
    "what",	//496
    "wheelEvent",	//497
    "winIdForDialogs",	//498
    "windowActivationChange",	//499
    "x11Event",	//500
    "~AgentBase",	//501
    "~AgentFilterProxyModel",	//502
    "~AgentInstance",	//503
    "~AgentInstanceCreateJob",	//504
    "~AgentInstanceModel",	//505
    "~AgentInstanceWidget",	//506
    "~AgentManager",	//507
    "~AgentType",	//508
    "~AgentTypeDialog",	//509
    "~AgentTypeModel",	//510
    "~AgentTypeWidget",	//511
    "~Attribute",	//512
    "~AttributeFactory",	//513
    "~CachePolicy",	//514
    "~Collection",	//515
    "~Entity",	//516
    "~Exception",	//517
    "~Observer",	//518
    "~ObserverV2",	//519
    "~PayloadException",	//520
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method methods[] = {
    { 0, 0, 0, 0, 0, 0, 0 },	// (no method)
    {1, 350, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 198, 1},	//1 Akonadi::AgentBase::metaObject() const
    {1, 383, 1, 1, Smoke::mf_virtual, 220, 2},	//2 Akonadi::AgentBase::qt_metacast(const char*)
    {1, 478, 3, 2, Smoke::mf_static, 84, 3},	//3 Akonadi::AgentBase::tr(const char*, const char*)
    {1, 482, 3, 2, Smoke::mf_static, 84, 4},	//4 Akonadi::AgentBase::trUtf8(const char*, const char*)
    {1, 478, 6, 3, Smoke::mf_static, 84, 5},	//5 Akonadi::AgentBase::tr(const char*, const char*, int)
    {1, 482, 6, 3, Smoke::mf_static, 84, 6},	//6 Akonadi::AgentBase::trUtf8(const char*, const char*, int)
    {1, 381, 10, 3, Smoke::mf_virtual, 214, 7},	//7 Akonadi::AgentBase::qt_metacall(QMetaObject::Call, int, void**)
    {1, 464, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 8},	//8 Akonadi::AgentBase::status() const
    {1, 467, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 84, 9},	//9 Akonadi::AgentBase::statusMessage() const
    {1, 379, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 10},	//10 Akonadi::AgentBase::progress() const
    {1, 380, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 84, 11},	//11 Akonadi::AgentBase::progressMessage() const
    {1, 229, 14, 1, Smoke::mf_virtual, 0, 12},	//12 Akonadi::AgentBase::configure(unsigned long)
    {1, 498, 0, 0, Smoke::mf_const, 219, 13},	//13 Akonadi::AgentBase::winIdForDialogs() const
    {1, 295, 0, 0, Smoke::mf_const, 84, 14},	//14 Akonadi::AgentBase::identifier() const
    {1, 211, 0, 0, Smoke::mf_virtual, 0, 15},	//15 Akonadi::AgentBase::cleanup()
    {1, 386, 16, 1, 0, 0, 16},	//16 Akonadi::AgentBase::registerObserver(Akonadi::AgentBase::Observer*)
    {1, 407, 18, 1, 0, 0, 17},	//17 Akonadi::AgentBase::setAgentName(const QString&)
    {1, 195, 0, 0, Smoke::mf_const, 84, 18},	//18 Akonadi::AgentBase::agentName() const
    {1, 196, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//19 Akonadi::AgentBase::agentNameChanged(const QString&)
    {1, 464, 20, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//20 Akonadi::AgentBase::status(int, const QString&)
    {1, 377, 23, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//21 Akonadi::AgentBase::percent(int)
    {1, 494, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//22 Akonadi::AgentBase::warning(const QString&)
    {1, 267, 18, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//23 Akonadi::AgentBase::error(const QString&)
    {1, 183, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//24 Akonadi::AgentBase::abortRequested()
    {1, 389, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 25},	//25 Akonadi::AgentBase::reloadConfiguration()
    {1, 362, 25, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 26},	//26 Akonadi::AgentBase::onlineChanged(bool)
    {1, 227, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 27},	//27 Akonadi::AgentBase::configurationDialogAccepted()
    {1, 228, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 28},	//28 Akonadi::AgentBase::configurationDialogRejected()
    {1, 3, 18, 1, Smoke::mf_ctor|Smoke::mf_protected, 1, 29},	//29 Akonadi::AgentBase::AgentBase(const QString&)
    {1, 184, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 30},	//30 Akonadi::AgentBase::aboutToQuit()
    {1, 209, 0, 0, Smoke::mf_const|Smoke::mf_protected, 28, 31},	//31 Akonadi::AgentBase::changeRecorder() const
    {1, 208, 0, 0, Smoke::mf_protected, 0, 32},	//32 Akonadi::AgentBase::changeProcessed()
    {1, 324, 0, 0, Smoke::mf_const|Smoke::mf_protected, 170, 33},	//33 Akonadi::AgentBase::isOnline() const
    {1, 432, 25, 1, Smoke::mf_protected, 0, 34},	//34 Akonadi::AgentBase::setNeedsNetwork(bool)
    {1, 434, 25, 1, Smoke::mf_protected, 0, 35},	//35 Akonadi::AgentBase::setOnline(bool)
    {1, 3, 27, 2, Smoke::mf_ctor|Smoke::mf_protected, 1, 36},	//36 Akonadi::AgentBase::AgentBase(Akonadi::AgentBasePrivate*, const QString&)
    {1, 253, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 37},	//37 Akonadi::AgentBase::doSetOnline(bool)
    {1, 478, 1, 1, Smoke::mf_static, 84, 38},	//38 Akonadi::AgentBase::tr(const char*)
    {1, 482, 1, 1, Smoke::mf_static, 84, 39},	//39 Akonadi::AgentBase::trUtf8(const char*)
    {1, 464, 23, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 40},	//40 Akonadi::AgentBase::status(int)
    {1, 462, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 197, 41},	//41 Akonadi::AgentBase::staticMetaObject() const
    {1, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 42},	//42 Akonadi::AgentBase::Idle (enum)
    {1, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 43},	//43 Akonadi::AgentBase::Running (enum)
    {1, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 4, 44},	//44 Akonadi::AgentBase::Broken (enum)
    {1, 501, 0, 0, Smoke::mf_dtor, 0, 45 },	//45 Akonadi::AgentBase::~AgentBase()
    {2, 82, 0, 0, Smoke::mf_ctor, 2, 1},	//46 Akonadi::AgentBase::Observer::Observer()
    {2, 326, 30, 2, Smoke::mf_virtual, 0, 2},	//47 Akonadi::AgentBase::Observer::itemAdded(const Akonadi::Item&, const Akonadi::Collection&)
    {2, 328, 33, 2, Smoke::mf_virtual, 0, 3},	//48 Akonadi::AgentBase::Observer::itemChanged(const Akonadi::Item&, const QSet<QByteArray>&)
    {2, 335, 36, 1, Smoke::mf_virtual, 0, 4},	//49 Akonadi::AgentBase::Observer::itemRemoved(const Akonadi::Item&)
    {2, 216, 38, 2, Smoke::mf_virtual, 0, 5},	//50 Akonadi::AgentBase::Observer::collectionAdded(const Akonadi::Collection&, const Akonadi::Collection&)
    {2, 218, 41, 1, Smoke::mf_virtual, 0, 6},	//51 Akonadi::AgentBase::Observer::collectionChanged(const Akonadi::Collection&)
    {2, 223, 41, 1, Smoke::mf_virtual, 0, 7},	//52 Akonadi::AgentBase::Observer::collectionRemoved(const Akonadi::Collection&)
    {2, 82, 43, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 2, 8},	//53 Akonadi::AgentBase::Observer::Observer(const Akonadi::AgentBase::Observer&)
    {2, 518, 0, 0, Smoke::mf_dtor, 0, 9 },	//54 Akonadi::AgentBase::Observer::~Observer()
    {3, 218, 41, 1, Smoke::mf_virtual, 0, 1},	//55 Akonadi::AgentBase::ObserverV2::collectionChanged(const Akonadi::Collection&)
    {3, 333, 45, 3, Smoke::mf_virtual, 0, 2},	//56 Akonadi::AgentBase::ObserverV2::itemMoved(const Akonadi::Item&, const Akonadi::Collection&, const Akonadi::Collection&)
    {3, 331, 30, 2, Smoke::mf_virtual, 0, 3},	//57 Akonadi::AgentBase::ObserverV2::itemLinked(const Akonadi::Item&, const Akonadi::Collection&)
    {3, 337, 30, 2, Smoke::mf_virtual, 0, 4},	//58 Akonadi::AgentBase::ObserverV2::itemUnlinked(const Akonadi::Item&, const Akonadi::Collection&)
    {3, 221, 49, 3, Smoke::mf_virtual, 0, 5},	//59 Akonadi::AgentBase::ObserverV2::collectionMoved(const Akonadi::Collection&, const Akonadi::Collection&, const Akonadi::Collection&)
    {3, 218, 53, 2, Smoke::mf_virtual, 0, 6},	//60 Akonadi::AgentBase::ObserverV2::collectionChanged(const Akonadi::Collection&, const QSet<QByteArray>&)
    {3, 84, 0, 0, Smoke::mf_ctor, 3, 7},	//61 Akonadi::AgentBase::ObserverV2::ObserverV2()
    {3, 84, 56, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 3, 8},	//62 Akonadi::AgentBase::ObserverV2::ObserverV2(const Akonadi::AgentBase::ObserverV2&)
    {3, 519, 0, 0, Smoke::mf_dtor, 0, 9 },	//63 Akonadi::AgentBase::ObserverV2::~ObserverV2()
    {5, 350, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 198, 1},	//64 Akonadi::AgentFilterProxyModel::metaObject() const
    {5, 383, 1, 1, Smoke::mf_virtual, 220, 2},	//65 Akonadi::AgentFilterProxyModel::qt_metacast(const char*)
    {5, 478, 3, 2, Smoke::mf_static, 84, 3},	//66 Akonadi::AgentFilterProxyModel::tr(const char*, const char*)
    {5, 482, 3, 2, Smoke::mf_static, 84, 4},	//67 Akonadi::AgentFilterProxyModel::trUtf8(const char*, const char*)
    {5, 478, 6, 3, Smoke::mf_static, 84, 5},	//68 Akonadi::AgentFilterProxyModel::tr(const char*, const char*, int)
    {5, 482, 6, 3, Smoke::mf_static, 84, 6},	//69 Akonadi::AgentFilterProxyModel::trUtf8(const char*, const char*, int)
    {5, 381, 10, 3, Smoke::mf_virtual, 214, 7},	//70 Akonadi::AgentFilterProxyModel::qt_metacall(QMetaObject::Call, int, void**)
    {5, 6, 58, 1, Smoke::mf_ctor, 6, 8},	//71 Akonadi::AgentFilterProxyModel::AgentFilterProxyModel(QObject*)
    {5, 192, 18, 1, 0, 0, 9},	//72 Akonadi::AgentFilterProxyModel::addMimeTypeFilter(const QString&)
    {5, 190, 18, 1, 0, 0, 10},	//73 Akonadi::AgentFilterProxyModel::addCapabilityFilter(const QString&)
    {5, 213, 0, 0, 0, 0, 11},	//74 Akonadi::AgentFilterProxyModel::clearFilters()
    {5, 274, 60, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 170, 12},	//75 Akonadi::AgentFilterProxyModel::filterAcceptsRow(int, const QModelIndex&) const
    {5, 478, 1, 1, Smoke::mf_static, 84, 13},	//76 Akonadi::AgentFilterProxyModel::tr(const char*)
    {5, 482, 1, 1, Smoke::mf_static, 84, 14},	//77 Akonadi::AgentFilterProxyModel::trUtf8(const char*)
    {5, 6, 0, 0, Smoke::mf_ctor, 6, 15},	//78 Akonadi::AgentFilterProxyModel::AgentFilterProxyModel()
    {5, 462, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 197, 16},	//79 Akonadi::AgentFilterProxyModel::staticMetaObject() const
    {5, 502, 0, 0, Smoke::mf_dtor, 0, 17 },	//80 Akonadi::AgentFilterProxyModel::~AgentFilterProxyModel()
    {6, 8, 0, 0, Smoke::mf_ctor, 9, 1},	//81 Akonadi::AgentInstance::AgentInstance()
    {6, 8, 63, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 9, 2},	//82 Akonadi::AgentInstance::AgentInstance(const Akonadi::AgentInstance&)
    {6, 325, 0, 0, Smoke::mf_const, 170, 3},	//83 Akonadi::AgentInstance::isValid() const
    {6, 486, 0, 0, Smoke::mf_const, 16, 4},	//84 Akonadi::AgentInstance::type() const
    {6, 295, 0, 0, Smoke::mf_const, 84, 5},	//85 Akonadi::AgentInstance::identifier() const
    {6, 361, 0, 0, Smoke::mf_const, 84, 6},	//86 Akonadi::AgentInstance::name() const
    {6, 430, 18, 1, 0, 0, 7},	//87 Akonadi::AgentInstance::setName(const QString&)
    {6, 464, 0, 0, Smoke::mf_const, 10, 8},	//88 Akonadi::AgentInstance::status() const
    {6, 467, 0, 0, Smoke::mf_const, 84, 9},	//89 Akonadi::AgentInstance::statusMessage() const
    {6, 379, 0, 0, Smoke::mf_const, 214, 10},	//90 Akonadi::AgentInstance::progress() const
    {6, 324, 0, 0, Smoke::mf_const, 170, 11},	//91 Akonadi::AgentInstance::isOnline() const
    {6, 425, 25, 1, 0, 0, 12},	//92 Akonadi::AgentInstance::setIsOnline(bool)
    {6, 229, 65, 1, 0, 0, 13},	//93 Akonadi::AgentInstance::configure(QWidget*)
    {6, 472, 0, 0, 0, 0, 14},	//94 Akonadi::AgentInstance::synchronize()
    {6, 475, 0, 0, 0, 0, 15},	//95 Akonadi::AgentInstance::synchronizeCollectionTree()
    {6, 366, 63, 1, 0, 8, 16},	//96 Akonadi::AgentInstance::operator=(const Akonadi::AgentInstance&)
    {6, 368, 63, 1, Smoke::mf_const, 170, 17},	//97 Akonadi::AgentInstance::operator==(const Akonadi::AgentInstance&) const
    {6, 182, 0, 0, Smoke::mf_const, 0, 18},	//98 Akonadi::AgentInstance::abortCurrentTask() const
    {6, 385, 0, 0, Smoke::mf_const, 0, 19},	//99 Akonadi::AgentInstance::reconfigure() const
    {6, 399, 0, 0, Smoke::mf_const, 0, 20},	//100 Akonadi::AgentInstance::restart() const
    {6, 229, 0, 0, 0, 0, 21},	//101 Akonadi::AgentInstance::configure()
    {6, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 22},	//102 Akonadi::AgentInstance::Idle (enum)
    {6, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 23},	//103 Akonadi::AgentInstance::Running (enum)
    {6, 32, 0, 0, Smoke::mf_static|Smoke::mf_enum, 10, 24},	//104 Akonadi::AgentInstance::Broken (enum)
    {6, 503, 0, 0, Smoke::mf_dtor, 0, 25 },	//105 Akonadi::AgentInstance::~AgentInstance()
    {7, 350, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 198, 1},	//106 Akonadi::AgentInstanceCreateJob::metaObject() const
    {7, 383, 1, 1, Smoke::mf_virtual, 220, 2},	//107 Akonadi::AgentInstanceCreateJob::qt_metacast(const char*)
    {7, 478, 3, 2, Smoke::mf_static, 84, 3},	//108 Akonadi::AgentInstanceCreateJob::tr(const char*, const char*)
    {7, 482, 3, 2, Smoke::mf_static, 84, 4},	//109 Akonadi::AgentInstanceCreateJob::trUtf8(const char*, const char*)
    {7, 478, 6, 3, Smoke::mf_static, 84, 5},	//110 Akonadi::AgentInstanceCreateJob::tr(const char*, const char*, int)
    {7, 482, 6, 3, Smoke::mf_static, 84, 6},	//111 Akonadi::AgentInstanceCreateJob::trUtf8(const char*, const char*, int)
    {7, 381, 10, 3, Smoke::mf_virtual, 214, 7},	//112 Akonadi::AgentInstanceCreateJob::qt_metacall(QMetaObject::Call, int, void**)
    {7, 10, 67, 2, Smoke::mf_ctor, 11, 8},	//113 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const Akonadi::AgentType&, QObject*)
    {7, 229, 65, 1, 0, 0, 9},	//114 Akonadi::AgentInstanceCreateJob::configure(QWidget*)
    {7, 304, 0, 0, Smoke::mf_const, 7, 10},	//115 Akonadi::AgentInstanceCreateJob::instance() const
    {7, 461, 0, 0, Smoke::mf_virtual, 0, 11},	//116 Akonadi::AgentInstanceCreateJob::start()
    {7, 478, 1, 1, Smoke::mf_static, 84, 12},	//117 Akonadi::AgentInstanceCreateJob::tr(const char*)
    {7, 482, 1, 1, Smoke::mf_static, 84, 13},	//118 Akonadi::AgentInstanceCreateJob::trUtf8(const char*)
    {7, 10, 70, 1, Smoke::mf_ctor, 11, 14},	//119 Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob(const Akonadi::AgentType&)
    {7, 229, 0, 0, 0, 0, 15},	//120 Akonadi::AgentInstanceCreateJob::configure()
    {7, 462, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 197, 16},	//121 Akonadi::AgentInstanceCreateJob::staticMetaObject() const
    {7, 504, 0, 0, Smoke::mf_dtor, 0, 17 },	//122 Akonadi::AgentInstanceCreateJob::~AgentInstanceCreateJob()
    {8, 350, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 198, 1},	//123 Akonadi::AgentInstanceModel::metaObject() const
    {8, 383, 1, 1, Smoke::mf_virtual, 220, 2},	//124 Akonadi::AgentInstanceModel::qt_metacast(const char*)
    {8, 478, 3, 2, Smoke::mf_static, 84, 3},	//125 Akonadi::AgentInstanceModel::tr(const char*, const char*)
    {8, 482, 3, 2, Smoke::mf_static, 84, 4},	//126 Akonadi::AgentInstanceModel::trUtf8(const char*, const char*)
    {8, 478, 6, 3, Smoke::mf_static, 84, 5},	//127 Akonadi::AgentInstanceModel::tr(const char*, const char*, int)
    {8, 482, 6, 3, Smoke::mf_static, 84, 6},	//128 Akonadi::AgentInstanceModel::trUtf8(const char*, const char*, int)
    {8, 381, 10, 3, Smoke::mf_virtual, 214, 7},	//129 Akonadi::AgentInstanceModel::qt_metacall(QMetaObject::Call, int, void**)
    {8, 13, 58, 1, Smoke::mf_ctor, 12, 8},	//130 Akonadi::AgentInstanceModel::AgentInstanceModel(QObject*)
    {8, 225, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 9},	//131 Akonadi::AgentInstanceModel::columnCount(const QModelIndex&) const
    {8, 403, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 10},	//132 Akonadi::AgentInstanceModel::rowCount(const QModelIndex&) const
    {8, 243, 74, 2, Smoke::mf_const|Smoke::mf_virtual, 90, 11},	//133 Akonadi::AgentInstanceModel::data(const QModelIndex&, int) const
    {8, 287, 77, 3, Smoke::mf_const|Smoke::mf_virtual, 90, 12},	//134 Akonadi::AgentInstanceModel::headerData(int, Qt::Orientation, int) const
    {8, 296, 81, 3, Smoke::mf_const|Smoke::mf_virtual, 73, 13},	//135 Akonadi::AgentInstanceModel::index(int, int, const QModelIndex&) const
    {8, 373, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 73, 14},	//136 Akonadi::AgentInstanceModel::parent(const QModelIndex&) const
    {8, 276, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 130, 15},	//137 Akonadi::AgentInstanceModel::flags(const QModelIndex&) const
    {8, 416, 85, 3, Smoke::mf_virtual, 170, 16},	//138 Akonadi::AgentInstanceModel::setData(const QModelIndex&, const QVariant&, int)
    {8, 478, 1, 1, Smoke::mf_static, 84, 17},	//139 Akonadi::AgentInstanceModel::tr(const char*)
    {8, 482, 1, 1, Smoke::mf_static, 84, 18},	//140 Akonadi::AgentInstanceModel::trUtf8(const char*)
    {8, 13, 0, 0, Smoke::mf_ctor, 12, 19},	//141 Akonadi::AgentInstanceModel::AgentInstanceModel()
    {8, 225, 0, 0, Smoke::mf_const, 214, 20},	//142 Akonadi::AgentInstanceModel::columnCount() const
    {8, 403, 0, 0, Smoke::mf_const, 214, 21},	//143 Akonadi::AgentInstanceModel::rowCount() const
    {8, 243, 72, 1, Smoke::mf_const, 90, 22},	//144 Akonadi::AgentInstanceModel::data(const QModelIndex&) const
    {8, 287, 89, 2, Smoke::mf_const, 90, 23},	//145 Akonadi::AgentInstanceModel::headerData(int, Qt::Orientation) const
    {8, 296, 92, 2, Smoke::mf_const, 73, 24},	//146 Akonadi::AgentInstanceModel::index(int, int) const
    {8, 462, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 197, 25},	//147 Akonadi::AgentInstanceModel::staticMetaObject() const
    {8, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 26},	//148 Akonadi::AgentInstanceModel::TypeRole (enum)
    {8, 106, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 27},	//149 Akonadi::AgentInstanceModel::TypeIdentifierRole (enum)
    {8, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 28},	//150 Akonadi::AgentInstanceModel::DescriptionRole (enum)
    {8, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 29},	//151 Akonadi::AgentInstanceModel::MimeTypesRole (enum)
    {8, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 30},	//152 Akonadi::AgentInstanceModel::CapabilitiesRole (enum)
    {8, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 31},	//153 Akonadi::AgentInstanceModel::InstanceRole (enum)
    {8, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 32},	//154 Akonadi::AgentInstanceModel::InstanceIdentifierRole (enum)
    {8, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 33},	//155 Akonadi::AgentInstanceModel::StatusRole (enum)
    {8, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 34},	//156 Akonadi::AgentInstanceModel::StatusMessageRole (enum)
    {8, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 35},	//157 Akonadi::AgentInstanceModel::ProgressRole (enum)
    {8, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 36},	//158 Akonadi::AgentInstanceModel::OnlineRole (enum)
    {8, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 13, 37},	//159 Akonadi::AgentInstanceModel::UserRole (enum)
    {8, 505, 0, 0, Smoke::mf_dtor, 0, 38 },	//160 Akonadi::AgentInstanceModel::~AgentInstanceModel()
    {9, 350, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 198, 1},	//161 Akonadi::AgentInstanceWidget::metaObject() const
    {9, 383, 1, 1, Smoke::mf_virtual, 220, 2},	//162 Akonadi::AgentInstanceWidget::qt_metacast(const char*)
    {9, 478, 3, 2, Smoke::mf_static, 84, 3},	//163 Akonadi::AgentInstanceWidget::tr(const char*, const char*)
    {9, 482, 3, 2, Smoke::mf_static, 84, 4},	//164 Akonadi::AgentInstanceWidget::trUtf8(const char*, const char*)
    {9, 478, 6, 3, Smoke::mf_static, 84, 5},	//165 Akonadi::AgentInstanceWidget::tr(const char*, const char*, int)
    {9, 482, 6, 3, Smoke::mf_static, 84, 6},	//166 Akonadi::AgentInstanceWidget::trUtf8(const char*, const char*, int)
    {9, 381, 10, 3, Smoke::mf_virtual, 214, 7},	//167 Akonadi::AgentInstanceWidget::qt_metacall(QMetaObject::Call, int, void**)
    {9, 15, 65, 1, Smoke::mf_ctor, 14, 8},	//168 Akonadi::AgentInstanceWidget::AgentInstanceWidget(QWidget*)
    {9, 237, 0, 0, Smoke::mf_const, 7, 9},	//169 Akonadi::AgentInstanceWidget::currentAgentInstance() const
    {9, 194, 0, 0, Smoke::mf_const, 6, 10},	//170 Akonadi::AgentInstanceWidget::agentFilterProxyModel() const
    {9, 239, 95, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//171 Akonadi::AgentInstanceWidget::currentChanged(const Akonadi::AgentInstance&, const Akonadi::AgentInstance&)
    {9, 258, 63, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//172 Akonadi::AgentInstanceWidget::doubleClicked(const Akonadi::AgentInstance&)
    {9, 478, 1, 1, Smoke::mf_static, 84, 13},	//173 Akonadi::AgentInstanceWidget::tr(const char*)
    {9, 482, 1, 1, Smoke::mf_static, 84, 14},	//174 Akonadi::AgentInstanceWidget::trUtf8(const char*)
    {9, 15, 0, 0, Smoke::mf_ctor, 14, 15},	//175 Akonadi::AgentInstanceWidget::AgentInstanceWidget()
    {9, 462, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 197, 16},	//176 Akonadi::AgentInstanceWidget::staticMetaObject() const
    {9, 506, 0, 0, Smoke::mf_dtor, 0, 17 },	//177 Akonadi::AgentInstanceWidget::~AgentInstanceWidget()
    {10, 350, 0, 0, Smoke::mf_const, 198, 1},	//178 Akonadi::AgentManager::metaObject() const
    {10, 383, 1, 1, 0, 220, 2},	//179 Akonadi::AgentManager::qt_metacast(const char*)
    {10, 478, 3, 2, Smoke::mf_static, 84, 3},	//180 Akonadi::AgentManager::tr(const char*, const char*)
    {10, 482, 3, 2, Smoke::mf_static, 84, 4},	//181 Akonadi::AgentManager::trUtf8(const char*, const char*)
    {10, 478, 6, 3, Smoke::mf_static, 84, 5},	//182 Akonadi::AgentManager::tr(const char*, const char*, int)
    {10, 482, 6, 3, Smoke::mf_static, 84, 6},	//183 Akonadi::AgentManager::trUtf8(const char*, const char*, int)
    {10, 381, 10, 3, 0, 214, 7},	//184 Akonadi::AgentManager::qt_metacall(QMetaObject::Call, int, void**)
    {10, 405, 0, 0, Smoke::mf_static, 15, 8},	//185 Akonadi::AgentManager::self()
    {10, 492, 0, 0, Smoke::mf_const, 67, 9},	//186 Akonadi::AgentManager::types() const
    {10, 486, 18, 1, Smoke::mf_const, 16, 10},	//187 Akonadi::AgentManager::type(const QString&) const
    {10, 322, 0, 0, Smoke::mf_const, 66, 11},	//188 Akonadi::AgentManager::instances() const
    {10, 304, 18, 1, Smoke::mf_const, 7, 12},	//189 Akonadi::AgentManager::instance(const QString&) const
    {10, 394, 63, 1, 0, 0, 13},	//190 Akonadi::AgentManager::removeInstance(const Akonadi::AgentInstance&)
    {10, 473, 41, 1, 0, 0, 14},	//191 Akonadi::AgentManager::synchronizeCollection(const Akonadi::Collection&)
    {10, 488, 70, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 15},	//192 Akonadi::AgentManager::typeAdded(const Akonadi::AgentType&)
    {10, 490, 70, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 16},	//193 Akonadi::AgentManager::typeRemoved(const Akonadi::AgentType&)
    {10, 306, 63, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 17},	//194 Akonadi::AgentManager::instanceAdded(const Akonadi::AgentInstance&)
    {10, 316, 63, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 18},	//195 Akonadi::AgentManager::instanceRemoved(const Akonadi::AgentInstance&)
    {10, 318, 63, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 19},	//196 Akonadi::AgentManager::instanceStatusChanged(const Akonadi::AgentInstance&)
    {10, 314, 63, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 20},	//197 Akonadi::AgentManager::instanceProgressChanged(const Akonadi::AgentInstance&)
    {10, 310, 63, 1, Smoke::mf_protected|Smoke::mf_signal, 0, 21},	//198 Akonadi::AgentManager::instanceNameChanged(const Akonadi::AgentInstance&)
    {10, 308, 98, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 22},	//199 Akonadi::AgentManager::instanceError(const Akonadi::AgentInstance&, const QString&)
    {10, 320, 98, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 23},	//200 Akonadi::AgentManager::instanceWarning(const Akonadi::AgentInstance&, const QString&)
    {10, 312, 101, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 24},	//201 Akonadi::AgentManager::instanceOnline(const Akonadi::AgentInstance&, bool)
    {10, 478, 1, 1, Smoke::mf_static, 84, 25},	//202 Akonadi::AgentManager::tr(const char*)
    {10, 482, 1, 1, Smoke::mf_static, 84, 26},	//203 Akonadi::AgentManager::trUtf8(const char*)
    {10, 462, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 197, 27},	//204 Akonadi::AgentManager::staticMetaObject() const
    {10, 507, 0, 0, Smoke::mf_dtor, 0, 28 },	//205 Akonadi::AgentManager::~AgentManager()
    {11, 17, 0, 0, Smoke::mf_ctor, 18, 1},	//206 Akonadi::AgentType::AgentType()
    {11, 17, 70, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 18, 2},	//207 Akonadi::AgentType::AgentType(const Akonadi::AgentType&)
    {11, 325, 0, 0, Smoke::mf_const, 170, 3},	//208 Akonadi::AgentType::isValid() const
    {11, 295, 0, 0, Smoke::mf_const, 84, 4},	//209 Akonadi::AgentType::identifier() const
    {11, 361, 0, 0, Smoke::mf_const, 84, 5},	//210 Akonadi::AgentType::name() const
    {11, 246, 0, 0, Smoke::mf_const, 84, 6},	//211 Akonadi::AgentType::description() const
    {11, 293, 0, 0, Smoke::mf_const, 84, 7},	//212 Akonadi::AgentType::iconName() const
    {11, 292, 0, 0, Smoke::mf_const, 62, 8},	//213 Akonadi::AgentType::icon() const
    {11, 354, 0, 0, Smoke::mf_const, 85, 9},	//214 Akonadi::AgentType::mimeTypes() const
    {11, 206, 0, 0, Smoke::mf_const, 85, 10},	//215 Akonadi::AgentType::capabilities() const
    {11, 366, 70, 1, 0, 17, 11},	//216 Akonadi::AgentType::operator=(const Akonadi::AgentType&)
    {11, 368, 70, 1, Smoke::mf_const, 170, 12},	//217 Akonadi::AgentType::operator==(const Akonadi::AgentType&) const
    {11, 508, 0, 0, Smoke::mf_dtor, 0, 13 },	//218 Akonadi::AgentType::~AgentType()
    {12, 350, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 198, 1},	//219 Akonadi::AgentTypeDialog::metaObject() const
    {12, 383, 1, 1, Smoke::mf_virtual, 220, 2},	//220 Akonadi::AgentTypeDialog::qt_metacast(const char*)
    {12, 478, 3, 2, Smoke::mf_static, 84, 3},	//221 Akonadi::AgentTypeDialog::tr(const char*, const char*)
    {12, 482, 3, 2, Smoke::mf_static, 84, 4},	//222 Akonadi::AgentTypeDialog::trUtf8(const char*, const char*)
    {12, 478, 6, 3, Smoke::mf_static, 84, 5},	//223 Akonadi::AgentTypeDialog::tr(const char*, const char*, int)
    {12, 482, 6, 3, Smoke::mf_static, 84, 6},	//224 Akonadi::AgentTypeDialog::trUtf8(const char*, const char*, int)
    {12, 381, 10, 3, Smoke::mf_virtual, 214, 7},	//225 Akonadi::AgentTypeDialog::qt_metacall(QMetaObject::Call, int, void**)
    {12, 19, 65, 1, Smoke::mf_ctor, 19, 8},	//226 Akonadi::AgentTypeDialog::AgentTypeDialog(QWidget*)
    {12, 198, 0, 0, Smoke::mf_const, 16, 9},	//227 Akonadi::AgentTypeDialog::agentType() const
    {12, 194, 0, 0, Smoke::mf_const, 6, 10},	//228 Akonadi::AgentTypeDialog::agentFilterProxyModel() const
    {12, 256, 23, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 11},	//229 Akonadi::AgentTypeDialog::done(int)
    {12, 478, 1, 1, Smoke::mf_static, 84, 12},	//230 Akonadi::AgentTypeDialog::tr(const char*)
    {12, 482, 1, 1, Smoke::mf_static, 84, 13},	//231 Akonadi::AgentTypeDialog::trUtf8(const char*)
    {12, 19, 0, 0, Smoke::mf_ctor, 19, 14},	//232 Akonadi::AgentTypeDialog::AgentTypeDialog()
    {12, 462, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 197, 15},	//233 Akonadi::AgentTypeDialog::staticMetaObject() const
    {12, 509, 0, 0, Smoke::mf_dtor, 0, 16 },	//234 Akonadi::AgentTypeDialog::~AgentTypeDialog()
    {13, 350, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 198, 1},	//235 Akonadi::AgentTypeModel::metaObject() const
    {13, 383, 1, 1, Smoke::mf_virtual, 220, 2},	//236 Akonadi::AgentTypeModel::qt_metacast(const char*)
    {13, 478, 3, 2, Smoke::mf_static, 84, 3},	//237 Akonadi::AgentTypeModel::tr(const char*, const char*)
    {13, 482, 3, 2, Smoke::mf_static, 84, 4},	//238 Akonadi::AgentTypeModel::trUtf8(const char*, const char*)
    {13, 478, 6, 3, Smoke::mf_static, 84, 5},	//239 Akonadi::AgentTypeModel::tr(const char*, const char*, int)
    {13, 482, 6, 3, Smoke::mf_static, 84, 6},	//240 Akonadi::AgentTypeModel::trUtf8(const char*, const char*, int)
    {13, 381, 10, 3, Smoke::mf_virtual, 214, 7},	//241 Akonadi::AgentTypeModel::qt_metacall(QMetaObject::Call, int, void**)
    {13, 21, 58, 1, Smoke::mf_ctor, 20, 8},	//242 Akonadi::AgentTypeModel::AgentTypeModel(QObject*)
    {13, 225, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 9},	//243 Akonadi::AgentTypeModel::columnCount(const QModelIndex&) const
    {13, 403, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 10},	//244 Akonadi::AgentTypeModel::rowCount(const QModelIndex&) const
    {13, 243, 74, 2, Smoke::mf_const|Smoke::mf_virtual, 90, 11},	//245 Akonadi::AgentTypeModel::data(const QModelIndex&, int) const
    {13, 296, 81, 3, Smoke::mf_const|Smoke::mf_virtual, 73, 12},	//246 Akonadi::AgentTypeModel::index(int, int, const QModelIndex&) const
    {13, 373, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 73, 13},	//247 Akonadi::AgentTypeModel::parent(const QModelIndex&) const
    {13, 276, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 130, 14},	//248 Akonadi::AgentTypeModel::flags(const QModelIndex&) const
    {13, 478, 1, 1, Smoke::mf_static, 84, 15},	//249 Akonadi::AgentTypeModel::tr(const char*)
    {13, 482, 1, 1, Smoke::mf_static, 84, 16},	//250 Akonadi::AgentTypeModel::trUtf8(const char*)
    {13, 21, 0, 0, Smoke::mf_ctor, 20, 17},	//251 Akonadi::AgentTypeModel::AgentTypeModel()
    {13, 225, 0, 0, Smoke::mf_const, 214, 18},	//252 Akonadi::AgentTypeModel::columnCount() const
    {13, 403, 0, 0, Smoke::mf_const, 214, 19},	//253 Akonadi::AgentTypeModel::rowCount() const
    {13, 243, 72, 1, Smoke::mf_const, 90, 20},	//254 Akonadi::AgentTypeModel::data(const QModelIndex&) const
    {13, 296, 92, 2, Smoke::mf_const, 73, 21},	//255 Akonadi::AgentTypeModel::index(int, int) const
    {13, 462, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 197, 22},	//256 Akonadi::AgentTypeModel::staticMetaObject() const
    {13, 107, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 23},	//257 Akonadi::AgentTypeModel::TypeRole (enum)
    {13, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 24},	//258 Akonadi::AgentTypeModel::IdentifierRole (enum)
    {13, 52, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 25},	//259 Akonadi::AgentTypeModel::DescriptionRole (enum)
    {13, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 26},	//260 Akonadi::AgentTypeModel::MimeTypesRole (enum)
    {13, 45, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 27},	//261 Akonadi::AgentTypeModel::CapabilitiesRole (enum)
    {13, 112, 0, 0, Smoke::mf_static|Smoke::mf_enum, 21, 28},	//262 Akonadi::AgentTypeModel::UserRole (enum)
    {13, 510, 0, 0, Smoke::mf_dtor, 0, 29 },	//263 Akonadi::AgentTypeModel::~AgentTypeModel()
    {14, 350, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 198, 1},	//264 Akonadi::AgentTypeWidget::metaObject() const
    {14, 383, 1, 1, Smoke::mf_virtual, 220, 2},	//265 Akonadi::AgentTypeWidget::qt_metacast(const char*)
    {14, 478, 3, 2, Smoke::mf_static, 84, 3},	//266 Akonadi::AgentTypeWidget::tr(const char*, const char*)
    {14, 482, 3, 2, Smoke::mf_static, 84, 4},	//267 Akonadi::AgentTypeWidget::trUtf8(const char*, const char*)
    {14, 478, 6, 3, Smoke::mf_static, 84, 5},	//268 Akonadi::AgentTypeWidget::tr(const char*, const char*, int)
    {14, 482, 6, 3, Smoke::mf_static, 84, 6},	//269 Akonadi::AgentTypeWidget::trUtf8(const char*, const char*, int)
    {14, 381, 10, 3, Smoke::mf_virtual, 214, 7},	//270 Akonadi::AgentTypeWidget::qt_metacall(QMetaObject::Call, int, void**)
    {14, 23, 65, 1, Smoke::mf_ctor, 22, 8},	//271 Akonadi::AgentTypeWidget::AgentTypeWidget(QWidget*)
    {14, 238, 0, 0, Smoke::mf_const, 16, 9},	//272 Akonadi::AgentTypeWidget::currentAgentType() const
    {14, 194, 0, 0, Smoke::mf_const, 6, 10},	//273 Akonadi::AgentTypeWidget::agentFilterProxyModel() const
    {14, 239, 104, 2, Smoke::mf_protected|Smoke::mf_signal, 0, 11},	//274 Akonadi::AgentTypeWidget::currentChanged(const Akonadi::AgentType&, const Akonadi::AgentType&)
    {14, 187, 0, 0, Smoke::mf_protected|Smoke::mf_signal, 0, 12},	//275 Akonadi::AgentTypeWidget::activated()
    {14, 478, 1, 1, Smoke::mf_static, 84, 13},	//276 Akonadi::AgentTypeWidget::tr(const char*)
    {14, 482, 1, 1, Smoke::mf_static, 84, 14},	//277 Akonadi::AgentTypeWidget::trUtf8(const char*)
    {14, 23, 0, 0, Smoke::mf_ctor, 22, 15},	//278 Akonadi::AgentTypeWidget::AgentTypeWidget()
    {14, 462, 0, 0, Smoke::mf_const|Smoke::mf_static|Smoke::mf_attribute, 197, 16},	//279 Akonadi::AgentTypeWidget::staticMetaObject() const
    {14, 511, 0, 0, Smoke::mf_dtor, 0, 17 },	//280 Akonadi::AgentTypeWidget::~AgentTypeWidget()
    {15, 486, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 51, 1},	//281 Akonadi::Attribute::type() const [pure virtual]
    {15, 214, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 23, 2},	//282 Akonadi::Attribute::clone() const [pure virtual]
    {15, 406, 0, 0, Smoke::mf_const|Smoke::mf_virtual|Smoke::mf_purevirtual, 51, 3},	//283 Akonadi::Attribute::serialized() const [pure virtual]
    {15, 247, 107, 1, Smoke::mf_virtual|Smoke::mf_purevirtual, 0, 4},	//284 Akonadi::Attribute::deserialize(const QByteArray&) [pure virtual]
    {15, 28, 0, 0, Smoke::mf_ctor, 23, 5},	//285 Akonadi::Attribute::Attribute()
    {15, 28, 109, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 23, 6},	//286 Akonadi::Attribute::Attribute(const Akonadi::Attribute&)
    {15, 512, 0, 0, Smoke::mf_dtor, 0, 7 },	//287 Akonadi::Attribute::~Attribute()
    {16, 235, 107, 1, Smoke::mf_static, 23, 1},	//288 Akonadi::AttributeFactory::createAttribute(const QByteArray&)
    {16, 30, 0, 0, Smoke::mf_ctor|Smoke::mf_protected, 24, 2},	//289 Akonadi::AttributeFactory::AttributeFactory()
    {16, 30, 111, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 24, 3},	//290 Akonadi::AttributeFactory::AttributeFactory(const Akonadi::AttributeFactory&)
    {16, 513, 0, 0, Smoke::mf_dtor, 0, 4 },	//291 Akonadi::AttributeFactory::~AttributeFactory()
    {17, 34, 0, 0, Smoke::mf_ctor, 27, 1},	//292 Akonadi::CachePolicy::CachePolicy()
    {17, 34, 113, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 27, 2},	//293 Akonadi::CachePolicy::CachePolicy(const Akonadi::CachePolicy&)
    {17, 299, 0, 0, Smoke::mf_const, 170, 3},	//294 Akonadi::CachePolicy::inheritFromParent() const
    {17, 421, 25, 1, 0, 0, 4},	//295 Akonadi::CachePolicy::setInheritFromParent(bool)
    {17, 344, 0, 0, Smoke::mf_const, 85, 5},	//296 Akonadi::CachePolicy::localParts() const
    {17, 428, 115, 1, 0, 0, 6},	//297 Akonadi::CachePolicy::setLocalParts(const QStringList&)
    {17, 204, 0, 0, Smoke::mf_const, 214, 7},	//298 Akonadi::CachePolicy::cacheTimeout() const
    {17, 411, 23, 1, 0, 0, 8},	//299 Akonadi::CachePolicy::setCacheTimeout(int)
    {17, 323, 0, 0, Smoke::mf_const, 214, 9},	//300 Akonadi::CachePolicy::intervalCheckTime() const
    {17, 423, 23, 1, 0, 0, 10},	//301 Akonadi::CachePolicy::setIntervalCheckTime(int)
    {17, 471, 0, 0, Smoke::mf_const, 170, 11},	//302 Akonadi::CachePolicy::syncOnDemand() const
    {17, 453, 25, 1, 0, 0, 12},	//303 Akonadi::CachePolicy::setSyncOnDemand(bool)
    {17, 366, 113, 1, 0, 26, 13},	//304 Akonadi::CachePolicy::operator=(const Akonadi::CachePolicy&)
    {17, 368, 113, 1, Smoke::mf_const, 170, 14},	//305 Akonadi::CachePolicy::operator==(const Akonadi::CachePolicy&) const
    {17, 514, 0, 0, Smoke::mf_dtor, 0, 15 },	//306 Akonadi::CachePolicy::~CachePolicy()
    {19, 47, 0, 0, Smoke::mf_ctor, 31, 1},	//307 Akonadi::Collection::Collection()
    {19, 47, 117, 1, Smoke::mf_ctor, 31, 2},	//308 Akonadi::Collection::Collection(long long)
    {19, 47, 41, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 31, 3},	//309 Akonadi::Collection::Collection(const Akonadi::Collection&)
    {19, 282, 119, 1, Smoke::mf_static, 29, 4},	//310 Akonadi::Collection::fromUrl(const KUrl&)
    {19, 361, 0, 0, Smoke::mf_const, 84, 5},	//311 Akonadi::Collection::name() const
    {19, 430, 18, 1, 0, 0, 6},	//312 Akonadi::Collection::setName(const QString&)
    {19, 401, 0, 0, Smoke::mf_const, 33, 7},	//313 Akonadi::Collection::rights() const
    {19, 448, 121, 1, 0, 0, 8},	//314 Akonadi::Collection::setRights(Akonadi::Collection::Rights)
    {19, 233, 0, 0, Smoke::mf_const, 85, 9},	//315 Akonadi::Collection::contentMimeTypes() const
    {19, 414, 115, 1, 0, 0, 10},	//316 Akonadi::Collection::setContentMimeTypes(const QStringList&)
    {19, 373, 0, 0, Smoke::mf_const, 216, 11},	//317 Akonadi::Collection::parent() const
    {19, 436, 117, 1, 0, 0, 12},	//318 Akonadi::Collection::setParent(long long)
    {19, 436, 41, 1, 0, 0, 13},	//319 Akonadi::Collection::setParent(const Akonadi::Collection&)
    {19, 376, 0, 0, Smoke::mf_const, 84, 14},	//320 Akonadi::Collection::parentRemoteId() const
    {19, 441, 18, 1, 0, 0, 15},	//321 Akonadi::Collection::setParentRemoteId(const QString&)
    {19, 402, 0, 0, Smoke::mf_static, 29, 16},	//322 Akonadi::Collection::root()
    {19, 353, 0, 0, Smoke::mf_static, 84, 17},	//323 Akonadi::Collection::mimeType()
    {19, 398, 0, 0, Smoke::mf_const, 84, 18},	//324 Akonadi::Collection::resource() const
    {19, 446, 18, 1, 0, 0, 19},	//325 Akonadi::Collection::setResource(const QString&)
    {19, 203, 0, 0, Smoke::mf_const, 25, 20},	//326 Akonadi::Collection::cachePolicy() const
    {19, 409, 113, 1, 0, 0, 21},	//327 Akonadi::Collection::setCachePolicy(const Akonadi::CachePolicy&)
    {19, 463, 0, 0, Smoke::mf_const, 34, 22},	//328 Akonadi::Collection::statistics() const
    {19, 451, 123, 1, 0, 0, 23},	//329 Akonadi::Collection::setStatistics(const Akonadi::CollectionStatistics&)
    {19, 493, 0, 0, Smoke::mf_const, 47, 24},	//330 Akonadi::Collection::url() const
    {19, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 25},	//331 Akonadi::Collection::ReadOnly (enum)
    {19, 37, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 26},	//332 Akonadi::Collection::CanChangeItem (enum)
    {19, 39, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 27},	//333 Akonadi::Collection::CanCreateItem (enum)
    {19, 41, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 28},	//334 Akonadi::Collection::CanDeleteItem (enum)
    {19, 36, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 29},	//335 Akonadi::Collection::CanChangeCollection (enum)
    {19, 38, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 30},	//336 Akonadi::Collection::CanCreateCollection (enum)
    {19, 40, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 31},	//337 Akonadi::Collection::CanDeleteCollection (enum)
    {19, 42, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 32},	//338 Akonadi::Collection::CanLinkItem (enum)
    {19, 43, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 33},	//339 Akonadi::Collection::CanUnlinkItem (enum)
    {19, 25, 0, 0, Smoke::mf_static|Smoke::mf_enum, 32, 34},	//340 Akonadi::Collection::AllRights (enum)
    {19, 515, 0, 0, Smoke::mf_dtor, 0, 35 },	//341 Akonadi::Collection::~Collection()
    {21, 419, 117, 1, 0, 0, 1},	//342 Akonadi::Entity::setId(long long)
    {21, 294, 0, 0, Smoke::mf_const, 216, 2},	//343 Akonadi::Entity::id() const
    {21, 444, 18, 1, 0, 0, 3},	//344 Akonadi::Entity::setRemoteId(const QString&)
    {21, 390, 0, 0, Smoke::mf_const, 84, 4},	//345 Akonadi::Entity::remoteId() const
    {21, 325, 0, 0, Smoke::mf_const, 170, 5},	//346 Akonadi::Entity::isValid() const
    {21, 368, 125, 1, Smoke::mf_const, 170, 6},	//347 Akonadi::Entity::operator==(const Akonadi::Entity&) const
    {21, 364, 125, 1, Smoke::mf_const, 170, 7},	//348 Akonadi::Entity::operator!=(const Akonadi::Entity&) const
    {21, 366, 125, 1, 0, 35, 8},	//349 Akonadi::Entity::operator=(const Akonadi::Entity&)
    {21, 375, 0, 0, Smoke::mf_const, 29, 9},	//350 Akonadi::Entity::parentCollection() const
    {21, 375, 0, 0, 0, 30, 10},	//351 Akonadi::Entity::parentCollection()
    {21, 439, 41, 1, 0, 0, 11},	//352 Akonadi::Entity::setParentCollection(const Akonadi::Collection&)
    {21, 188, 127, 1, 0, 0, 12},	//353 Akonadi::Entity::addAttribute(Akonadi::Attribute*)
    {21, 391, 107, 1, 0, 0, 13},	//354 Akonadi::Entity::removeAttribute(const QByteArray&)
    {21, 284, 107, 1, Smoke::mf_const, 170, 14},	//355 Akonadi::Entity::hasAttribute(const QByteArray&) const
    {21, 201, 0, 0, Smoke::mf_const, 68, 15},	//356 Akonadi::Entity::attributes() const
    {21, 212, 0, 0, 0, 0, 16},	//357 Akonadi::Entity::clearAttributes()
    {21, 199, 107, 1, Smoke::mf_const, 23, 17},	//358 Akonadi::Entity::attribute(const QByteArray&) const
    {21, 58, 125, 1, Smoke::mf_ctor|Smoke::mf_protected|Smoke::mf_copyctor, 36, 18},	//359 Akonadi::Entity::Entity(const Akonadi::Entity&)
    {21, 58, 129, 1, Smoke::mf_ctor|Smoke::mf_protected, 36, 19},	//360 Akonadi::Entity::Entity(Akonadi::EntityPrivate*)
    {21, 242, 0, 0, Smoke::mf_protected, 38, 20},	//361 Akonadi::Entity::d_func()
    {21, 242, 0, 0, Smoke::mf_const|Smoke::mf_protected, 186, 21},	//362 Akonadi::Entity::d_func() const
    {21, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 37, 22},	//363 Akonadi::Entity::AddIfMissing (enum)
    {21, 516, 0, 0, Smoke::mf_dtor, 0, 23 },	//364 Akonadi::Entity::~Entity()
    {23, 60, 1, 1, Smoke::mf_ctor, 39, 1},	//365 Akonadi::Exception::Exception(const char*)
    {23, 60, 107, 1, Smoke::mf_ctor, 39, 2},	//366 Akonadi::Exception::Exception(const QByteArray&)
    {23, 60, 18, 1, Smoke::mf_ctor, 39, 3},	//367 Akonadi::Exception::Exception(const QString&)
    {23, 60, 131, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 39, 4},	//368 Akonadi::Exception::Exception(const Akonadi::Exception&)
    {23, 496, 0, 0, Smoke::mf_const, 211, 5},	//369 Akonadi::Exception::what() const
    {23, 486, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 51, 6},	//370 Akonadi::Exception::type() const
    {23, 517, 0, 0, Smoke::mf_dtor, 0, 7 },	//371 Akonadi::Exception::~Exception()
    {25, 88, 1, 1, Smoke::mf_ctor, 40, 1},	//372 Akonadi::PayloadException::PayloadException(const char*)
    {25, 88, 107, 1, Smoke::mf_ctor, 40, 2},	//373 Akonadi::PayloadException::PayloadException(const QByteArray&)
    {25, 88, 18, 1, Smoke::mf_ctor, 40, 3},	//374 Akonadi::PayloadException::PayloadException(const QString&)
    {25, 486, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 51, 4},	//375 Akonadi::PayloadException::type() const
    {25, 88, 133, 1, Smoke::mf_ctor|Smoke::mf_copyctor, 40, 5},	//376 Akonadi::PayloadException::PayloadException(const Akonadi::PayloadException&)
    {25, 520, 0, 0, Smoke::mf_dtor, 0, 6 },	//377 Akonadi::PayloadException::~PayloadException()
    {28, 457, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 83, 0},	//378 KDialog::sizeHint() const
    {28, 355, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 83, 0},	//379 KDialog::minimumSizeHint() const
    {28, 413, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//380 KDialog::setCaption(const QString&)
    {28, 413, 135, 2, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//381 KDialog::setCaption(const QString&, bool)
    {28, 443, 18, 1, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//382 KDialog::setPlainCaption(const QString&)
    {28, 291, 138, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//383 KDialog::hideEvent(QHideEvent*)
    {28, 215, 140, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//384 KDialog::closeEvent(QCloseEvent*)
    {28, 339, 142, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//385 KDialog::keyPressEvent(QKeyEvent*)
    {28, 458, 23, 1, Smoke::mf_protected|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//386 KDialog::slotButtonClicked(int)
    {28, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 10},	//387 KDialog::None (enum)
    {28, 65, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 11},	//388 KDialog::Help (enum)
    {28, 50, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 12},	//389 KDialog::Default (enum)
    {28, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 13},	//390 KDialog::Ok (enum)
    {28, 27, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 14},	//391 KDialog::Apply (enum)
    {28, 105, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 15},	//392 KDialog::Try (enum)
    {28, 44, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 16},	//393 KDialog::Cancel (enum)
    {28, 46, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 17},	//394 KDialog::Close (enum)
    {28, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 18},	//395 KDialog::No (enum)
    {28, 113, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 19},	//396 KDialog::Yes (enum)
    {28, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 20},	//397 KDialog::Reset (enum)
    {28, 53, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 21},	//398 KDialog::Details (enum)
    {28, 108, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 22},	//399 KDialog::User1 (enum)
    {28, 109, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 23},	//400 KDialog::User2 (enum)
    {28, 110, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 24},	//401 KDialog::User3 (enum)
    {28, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 25},	//402 KDialog::NoDefault (enum)
    {28, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 26},	//403 KDialog::InstantPopup (enum)
    {28, 51, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 27},	//404 KDialog::DelayedPopup (enum)
    {28, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 28},	//405 KDialog::NoCaptionFlags (enum)
    {28, 26, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 29},	//406 KDialog::AppNameCaption (enum)
    {28, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 30},	//407 KDialog::ModifiedCaption (enum)
    {28, 64, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 31},	//408 KDialog::HIGCompliantCaption (enum)
    {29, 251, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 170, 0},	//409 KJob::doKill()
    {29, 255, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 170, 0},	//410 KJob::doSuspend()
    {29, 252, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 170, 0},	//411 KJob::doResume()
    {29, 269, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 84, 0},	//412 KJob::errorString() const
    {29, 33, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 5},	//413 KJob::Bytes (enum)
    {29, 63, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 6},	//414 KJob::Files (enum)
    {29, 54, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 7},	//415 KJob::Directories (enum)
    {29, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 8},	//416 KJob::NoCapabilities (enum)
    {29, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 9},	//417 KJob::Killable (enum)
    {29, 104, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 10},	//418 KJob::Suspendable (enum)
    {29, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 11},	//419 KJob::Quietly (enum)
    {29, 57, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 12},	//420 KJob::EmitResult (enum)
    {29, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 13},	//421 KJob::NoError (enum)
    {29, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 14},	//422 KJob::KilledJobError (enum)
    {29, 111, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 15},	//423 KJob::UserDefinedError (enum)
    {33, 286, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 170, 0},	//424 QAbstractItemModel::hasChildren(const QModelIndex&) const
    {33, 416, 85, 3, Smoke::mf_virtual, 170, 0},	//425 QAbstractItemModel::setData(const QModelIndex&, const QVariant&, int)
    {33, 287, 77, 3, Smoke::mf_const|Smoke::mf_virtual, 90, 0},	//426 QAbstractItemModel::headerData(int, Qt::Orientation, int) const
    {33, 418, 144, 4, Smoke::mf_virtual, 170, 0},	//427 QAbstractItemModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {33, 330, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 70, 0},	//428 QAbstractItemModel::itemData(const QModelIndex&) const
    {33, 427, 149, 2, Smoke::mf_virtual, 170, 0},	//429 QAbstractItemModel::setItemData(const QModelIndex&, const QMap<int,QVariant>&)
    {33, 354, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 85, 0},	//430 QAbstractItemModel::mimeTypes() const
    {33, 352, 152, 1, Smoke::mf_const|Smoke::mf_virtual, 72, 0},	//431 QAbstractItemModel::mimeData(const QList<QModelIndex>&) const
    {33, 264, 154, 5, Smoke::mf_virtual, 170, 0},	//432 QAbstractItemModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {33, 470, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 115, 0},	//433 QAbstractItemModel::supportedDropActions() const
    {33, 303, 81, 3, Smoke::mf_virtual, 170, 0},	//434 QAbstractItemModel::insertRows(int, int, const QModelIndex&)
    {33, 302, 81, 3, Smoke::mf_virtual, 170, 0},	//435 QAbstractItemModel::insertColumns(int, int, const QModelIndex&)
    {33, 396, 81, 3, Smoke::mf_virtual, 170, 0},	//436 QAbstractItemModel::removeRows(int, int, const QModelIndex&)
    {33, 393, 81, 3, Smoke::mf_virtual, 170, 0},	//437 QAbstractItemModel::removeColumns(int, int, const QModelIndex&)
    {33, 272, 72, 1, Smoke::mf_virtual, 0, 0},	//438 QAbstractItemModel::fetchMore(const QModelIndex&)
    {33, 205, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 170, 0},	//439 QAbstractItemModel::canFetchMore(const QModelIndex&) const
    {33, 459, 160, 2, Smoke::mf_virtual, 0, 0},	//440 QAbstractItemModel::sort(int, Qt::SortOrder)
    {33, 202, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 73, 0},	//441 QAbstractItemModel::buddy(const QModelIndex&) const
    {33, 349, 163, 5, Smoke::mf_const|Smoke::mf_virtual, 69, 0},	//442 QAbstractItemModel::match(const QModelIndex&, int, const QVariant&, int, Qt::MatchFlags) const
    {33, 460, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 83, 0},	//443 QAbstractItemModel::span(const QModelIndex&) const
    {33, 469, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 170, 0},	//444 QAbstractItemModel::submit()
    {33, 400, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//445 QAbstractItemModel::revert()
    {34, 469, 0, 0, Smoke::mf_virtual, 170, 0},	//446 QAbstractProxyModel::submit()
    {34, 400, 0, 0, Smoke::mf_virtual, 0, 0},	//447 QAbstractProxyModel::revert()
    {34, 330, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 70, 0},	//448 QAbstractProxyModel::itemData(const QModelIndex&) const
    {42, 455, 25, 1, Smoke::mf_virtual, 0, 0},	//449 QDialog::setVisible(bool)
    {42, 185, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//450 QDialog::accept()
    {42, 388, 0, 0, Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//451 QDialog::reject()
    {42, 456, 169, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//452 QDialog::showEvent(QShowEvent*)
    {42, 397, 171, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//453 QDialog::resizeEvent(QResizeEvent*)
    {42, 234, 173, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//454 QDialog::contextMenuEvent(QContextMenuEvent*)
    {42, 271, 175, 2, Smoke::mf_protected|Smoke::mf_virtual, 170, 0},	//455 QDialog::eventFilter(QObject*, QEvent*)
    {42, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 8},	//456 QDialog::Rejected (enum)
    {42, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 9},	//457 QDialog::Accepted (enum)
    {50, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 1},	//458 QGlobalSpace::_CS_PATH (enum)
    {50, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 2},	//459 QGlobalSpace::_CS_V6_WIDTH_RESTRICTED_ENVS (enum)
    {50, 114, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 3},	//460 QGlobalSpace::_CS_GNU_LIBC_VERSION (enum)
    {50, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 4},	//461 QGlobalSpace::_CS_GNU_LIBPTHREAD_VERSION (enum)
    {50, 157, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 5},	//462 QGlobalSpace::_CS_V5_WIDTH_RESTRICTED_ENVS (enum)
    {50, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 6},	//463 QGlobalSpace::_CS_V7_WIDTH_RESTRICTED_ENVS (enum)
    {50, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 7},	//464 QGlobalSpace::_CS_LFS_CFLAGS (enum)
    {50, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 8},	//465 QGlobalSpace::_CS_LFS_LDFLAGS (enum)
    {50, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 9},	//466 QGlobalSpace::_CS_LFS_LIBS (enum)
    {50, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 10},	//467 QGlobalSpace::_CS_LFS_LINTFLAGS (enum)
    {50, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 11},	//468 QGlobalSpace::_CS_LFS64_CFLAGS (enum)
    {50, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 12},	//469 QGlobalSpace::_CS_LFS64_LDFLAGS (enum)
    {50, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 13},	//470 QGlobalSpace::_CS_LFS64_LIBS (enum)
    {50, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 14},	//471 QGlobalSpace::_CS_LFS64_LINTFLAGS (enum)
    {50, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 15},	//472 QGlobalSpace::_CS_XBS5_ILP32_OFF32_CFLAGS (enum)
    {50, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 16},	//473 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LDFLAGS (enum)
    {50, 164, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 17},	//474 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LIBS (enum)
    {50, 165, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 18},	//475 QGlobalSpace::_CS_XBS5_ILP32_OFF32_LINTFLAGS (enum)
    {50, 166, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 19},	//476 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_CFLAGS (enum)
    {50, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 20},	//477 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LDFLAGS (enum)
    {50, 168, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 21},	//478 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LIBS (enum)
    {50, 169, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 22},	//479 QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LINTFLAGS (enum)
    {50, 170, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 23},	//480 QGlobalSpace::_CS_XBS5_LP64_OFF64_CFLAGS (enum)
    {50, 171, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 24},	//481 QGlobalSpace::_CS_XBS5_LP64_OFF64_LDFLAGS (enum)
    {50, 172, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 25},	//482 QGlobalSpace::_CS_XBS5_LP64_OFF64_LIBS (enum)
    {50, 173, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 26},	//483 QGlobalSpace::_CS_XBS5_LP64_OFF64_LINTFLAGS (enum)
    {50, 174, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 27},	//484 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_CFLAGS (enum)
    {50, 175, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 28},	//485 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LDFLAGS (enum)
    {50, 176, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 29},	//486 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LIBS (enum)
    {50, 177, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 30},	//487 QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS (enum)
    {50, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 31},	//488 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_CFLAGS (enum)
    {50, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 32},	//489 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LDFLAGS (enum)
    {50, 127, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 33},	//490 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LIBS (enum)
    {50, 128, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 34},	//491 QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS (enum)
    {50, 129, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 35},	//492 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS (enum)
    {50, 130, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 36},	//493 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS (enum)
    {50, 131, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 37},	//494 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LIBS (enum)
    {50, 132, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 38},	//495 QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS (enum)
    {50, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 39},	//496 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_CFLAGS (enum)
    {50, 134, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 40},	//497 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LDFLAGS (enum)
    {50, 135, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 41},	//498 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LIBS (enum)
    {50, 136, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 42},	//499 QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LINTFLAGS (enum)
    {50, 137, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 43},	//500 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS (enum)
    {50, 138, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 44},	//501 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS (enum)
    {50, 139, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 45},	//502 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LIBS (enum)
    {50, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 46},	//503 QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS (enum)
    {50, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 47},	//504 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_CFLAGS (enum)
    {50, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 48},	//505 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LDFLAGS (enum)
    {50, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 49},	//506 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LIBS (enum)
    {50, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 50},	//507 QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS (enum)
    {50, 145, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 51},	//508 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS (enum)
    {50, 146, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 52},	//509 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS (enum)
    {50, 147, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 53},	//510 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LIBS (enum)
    {50, 148, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 54},	//511 QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS (enum)
    {50, 149, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 55},	//512 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_CFLAGS (enum)
    {50, 150, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 56},	//513 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LDFLAGS (enum)
    {50, 151, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 57},	//514 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LIBS (enum)
    {50, 152, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 58},	//515 QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LINTFLAGS (enum)
    {50, 153, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 59},	//516 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS (enum)
    {50, 154, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 60},	//517 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS (enum)
    {50, 155, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 61},	//518 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LIBS (enum)
    {50, 156, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 62},	//519 QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS (enum)
    {50, 158, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 63},	//520 QGlobalSpace::_CS_V6_ENV (enum)
    {50, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 215, 64},	//521 QGlobalSpace::_CS_V7_ENV (enum)
    {50, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 65},	//522 QGlobalSpace::QtDebugMsg (enum)
    {50, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 66},	//523 QGlobalSpace::QtWarningMsg (enum)
    {50, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 67},	//524 QGlobalSpace::QtCriticalMsg (enum)
    {50, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 68},	//525 QGlobalSpace::QtFatalMsg (enum)
    {50, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 167, 69},	//526 QGlobalSpace::QtSystemMsg (enum)
    {50, 180, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 70},	//527 QGlobalSpace::__codecvt_ok (enum)
    {50, 181, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 71},	//528 QGlobalSpace::__codecvt_partial (enum)
    {50, 178, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 72},	//529 QGlobalSpace::__codecvt_error (enum)
    {50, 179, 0, 0, Smoke::mf_static|Smoke::mf_enum, 169, 73},	//530 QGlobalSpace::__codecvt_noconv (enum)
    {61, 270, 178, 1, Smoke::mf_virtual, 170, 0},	//531 QObject::event(QEvent*)
    {61, 271, 175, 2, Smoke::mf_virtual, 170, 0},	//532 QObject::eventFilter(QObject*, QEvent*)
    {61, 477, 180, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//533 QObject::timerEvent(QTimerEvent*)
    {61, 210, 182, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//534 QObject::childEvent(QChildEvent*)
    {61, 241, 178, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//535 QObject::customEvent(QEvent*)
    {61, 232, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//536 QObject::connectNotify(const char*)
    {61, 250, 1, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//537 QObject::disconnectNotify(const char*)
    {69, 450, 184, 1, Smoke::mf_virtual, 0, 0},	//538 QSortFilterProxyModel::setSourceModel(QAbstractItemModel*)
    {69, 348, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 73, 0},	//539 QSortFilterProxyModel::mapToSource(const QModelIndex&) const
    {69, 345, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 73, 0},	//540 QSortFilterProxyModel::mapFromSource(const QModelIndex&) const
    {69, 347, 186, 1, Smoke::mf_const|Smoke::mf_virtual, 64, 0},	//541 QSortFilterProxyModel::mapSelectionToSource(const QItemSelection&) const
    {69, 346, 186, 1, Smoke::mf_const|Smoke::mf_virtual, 64, 0},	//542 QSortFilterProxyModel::mapSelectionFromSource(const QItemSelection&) const
    {69, 273, 60, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 170, 0},	//543 QSortFilterProxyModel::filterAcceptsColumn(int, const QModelIndex&) const
    {69, 343, 188, 2, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 170, 0},	//544 QSortFilterProxyModel::lessThan(const QModelIndex&, const QModelIndex&) const
    {69, 296, 81, 3, Smoke::mf_const|Smoke::mf_virtual, 73, 0},	//545 QSortFilterProxyModel::index(int, int, const QModelIndex&) const
    {69, 373, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 73, 0},	//546 QSortFilterProxyModel::parent(const QModelIndex&) const
    {69, 403, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 0},	//547 QSortFilterProxyModel::rowCount(const QModelIndex&) const
    {69, 225, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 0},	//548 QSortFilterProxyModel::columnCount(const QModelIndex&) const
    {69, 286, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 170, 0},	//549 QSortFilterProxyModel::hasChildren(const QModelIndex&) const
    {69, 243, 74, 2, Smoke::mf_const|Smoke::mf_virtual, 90, 0},	//550 QSortFilterProxyModel::data(const QModelIndex&, int) const
    {69, 416, 85, 3, Smoke::mf_virtual, 170, 0},	//551 QSortFilterProxyModel::setData(const QModelIndex&, const QVariant&, int)
    {69, 287, 77, 3, Smoke::mf_const|Smoke::mf_virtual, 90, 0},	//552 QSortFilterProxyModel::headerData(int, Qt::Orientation, int) const
    {69, 418, 144, 4, Smoke::mf_virtual, 170, 0},	//553 QSortFilterProxyModel::setHeaderData(int, Qt::Orientation, const QVariant&, int)
    {69, 352, 152, 1, Smoke::mf_const|Smoke::mf_virtual, 72, 0},	//554 QSortFilterProxyModel::mimeData(const QList<QModelIndex>&) const
    {69, 264, 154, 5, Smoke::mf_virtual, 170, 0},	//555 QSortFilterProxyModel::dropMimeData(const QMimeData*, Qt::DropAction, int, int, const QModelIndex&)
    {69, 303, 81, 3, Smoke::mf_virtual, 170, 0},	//556 QSortFilterProxyModel::insertRows(int, int, const QModelIndex&)
    {69, 302, 81, 3, Smoke::mf_virtual, 170, 0},	//557 QSortFilterProxyModel::insertColumns(int, int, const QModelIndex&)
    {69, 396, 81, 3, Smoke::mf_virtual, 170, 0},	//558 QSortFilterProxyModel::removeRows(int, int, const QModelIndex&)
    {69, 393, 81, 3, Smoke::mf_virtual, 170, 0},	//559 QSortFilterProxyModel::removeColumns(int, int, const QModelIndex&)
    {69, 272, 72, 1, Smoke::mf_virtual, 0, 0},	//560 QSortFilterProxyModel::fetchMore(const QModelIndex&)
    {69, 205, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 170, 0},	//561 QSortFilterProxyModel::canFetchMore(const QModelIndex&) const
    {69, 276, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 130, 0},	//562 QSortFilterProxyModel::flags(const QModelIndex&) const
    {69, 202, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 73, 0},	//563 QSortFilterProxyModel::buddy(const QModelIndex&) const
    {69, 349, 163, 5, Smoke::mf_const|Smoke::mf_virtual, 69, 0},	//564 QSortFilterProxyModel::match(const QModelIndex&, int, const QVariant&, int, Qt::MatchFlags) const
    {69, 460, 72, 1, Smoke::mf_const|Smoke::mf_virtual, 83, 0},	//565 QSortFilterProxyModel::span(const QModelIndex&) const
    {69, 459, 160, 2, Smoke::mf_virtual, 0, 0},	//566 QSortFilterProxyModel::sort(int, Qt::SortOrder)
    {69, 354, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 85, 0},	//567 QSortFilterProxyModel::mimeTypes() const
    {69, 470, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 115, 0},	//568 QSortFilterProxyModel::supportedDropActions() const
    {75, 249, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 214, 0},	//569 QWidget::devType() const
    {75, 455, 25, 1, Smoke::mf_property|Smoke::mf_virtual|Smoke::mf_slot, 0, 0},	//570 QWidget::setVisible(bool)
    {75, 457, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 83, 0},	//571 QWidget::sizeHint() const
    {75, 355, 0, 0, Smoke::mf_const|Smoke::mf_property|Smoke::mf_virtual, 83, 0},	//572 QWidget::minimumSizeHint() const
    {75, 290, 23, 1, Smoke::mf_const|Smoke::mf_virtual, 214, 0},	//573 QWidget::heightForWidth(int) const
    {75, 370, 0, 0, Smoke::mf_const|Smoke::mf_virtual, 78, 0},	//574 QWidget::paintEngine() const
    {75, 270, 178, 1, Smoke::mf_protected|Smoke::mf_virtual, 170, 0},	//575 QWidget::event(QEvent*)
    {75, 358, 191, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//576 QWidget::mousePressEvent(QMouseEvent*)
    {75, 359, 191, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//577 QWidget::mouseReleaseEvent(QMouseEvent*)
    {75, 356, 191, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//578 QWidget::mouseDoubleClickEvent(QMouseEvent*)
    {75, 357, 191, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//579 QWidget::mouseMoveEvent(QMouseEvent*)
    {75, 497, 193, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//580 QWidget::wheelEvent(QWheelEvent*)
    {75, 339, 142, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//581 QWidget::keyPressEvent(QKeyEvent*)
    {75, 340, 142, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//582 QWidget::keyReleaseEvent(QKeyEvent*)
    {75, 278, 195, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//583 QWidget::focusInEvent(QFocusEvent*)
    {75, 280, 195, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//584 QWidget::focusOutEvent(QFocusEvent*)
    {75, 266, 178, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//585 QWidget::enterEvent(QEvent*)
    {75, 342, 178, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//586 QWidget::leaveEvent(QEvent*)
    {75, 371, 197, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//587 QWidget::paintEvent(QPaintEvent*)
    {75, 360, 199, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//588 QWidget::moveEvent(QMoveEvent*)
    {75, 397, 171, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//589 QWidget::resizeEvent(QResizeEvent*)
    {75, 215, 140, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//590 QWidget::closeEvent(QCloseEvent*)
    {75, 234, 173, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//591 QWidget::contextMenuEvent(QContextMenuEvent*)
    {75, 476, 201, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//592 QWidget::tabletEvent(QTabletEvent*)
    {75, 186, 203, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//593 QWidget::actionEvent(QActionEvent*)
    {75, 260, 205, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//594 QWidget::dragEnterEvent(QDragEnterEvent*)
    {75, 262, 207, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//595 QWidget::dragMoveEvent(QDragMoveEvent*)
    {75, 261, 209, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//596 QWidget::dragLeaveEvent(QDragLeaveEvent*)
    {75, 263, 211, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//597 QWidget::dropEvent(QDropEvent*)
    {75, 456, 169, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//598 QWidget::showEvent(QShowEvent*)
    {75, 291, 138, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//599 QWidget::hideEvent(QHideEvent*)
    {75, 500, 213, 1, Smoke::mf_protected|Smoke::mf_virtual, 170, 0},	//600 QWidget::x11Event(_XEvent*)
    {75, 207, 178, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//601 QWidget::changeEvent(QEvent*)
    {75, 351, 215, 1, Smoke::mf_const|Smoke::mf_protected|Smoke::mf_virtual, 214, 0},	//602 QWidget::metric(QPaintDevice::PaintDeviceMetric) const
    {75, 300, 217, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//603 QWidget::inputMethodEvent(QInputMethodEvent*)
    {75, 301, 219, 1, Smoke::mf_const|Smoke::mf_virtual, 90, 0},	//604 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
    {75, 279, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 170, 0},	//605 QWidget::focusNextPrevChild(bool)
    {75, 468, 221, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//606 QWidget::styleChange(QStyle&)
    {75, 265, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//607 QWidget::enabledChange(bool)
    {75, 372, 223, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//608 QWidget::paletteChange(const QPalette&)
    {75, 281, 225, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//609 QWidget::fontChange(const QFont&)
    {75, 499, 25, 1, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//610 QWidget::windowActivationChange(bool)
    {75, 341, 0, 0, Smoke::mf_protected|Smoke::mf_virtual, 0, 0},	//611 QWidget::languageChange()
    {75, 56, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 44},	//612 QWidget::DrawWindowBackground (enum)
    {75, 55, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 45},	//613 QWidget::DrawChildren (enum)
    {75, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 0, 46},	//614 QWidget::IgnoreMask (enum)
};

static Smoke::Index ambiguousMethodList[] = {
    0,
    366,  // Akonadi::Exception::Exception(const QByteArray&)
    368,  // Akonadi::Exception::Exception(const Akonadi::Exception&)
    0,
    365,  // Akonadi::Exception::Exception(const char*)
    367,  // Akonadi::Exception::Exception(const QString&)
    0,
    359,  // Akonadi::Entity::Entity(const Akonadi::Entity&)
    360,  // Akonadi::Entity::Entity(Akonadi::EntityPrivate*)
    0,
    361,  // Akonadi::Entity::d_func()
    362,  // Akonadi::Entity::d_func() const
    0,
    350,  // Akonadi::Entity::parentCollection() const
    351,  // Akonadi::Entity::parentCollection()
    0,
    373,  // Akonadi::PayloadException::PayloadException(const QByteArray&)
    376,  // Akonadi::PayloadException::PayloadException(const Akonadi::PayloadException&)
    0,
    372,  // Akonadi::PayloadException::PayloadException(const char*)
    374,  // Akonadi::PayloadException::PayloadException(const QString&)
    0,
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap methodMaps[] = {
    {0, 0, 0},	//0 (no method)
    {1, 4, 36},	// Akonadi::AgentBase::AgentBase#$
    {1, 5, 29},	// Akonadi::AgentBase::AgentBase$
    {1, 32, 44},	// Akonadi::AgentBase::Broken
    {1, 67, 42},	// Akonadi::AgentBase::Idle
    {1, 101, 43},	// Akonadi::AgentBase::Running
    {1, 183, 24},	// Akonadi::AgentBase::abortRequested
    {1, 184, 30},	// Akonadi::AgentBase::aboutToQuit
    {1, 195, 18},	// Akonadi::AgentBase::agentName
    {1, 197, 19},	// Akonadi::AgentBase::agentNameChanged$
    {1, 208, 32},	// Akonadi::AgentBase::changeProcessed
    {1, 209, 31},	// Akonadi::AgentBase::changeRecorder
    {1, 211, 15},	// Akonadi::AgentBase::cleanup
    {1, 227, 27},	// Akonadi::AgentBase::configurationDialogAccepted
    {1, 228, 28},	// Akonadi::AgentBase::configurationDialogRejected
    {1, 231, 12},	// Akonadi::AgentBase::configure$
    {1, 254, 37},	// Akonadi::AgentBase::doSetOnline$
    {1, 268, 23},	// Akonadi::AgentBase::error$
    {1, 295, 14},	// Akonadi::AgentBase::identifier
    {1, 324, 33},	// Akonadi::AgentBase::isOnline
    {1, 350, 1},	// Akonadi::AgentBase::metaObject
    {1, 363, 26},	// Akonadi::AgentBase::onlineChanged$
    {1, 378, 21},	// Akonadi::AgentBase::percent$
    {1, 379, 10},	// Akonadi::AgentBase::progress
    {1, 380, 11},	// Akonadi::AgentBase::progressMessage
    {1, 382, 7},	// Akonadi::AgentBase::qt_metacall$$?
    {1, 384, 2},	// Akonadi::AgentBase::qt_metacast$
    {1, 387, 16},	// Akonadi::AgentBase::registerObserver#
    {1, 389, 25},	// Akonadi::AgentBase::reloadConfiguration
    {1, 408, 17},	// Akonadi::AgentBase::setAgentName$
    {1, 433, 34},	// Akonadi::AgentBase::setNeedsNetwork$
    {1, 435, 35},	// Akonadi::AgentBase::setOnline$
    {1, 462, 41},	// Akonadi::AgentBase::staticMetaObject
    {1, 464, 8},	// Akonadi::AgentBase::status
    {1, 465, 40},	// Akonadi::AgentBase::status$
    {1, 466, 20},	// Akonadi::AgentBase::status$$
    {1, 467, 9},	// Akonadi::AgentBase::statusMessage
    {1, 479, 38},	// Akonadi::AgentBase::tr$
    {1, 480, 3},	// Akonadi::AgentBase::tr$$
    {1, 481, 5},	// Akonadi::AgentBase::tr$$$
    {1, 483, 39},	// Akonadi::AgentBase::trUtf8$
    {1, 484, 4},	// Akonadi::AgentBase::trUtf8$$
    {1, 485, 6},	// Akonadi::AgentBase::trUtf8$$$
    {1, 495, 22},	// Akonadi::AgentBase::warning$
    {1, 498, 13},	// Akonadi::AgentBase::winIdForDialogs
    {1, 501, 45},	// Akonadi::AgentBase::~AgentBase
    {2, 82, 46},	// Akonadi::AgentBase::Observer::Observer
    {2, 83, 53},	// Akonadi::AgentBase::Observer::Observer#
    {2, 217, 50},	// Akonadi::AgentBase::Observer::collectionAdded##
    {2, 219, 51},	// Akonadi::AgentBase::Observer::collectionChanged#
    {2, 224, 52},	// Akonadi::AgentBase::Observer::collectionRemoved#
    {2, 327, 47},	// Akonadi::AgentBase::Observer::itemAdded##
    {2, 329, 48},	// Akonadi::AgentBase::Observer::itemChanged#?
    {2, 336, 49},	// Akonadi::AgentBase::Observer::itemRemoved#
    {2, 518, 54},	// Akonadi::AgentBase::Observer::~Observer
    {3, 84, 61},	// Akonadi::AgentBase::ObserverV2::ObserverV2
    {3, 85, 62},	// Akonadi::AgentBase::ObserverV2::ObserverV2#
    {3, 219, 55},	// Akonadi::AgentBase::ObserverV2::collectionChanged#
    {3, 220, 60},	// Akonadi::AgentBase::ObserverV2::collectionChanged#?
    {3, 222, 59},	// Akonadi::AgentBase::ObserverV2::collectionMoved###
    {3, 332, 57},	// Akonadi::AgentBase::ObserverV2::itemLinked##
    {3, 334, 56},	// Akonadi::AgentBase::ObserverV2::itemMoved###
    {3, 338, 58},	// Akonadi::AgentBase::ObserverV2::itemUnlinked##
    {3, 519, 63},	// Akonadi::AgentBase::ObserverV2::~ObserverV2
    {5, 6, 78},	// Akonadi::AgentFilterProxyModel::AgentFilterProxyModel
    {5, 7, 71},	// Akonadi::AgentFilterProxyModel::AgentFilterProxyModel#
    {5, 191, 73},	// Akonadi::AgentFilterProxyModel::addCapabilityFilter$
    {5, 193, 72},	// Akonadi::AgentFilterProxyModel::addMimeTypeFilter$
    {5, 213, 74},	// Akonadi::AgentFilterProxyModel::clearFilters
    {5, 275, 75},	// Akonadi::AgentFilterProxyModel::filterAcceptsRow$#
    {5, 350, 64},	// Akonadi::AgentFilterProxyModel::metaObject
    {5, 382, 70},	// Akonadi::AgentFilterProxyModel::qt_metacall$$?
    {5, 384, 65},	// Akonadi::AgentFilterProxyModel::qt_metacast$
    {5, 462, 79},	// Akonadi::AgentFilterProxyModel::staticMetaObject
    {5, 479, 76},	// Akonadi::AgentFilterProxyModel::tr$
    {5, 480, 66},	// Akonadi::AgentFilterProxyModel::tr$$
    {5, 481, 68},	// Akonadi::AgentFilterProxyModel::tr$$$
    {5, 483, 77},	// Akonadi::AgentFilterProxyModel::trUtf8$
    {5, 484, 67},	// Akonadi::AgentFilterProxyModel::trUtf8$$
    {5, 485, 69},	// Akonadi::AgentFilterProxyModel::trUtf8$$$
    {5, 502, 80},	// Akonadi::AgentFilterProxyModel::~AgentFilterProxyModel
    {6, 8, 81},	// Akonadi::AgentInstance::AgentInstance
    {6, 9, 82},	// Akonadi::AgentInstance::AgentInstance#
    {6, 32, 104},	// Akonadi::AgentInstance::Broken
    {6, 67, 102},	// Akonadi::AgentInstance::Idle
    {6, 101, 103},	// Akonadi::AgentInstance::Running
    {6, 182, 98},	// Akonadi::AgentInstance::abortCurrentTask
    {6, 229, 101},	// Akonadi::AgentInstance::configure
    {6, 230, 93},	// Akonadi::AgentInstance::configure#
    {6, 295, 85},	// Akonadi::AgentInstance::identifier
    {6, 324, 91},	// Akonadi::AgentInstance::isOnline
    {6, 325, 83},	// Akonadi::AgentInstance::isValid
    {6, 361, 86},	// Akonadi::AgentInstance::name
    {6, 367, 96},	// Akonadi::AgentInstance::operator=#
    {6, 369, 97},	// Akonadi::AgentInstance::operator==#
    {6, 379, 90},	// Akonadi::AgentInstance::progress
    {6, 385, 99},	// Akonadi::AgentInstance::reconfigure
    {6, 399, 100},	// Akonadi::AgentInstance::restart
    {6, 426, 92},	// Akonadi::AgentInstance::setIsOnline$
    {6, 431, 87},	// Akonadi::AgentInstance::setName$
    {6, 464, 88},	// Akonadi::AgentInstance::status
    {6, 467, 89},	// Akonadi::AgentInstance::statusMessage
    {6, 472, 94},	// Akonadi::AgentInstance::synchronize
    {6, 475, 95},	// Akonadi::AgentInstance::synchronizeCollectionTree
    {6, 486, 84},	// Akonadi::AgentInstance::type
    {6, 503, 105},	// Akonadi::AgentInstance::~AgentInstance
    {7, 11, 119},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob#
    {7, 12, 113},	// Akonadi::AgentInstanceCreateJob::AgentInstanceCreateJob##
    {7, 229, 120},	// Akonadi::AgentInstanceCreateJob::configure
    {7, 230, 114},	// Akonadi::AgentInstanceCreateJob::configure#
    {7, 304, 115},	// Akonadi::AgentInstanceCreateJob::instance
    {7, 350, 106},	// Akonadi::AgentInstanceCreateJob::metaObject
    {7, 382, 112},	// Akonadi::AgentInstanceCreateJob::qt_metacall$$?
    {7, 384, 107},	// Akonadi::AgentInstanceCreateJob::qt_metacast$
    {7, 461, 116},	// Akonadi::AgentInstanceCreateJob::start
    {7, 462, 121},	// Akonadi::AgentInstanceCreateJob::staticMetaObject
    {7, 479, 117},	// Akonadi::AgentInstanceCreateJob::tr$
    {7, 480, 108},	// Akonadi::AgentInstanceCreateJob::tr$$
    {7, 481, 110},	// Akonadi::AgentInstanceCreateJob::tr$$$
    {7, 483, 118},	// Akonadi::AgentInstanceCreateJob::trUtf8$
    {7, 484, 109},	// Akonadi::AgentInstanceCreateJob::trUtf8$$
    {7, 485, 111},	// Akonadi::AgentInstanceCreateJob::trUtf8$$$
    {7, 504, 122},	// Akonadi::AgentInstanceCreateJob::~AgentInstanceCreateJob
    {8, 13, 141},	// Akonadi::AgentInstanceModel::AgentInstanceModel
    {8, 14, 130},	// Akonadi::AgentInstanceModel::AgentInstanceModel#
    {8, 45, 152},	// Akonadi::AgentInstanceModel::CapabilitiesRole
    {8, 52, 150},	// Akonadi::AgentInstanceModel::DescriptionRole
    {8, 69, 154},	// Akonadi::AgentInstanceModel::InstanceIdentifierRole
    {8, 70, 153},	// Akonadi::AgentInstanceModel::InstanceRole
    {8, 74, 151},	// Akonadi::AgentInstanceModel::MimeTypesRole
    {8, 87, 158},	// Akonadi::AgentInstanceModel::OnlineRole
    {8, 91, 157},	// Akonadi::AgentInstanceModel::ProgressRole
    {8, 102, 156},	// Akonadi::AgentInstanceModel::StatusMessageRole
    {8, 103, 155},	// Akonadi::AgentInstanceModel::StatusRole
    {8, 106, 149},	// Akonadi::AgentInstanceModel::TypeIdentifierRole
    {8, 107, 148},	// Akonadi::AgentInstanceModel::TypeRole
    {8, 112, 159},	// Akonadi::AgentInstanceModel::UserRole
    {8, 225, 142},	// Akonadi::AgentInstanceModel::columnCount
    {8, 226, 131},	// Akonadi::AgentInstanceModel::columnCount#
    {8, 244, 144},	// Akonadi::AgentInstanceModel::data#
    {8, 245, 133},	// Akonadi::AgentInstanceModel::data#$
    {8, 277, 137},	// Akonadi::AgentInstanceModel::flags#
    {8, 288, 145},	// Akonadi::AgentInstanceModel::headerData$$
    {8, 289, 134},	// Akonadi::AgentInstanceModel::headerData$$$
    {8, 297, 146},	// Akonadi::AgentInstanceModel::index$$
    {8, 298, 135},	// Akonadi::AgentInstanceModel::index$$#
    {8, 350, 123},	// Akonadi::AgentInstanceModel::metaObject
    {8, 374, 136},	// Akonadi::AgentInstanceModel::parent#
    {8, 382, 129},	// Akonadi::AgentInstanceModel::qt_metacall$$?
    {8, 384, 124},	// Akonadi::AgentInstanceModel::qt_metacast$
    {8, 403, 143},	// Akonadi::AgentInstanceModel::rowCount
    {8, 404, 132},	// Akonadi::AgentInstanceModel::rowCount#
    {8, 417, 138},	// Akonadi::AgentInstanceModel::setData##$
    {8, 462, 147},	// Akonadi::AgentInstanceModel::staticMetaObject
    {8, 479, 139},	// Akonadi::AgentInstanceModel::tr$
    {8, 480, 125},	// Akonadi::AgentInstanceModel::tr$$
    {8, 481, 127},	// Akonadi::AgentInstanceModel::tr$$$
    {8, 483, 140},	// Akonadi::AgentInstanceModel::trUtf8$
    {8, 484, 126},	// Akonadi::AgentInstanceModel::trUtf8$$
    {8, 485, 128},	// Akonadi::AgentInstanceModel::trUtf8$$$
    {8, 505, 160},	// Akonadi::AgentInstanceModel::~AgentInstanceModel
    {9, 15, 175},	// Akonadi::AgentInstanceWidget::AgentInstanceWidget
    {9, 16, 168},	// Akonadi::AgentInstanceWidget::AgentInstanceWidget#
    {9, 194, 170},	// Akonadi::AgentInstanceWidget::agentFilterProxyModel
    {9, 237, 169},	// Akonadi::AgentInstanceWidget::currentAgentInstance
    {9, 240, 171},	// Akonadi::AgentInstanceWidget::currentChanged##
    {9, 259, 172},	// Akonadi::AgentInstanceWidget::doubleClicked#
    {9, 350, 161},	// Akonadi::AgentInstanceWidget::metaObject
    {9, 382, 167},	// Akonadi::AgentInstanceWidget::qt_metacall$$?
    {9, 384, 162},	// Akonadi::AgentInstanceWidget::qt_metacast$
    {9, 462, 176},	// Akonadi::AgentInstanceWidget::staticMetaObject
    {9, 479, 173},	// Akonadi::AgentInstanceWidget::tr$
    {9, 480, 163},	// Akonadi::AgentInstanceWidget::tr$$
    {9, 481, 165},	// Akonadi::AgentInstanceWidget::tr$$$
    {9, 483, 174},	// Akonadi::AgentInstanceWidget::trUtf8$
    {9, 484, 164},	// Akonadi::AgentInstanceWidget::trUtf8$$
    {9, 485, 166},	// Akonadi::AgentInstanceWidget::trUtf8$$$
    {9, 506, 177},	// Akonadi::AgentInstanceWidget::~AgentInstanceWidget
    {10, 305, 189},	// Akonadi::AgentManager::instance$
    {10, 307, 194},	// Akonadi::AgentManager::instanceAdded#
    {10, 309, 199},	// Akonadi::AgentManager::instanceError#$
    {10, 311, 198},	// Akonadi::AgentManager::instanceNameChanged#
    {10, 313, 201},	// Akonadi::AgentManager::instanceOnline#$
    {10, 315, 197},	// Akonadi::AgentManager::instanceProgressChanged#
    {10, 317, 195},	// Akonadi::AgentManager::instanceRemoved#
    {10, 319, 196},	// Akonadi::AgentManager::instanceStatusChanged#
    {10, 321, 200},	// Akonadi::AgentManager::instanceWarning#$
    {10, 322, 188},	// Akonadi::AgentManager::instances
    {10, 350, 178},	// Akonadi::AgentManager::metaObject
    {10, 382, 184},	// Akonadi::AgentManager::qt_metacall$$?
    {10, 384, 179},	// Akonadi::AgentManager::qt_metacast$
    {10, 395, 190},	// Akonadi::AgentManager::removeInstance#
    {10, 405, 185},	// Akonadi::AgentManager::self
    {10, 462, 204},	// Akonadi::AgentManager::staticMetaObject
    {10, 474, 191},	// Akonadi::AgentManager::synchronizeCollection#
    {10, 479, 202},	// Akonadi::AgentManager::tr$
    {10, 480, 180},	// Akonadi::AgentManager::tr$$
    {10, 481, 182},	// Akonadi::AgentManager::tr$$$
    {10, 483, 203},	// Akonadi::AgentManager::trUtf8$
    {10, 484, 181},	// Akonadi::AgentManager::trUtf8$$
    {10, 485, 183},	// Akonadi::AgentManager::trUtf8$$$
    {10, 487, 187},	// Akonadi::AgentManager::type$
    {10, 489, 192},	// Akonadi::AgentManager::typeAdded#
    {10, 491, 193},	// Akonadi::AgentManager::typeRemoved#
    {10, 492, 186},	// Akonadi::AgentManager::types
    {10, 507, 205},	// Akonadi::AgentManager::~AgentManager
    {11, 17, 206},	// Akonadi::AgentType::AgentType
    {11, 18, 207},	// Akonadi::AgentType::AgentType#
    {11, 206, 215},	// Akonadi::AgentType::capabilities
    {11, 246, 211},	// Akonadi::AgentType::description
    {11, 292, 213},	// Akonadi::AgentType::icon
    {11, 293, 212},	// Akonadi::AgentType::iconName
    {11, 295, 209},	// Akonadi::AgentType::identifier
    {11, 325, 208},	// Akonadi::AgentType::isValid
    {11, 354, 214},	// Akonadi::AgentType::mimeTypes
    {11, 361, 210},	// Akonadi::AgentType::name
    {11, 367, 216},	// Akonadi::AgentType::operator=#
    {11, 369, 217},	// Akonadi::AgentType::operator==#
    {11, 508, 218},	// Akonadi::AgentType::~AgentType
    {12, 19, 232},	// Akonadi::AgentTypeDialog::AgentTypeDialog
    {12, 20, 226},	// Akonadi::AgentTypeDialog::AgentTypeDialog#
    {12, 194, 228},	// Akonadi::AgentTypeDialog::agentFilterProxyModel
    {12, 198, 227},	// Akonadi::AgentTypeDialog::agentType
    {12, 257, 229},	// Akonadi::AgentTypeDialog::done$
    {12, 350, 219},	// Akonadi::AgentTypeDialog::metaObject
    {12, 382, 225},	// Akonadi::AgentTypeDialog::qt_metacall$$?
    {12, 384, 220},	// Akonadi::AgentTypeDialog::qt_metacast$
    {12, 462, 233},	// Akonadi::AgentTypeDialog::staticMetaObject
    {12, 479, 230},	// Akonadi::AgentTypeDialog::tr$
    {12, 480, 221},	// Akonadi::AgentTypeDialog::tr$$
    {12, 481, 223},	// Akonadi::AgentTypeDialog::tr$$$
    {12, 483, 231},	// Akonadi::AgentTypeDialog::trUtf8$
    {12, 484, 222},	// Akonadi::AgentTypeDialog::trUtf8$$
    {12, 485, 224},	// Akonadi::AgentTypeDialog::trUtf8$$$
    {12, 509, 234},	// Akonadi::AgentTypeDialog::~AgentTypeDialog
    {13, 21, 251},	// Akonadi::AgentTypeModel::AgentTypeModel
    {13, 22, 242},	// Akonadi::AgentTypeModel::AgentTypeModel#
    {13, 45, 261},	// Akonadi::AgentTypeModel::CapabilitiesRole
    {13, 52, 259},	// Akonadi::AgentTypeModel::DescriptionRole
    {13, 66, 258},	// Akonadi::AgentTypeModel::IdentifierRole
    {13, 74, 260},	// Akonadi::AgentTypeModel::MimeTypesRole
    {13, 107, 257},	// Akonadi::AgentTypeModel::TypeRole
    {13, 112, 262},	// Akonadi::AgentTypeModel::UserRole
    {13, 225, 252},	// Akonadi::AgentTypeModel::columnCount
    {13, 226, 243},	// Akonadi::AgentTypeModel::columnCount#
    {13, 244, 254},	// Akonadi::AgentTypeModel::data#
    {13, 245, 245},	// Akonadi::AgentTypeModel::data#$
    {13, 277, 248},	// Akonadi::AgentTypeModel::flags#
    {13, 297, 255},	// Akonadi::AgentTypeModel::index$$
    {13, 298, 246},	// Akonadi::AgentTypeModel::index$$#
    {13, 350, 235},	// Akonadi::AgentTypeModel::metaObject
    {13, 374, 247},	// Akonadi::AgentTypeModel::parent#
    {13, 382, 241},	// Akonadi::AgentTypeModel::qt_metacall$$?
    {13, 384, 236},	// Akonadi::AgentTypeModel::qt_metacast$
    {13, 403, 253},	// Akonadi::AgentTypeModel::rowCount
    {13, 404, 244},	// Akonadi::AgentTypeModel::rowCount#
    {13, 462, 256},	// Akonadi::AgentTypeModel::staticMetaObject
    {13, 479, 249},	// Akonadi::AgentTypeModel::tr$
    {13, 480, 237},	// Akonadi::AgentTypeModel::tr$$
    {13, 481, 239},	// Akonadi::AgentTypeModel::tr$$$
    {13, 483, 250},	// Akonadi::AgentTypeModel::trUtf8$
    {13, 484, 238},	// Akonadi::AgentTypeModel::trUtf8$$
    {13, 485, 240},	// Akonadi::AgentTypeModel::trUtf8$$$
    {13, 510, 263},	// Akonadi::AgentTypeModel::~AgentTypeModel
    {14, 23, 278},	// Akonadi::AgentTypeWidget::AgentTypeWidget
    {14, 24, 271},	// Akonadi::AgentTypeWidget::AgentTypeWidget#
    {14, 187, 275},	// Akonadi::AgentTypeWidget::activated
    {14, 194, 273},	// Akonadi::AgentTypeWidget::agentFilterProxyModel
    {14, 238, 272},	// Akonadi::AgentTypeWidget::currentAgentType
    {14, 240, 274},	// Akonadi::AgentTypeWidget::currentChanged##
    {14, 350, 264},	// Akonadi::AgentTypeWidget::metaObject
    {14, 382, 270},	// Akonadi::AgentTypeWidget::qt_metacall$$?
    {14, 384, 265},	// Akonadi::AgentTypeWidget::qt_metacast$
    {14, 462, 279},	// Akonadi::AgentTypeWidget::staticMetaObject
    {14, 479, 276},	// Akonadi::AgentTypeWidget::tr$
    {14, 480, 266},	// Akonadi::AgentTypeWidget::tr$$
    {14, 481, 268},	// Akonadi::AgentTypeWidget::tr$$$
    {14, 483, 277},	// Akonadi::AgentTypeWidget::trUtf8$
    {14, 484, 267},	// Akonadi::AgentTypeWidget::trUtf8$$
    {14, 485, 269},	// Akonadi::AgentTypeWidget::trUtf8$$$
    {14, 511, 280},	// Akonadi::AgentTypeWidget::~AgentTypeWidget
    {15, 28, 285},	// Akonadi::Attribute::Attribute
    {15, 29, 286},	// Akonadi::Attribute::Attribute#
    {15, 214, 282},	// Akonadi::Attribute::clone
    {15, 248, 284},	// Akonadi::Attribute::deserialize#
    {15, 406, 283},	// Akonadi::Attribute::serialized
    {15, 486, 281},	// Akonadi::Attribute::type
    {15, 512, 287},	// Akonadi::Attribute::~Attribute
    {16, 30, 289},	// Akonadi::AttributeFactory::AttributeFactory
    {16, 31, 290},	// Akonadi::AttributeFactory::AttributeFactory#
    {16, 236, 288},	// Akonadi::AttributeFactory::createAttribute#
    {16, 513, 291},	// Akonadi::AttributeFactory::~AttributeFactory
    {17, 34, 292},	// Akonadi::CachePolicy::CachePolicy
    {17, 35, 293},	// Akonadi::CachePolicy::CachePolicy#
    {17, 204, 298},	// Akonadi::CachePolicy::cacheTimeout
    {17, 299, 294},	// Akonadi::CachePolicy::inheritFromParent
    {17, 323, 300},	// Akonadi::CachePolicy::intervalCheckTime
    {17, 344, 296},	// Akonadi::CachePolicy::localParts
    {17, 367, 304},	// Akonadi::CachePolicy::operator=#
    {17, 369, 305},	// Akonadi::CachePolicy::operator==#
    {17, 412, 299},	// Akonadi::CachePolicy::setCacheTimeout$
    {17, 422, 295},	// Akonadi::CachePolicy::setInheritFromParent$
    {17, 424, 301},	// Akonadi::CachePolicy::setIntervalCheckTime$
    {17, 429, 297},	// Akonadi::CachePolicy::setLocalParts?
    {17, 454, 303},	// Akonadi::CachePolicy::setSyncOnDemand$
    {17, 471, 302},	// Akonadi::CachePolicy::syncOnDemand
    {17, 514, 306},	// Akonadi::CachePolicy::~CachePolicy
    {19, 25, 340},	// Akonadi::Collection::AllRights
    {19, 36, 335},	// Akonadi::Collection::CanChangeCollection
    {19, 37, 332},	// Akonadi::Collection::CanChangeItem
    {19, 38, 336},	// Akonadi::Collection::CanCreateCollection
    {19, 39, 333},	// Akonadi::Collection::CanCreateItem
    {19, 40, 337},	// Akonadi::Collection::CanDeleteCollection
    {19, 41, 334},	// Akonadi::Collection::CanDeleteItem
    {19, 42, 338},	// Akonadi::Collection::CanLinkItem
    {19, 43, 339},	// Akonadi::Collection::CanUnlinkItem
    {19, 47, 307},	// Akonadi::Collection::Collection
    {19, 48, 309},	// Akonadi::Collection::Collection#
    {19, 49, 308},	// Akonadi::Collection::Collection$
    {19, 98, 331},	// Akonadi::Collection::ReadOnly
    {19, 203, 326},	// Akonadi::Collection::cachePolicy
    {19, 233, 315},	// Akonadi::Collection::contentMimeTypes
    {19, 283, 310},	// Akonadi::Collection::fromUrl#
    {19, 353, 323},	// Akonadi::Collection::mimeType
    {19, 361, 311},	// Akonadi::Collection::name
    {19, 373, 317},	// Akonadi::Collection::parent
    {19, 376, 320},	// Akonadi::Collection::parentRemoteId
    {19, 398, 324},	// Akonadi::Collection::resource
    {19, 401, 313},	// Akonadi::Collection::rights
    {19, 402, 322},	// Akonadi::Collection::root
    {19, 410, 327},	// Akonadi::Collection::setCachePolicy#
    {19, 415, 316},	// Akonadi::Collection::setContentMimeTypes?
    {19, 431, 312},	// Akonadi::Collection::setName$
    {19, 437, 319},	// Akonadi::Collection::setParent#
    {19, 438, 318},	// Akonadi::Collection::setParent$
    {19, 442, 321},	// Akonadi::Collection::setParentRemoteId$
    {19, 447, 325},	// Akonadi::Collection::setResource$
    {19, 449, 314},	// Akonadi::Collection::setRights$
    {19, 452, 329},	// Akonadi::Collection::setStatistics#
    {19, 463, 328},	// Akonadi::Collection::statistics
    {19, 493, 330},	// Akonadi::Collection::url
    {19, 515, 341},	// Akonadi::Collection::~Collection
    {21, 2, 363},	// Akonadi::Entity::AddIfMissing
    {21, 59, -7},	// Akonadi::Entity::Entity#
    {21, 189, 353},	// Akonadi::Entity::addAttribute#
    {21, 200, 358},	// Akonadi::Entity::attribute#
    {21, 201, 356},	// Akonadi::Entity::attributes
    {21, 212, 357},	// Akonadi::Entity::clearAttributes
    {21, 242, -10},	// Akonadi::Entity::d_func
    {21, 285, 355},	// Akonadi::Entity::hasAttribute#
    {21, 294, 343},	// Akonadi::Entity::id
    {21, 325, 346},	// Akonadi::Entity::isValid
    {21, 365, 348},	// Akonadi::Entity::operator!=#
    {21, 367, 349},	// Akonadi::Entity::operator=#
    {21, 369, 347},	// Akonadi::Entity::operator==#
    {21, 375, -13},	// Akonadi::Entity::parentCollection
    {21, 390, 345},	// Akonadi::Entity::remoteId
    {21, 392, 354},	// Akonadi::Entity::removeAttribute#
    {21, 420, 342},	// Akonadi::Entity::setId$
    {21, 440, 352},	// Akonadi::Entity::setParentCollection#
    {21, 445, 344},	// Akonadi::Entity::setRemoteId$
    {21, 516, 364},	// Akonadi::Entity::~Entity
    {23, 61, -1},	// Akonadi::Exception::Exception#
    {23, 62, -4},	// Akonadi::Exception::Exception$
    {23, 486, 370},	// Akonadi::Exception::type
    {23, 496, 369},	// Akonadi::Exception::what
    {23, 517, 371},	// Akonadi::Exception::~Exception
    {25, 89, -16},	// Akonadi::PayloadException::PayloadException#
    {25, 90, -19},	// Akonadi::PayloadException::PayloadException$
    {25, 486, 375},	// Akonadi::PayloadException::type
    {25, 520, 377},	// Akonadi::PayloadException::~PayloadException
    {50, 92, 524},	// QGlobalSpace::QtCriticalMsg
    {50, 93, 522},	// QGlobalSpace::QtDebugMsg
    {50, 94, 525},	// QGlobalSpace::QtFatalMsg
    {50, 95, 526},	// QGlobalSpace::QtSystemMsg
    {50, 96, 523},	// QGlobalSpace::QtWarningMsg
    {50, 114, 460},	// QGlobalSpace::_CS_GNU_LIBC_VERSION
    {50, 115, 461},	// QGlobalSpace::_CS_GNU_LIBPTHREAD_VERSION
    {50, 116, 468},	// QGlobalSpace::_CS_LFS64_CFLAGS
    {50, 117, 469},	// QGlobalSpace::_CS_LFS64_LDFLAGS
    {50, 118, 470},	// QGlobalSpace::_CS_LFS64_LIBS
    {50, 119, 471},	// QGlobalSpace::_CS_LFS64_LINTFLAGS
    {50, 120, 464},	// QGlobalSpace::_CS_LFS_CFLAGS
    {50, 121, 465},	// QGlobalSpace::_CS_LFS_LDFLAGS
    {50, 122, 466},	// QGlobalSpace::_CS_LFS_LIBS
    {50, 123, 467},	// QGlobalSpace::_CS_LFS_LINTFLAGS
    {50, 124, 458},	// QGlobalSpace::_CS_PATH
    {50, 125, 488},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_CFLAGS
    {50, 126, 489},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LDFLAGS
    {50, 127, 490},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LIBS
    {50, 128, 491},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFF32_LINTFLAGS
    {50, 129, 492},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_CFLAGS
    {50, 130, 493},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LDFLAGS
    {50, 131, 494},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LIBS
    {50, 132, 495},	// QGlobalSpace::_CS_POSIX_V6_ILP32_OFFBIG_LINTFLAGS
    {50, 133, 496},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_CFLAGS
    {50, 134, 497},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LDFLAGS
    {50, 135, 498},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LIBS
    {50, 136, 499},	// QGlobalSpace::_CS_POSIX_V6_LP64_OFF64_LINTFLAGS
    {50, 137, 500},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_CFLAGS
    {50, 138, 501},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LDFLAGS
    {50, 139, 502},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LIBS
    {50, 140, 503},	// QGlobalSpace::_CS_POSIX_V6_LPBIG_OFFBIG_LINTFLAGS
    {50, 141, 504},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_CFLAGS
    {50, 142, 505},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LDFLAGS
    {50, 143, 506},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LIBS
    {50, 144, 507},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFF32_LINTFLAGS
    {50, 145, 508},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_CFLAGS
    {50, 146, 509},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LDFLAGS
    {50, 147, 510},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LIBS
    {50, 148, 511},	// QGlobalSpace::_CS_POSIX_V7_ILP32_OFFBIG_LINTFLAGS
    {50, 149, 512},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_CFLAGS
    {50, 150, 513},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LDFLAGS
    {50, 151, 514},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LIBS
    {50, 152, 515},	// QGlobalSpace::_CS_POSIX_V7_LP64_OFF64_LINTFLAGS
    {50, 153, 516},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_CFLAGS
    {50, 154, 517},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LDFLAGS
    {50, 155, 518},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LIBS
    {50, 156, 519},	// QGlobalSpace::_CS_POSIX_V7_LPBIG_OFFBIG_LINTFLAGS
    {50, 157, 462},	// QGlobalSpace::_CS_V5_WIDTH_RESTRICTED_ENVS
    {50, 158, 520},	// QGlobalSpace::_CS_V6_ENV
    {50, 159, 459},	// QGlobalSpace::_CS_V6_WIDTH_RESTRICTED_ENVS
    {50, 160, 521},	// QGlobalSpace::_CS_V7_ENV
    {50, 161, 463},	// QGlobalSpace::_CS_V7_WIDTH_RESTRICTED_ENVS
    {50, 162, 472},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_CFLAGS
    {50, 163, 473},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LDFLAGS
    {50, 164, 474},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LIBS
    {50, 165, 475},	// QGlobalSpace::_CS_XBS5_ILP32_OFF32_LINTFLAGS
    {50, 166, 476},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_CFLAGS
    {50, 167, 477},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LDFLAGS
    {50, 168, 478},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LIBS
    {50, 169, 479},	// QGlobalSpace::_CS_XBS5_ILP32_OFFBIG_LINTFLAGS
    {50, 170, 480},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_CFLAGS
    {50, 171, 481},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LDFLAGS
    {50, 172, 482},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LIBS
    {50, 173, 483},	// QGlobalSpace::_CS_XBS5_LP64_OFF64_LINTFLAGS
    {50, 174, 484},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_CFLAGS
    {50, 175, 485},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LDFLAGS
    {50, 176, 486},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LIBS
    {50, 177, 487},	// QGlobalSpace::_CS_XBS5_LPBIG_OFFBIG_LINTFLAGS
    {50, 178, 529},	// QGlobalSpace::__codecvt_error
    {50, 179, 530},	// QGlobalSpace::__codecvt_noconv
    {50, 180, 527},	// QGlobalSpace::__codecvt_ok
    {50, 181, 528},	// QGlobalSpace::__codecvt_partial
};

}

extern "C" {

SMOKE_IMPORT void init_kdecore_Smoke();
SMOKE_IMPORT void init_kdeui_Smoke();

static bool initialized = false;
Smoke *akonadi_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_akonadi_Smoke() {
    init_kdecore_Smoke();
    init_kdeui_Smoke();
    if (initialized) return;
    akonadi_Smoke = new Smoke(
        "akonadi",
        __smokeakonadi::classes, 78,
        __smokeakonadi::methods, 615,
        __smokeakonadi::methodMaps, 444,
        __smokeakonadi::methodNames, 520,
        __smokeakonadi::types, 230,
        __smokeakonadi::inheritanceList,
        __smokeakonadi::argumentList,
        __smokeakonadi::ambiguousMethodList,
        __smokeakonadi::cast );
    initialized = true;
}

void delete_akonadi_Smoke() { delete akonadi_Smoke; }

}
